/*----------------------------------------------------------*
 |  GlobalDB System, Database schema version 21             |
 |                                                          |
 |  Generation of tables, fields, primary and foreign keys  |
 |  This includes the summary tables and grants to gsc      |   
 *----------------------------------------------------------*/

/* Last revision 2005-04-22 13:50:00 by RML */
/* Last revision for use on gdr server 2005-06-08 14:31:00 by LBC */

/* Original table name is "activity" */
CREATE TABLE ACTIVITY (
  ACTIVITY VARCHAR(50) NOT NULL /* "ACTIVITY" */ ,
  LONGDESC VARCHAR(254) /* "LONGDESC" */ ,
  REVWHO VARCHAR(5) /* "REVWHO" */ ,
  REVDATE VARCHAR(12) /* "REVDATE" */ ,
  RELDATE VARCHAR(12) /* "RELDATE" */
);

ALTER TABLE ACTIVITY ADD CONSTRAINT PK_ACTIVITY PRIMARY KEY (ACTIVITY);

/* Original table name is "agetsma" */
CREATE TABLE AGETSMA (
  AGEDES VARCHAR(25) /* "AGEDES" */ ,
  AGEQU VARCHAR(10) /* "AGEQU" */ ,
  STARTMA FLOAT /* "STARTMA" */ ,
  ENDMA FLOAT /* "ENDMA" */ ,
  AGECOMBO VARCHAR(50) NOT NULL /* "AGECOMBO" */ ,
  NADMAGE VARCHAR(25) /* "NADMAGE" */ ,
  NADMQUAL VARCHAR(10) /* "NADMQUAL" */ ,
  LONGDESC VARCHAR(254) /* "LONGDESC" */ ,
  REVWHO VARCHAR(5) /* "REVWHO" */ ,
  REVDATE VARCHAR(12) /* "REVDATE" */ ,
  RELDATE VARCHAR(12) /* "RELDATE" */
);

ALTER TABLE AGETSMA ADD CONSTRAINT PK_AGETSMA PRIMARY KEY (AGECOMBO);

/* Original table name is "altcat" */
CREATE TABLE ALTCAT (
  ALTCAT VARCHAR(35) NOT NULL /* "ALTCAT" */ ,
  LONGDESC VARCHAR(254) /* "LONGDESC" */ ,
  REVWHO VARCHAR(5) /* "REVWHO" */ ,
  REVDATE VARCHAR(12) /* "REVDATE" */ ,
  RELDATE VARCHAR(12) /* "RELDATE" */
);

ALTER TABLE ALTCAT ADD CONSTRAINT PK_ALTCAT PRIMARY KEY (ALTCAT);

/* Original table name is "anmethod" */
CREATE TABLE ANMETHOD (
  ANMETHOD VARCHAR(50) NOT NULL /* "ANMETHOD" */ ,
  LONGDESC VARCHAR(254) /* "LONGDESC" */ ,
  REVWHO VARCHAR(5) /* "REVWHO" */ ,
  REVDATE VARCHAR(12) /* "REVDATE" */ ,
  RELDATE VARCHAR(12) /* "RELDATE" */
);

ALTER TABLE ANMETHOD ADD CONSTRAINT PK_ANMETHOD PRIMARY KEY (ANMETHOD);

/* Original table name is "appliesto" */
CREATE TABLE APPLIESTO (
  APPLIESTO VARCHAR(50) NOT NULL /* "APPLIESTO" */ ,
  LONGDESC VARCHAR(254) /* "LONGDESC" */ ,
  REVWHO VARCHAR(5) /* "REVWHO" */ ,
  REVDATE VARCHAR(12) /* "REVDATE" */ ,
  RELDATE VARCHAR(12) /* "RELDATE" */
);

ALTER TABLE APPLIESTO ADD CONSTRAINT PK_APPLIESTO PRIMARY KEY (APPLIESTO);

/* Original table name is "authors" */
CREATE TABLE AUTHORS (
  REFNO INTEGER NOT NULL /* "REFNO" */ ,
  RANK INTEGER NOT NULL /* "RANK" */ ,
  LASTNAME VARCHAR(50) /* "LASTNAME" */ ,
  FIRSTNAME VARCHAR(35) /* "FIRSTNAME" */ ,
  REVWHO VARCHAR(5) /* "REVWHO" */ ,
  REVDATE VARCHAR(12) /* "REVDATE" */ ,
  RELDATE VARCHAR(12) /* "RELDATE" */
);

ALTER TABLE AUTHORS ADD CONSTRAINT PK_AUTHORS PRIMARY KEY (REFNO,RANK);

/* Original table name is "category" */
CREATE TABLE CATEGORY (
  CATEGORY VARCHAR(50) NOT NULL /* "CATEGORY" */ ,
  LONGDESC VARCHAR(254) /* "LONGDESC" */ ,
  REVWHO VARCHAR(5) /* "REVWHO" */ ,
  REVDATE VARCHAR(12) /* "REVDATE" */ ,
  RELDATE VARCHAR(12) /* "RELDATE" */
);

ALTER TABLE CATEGORY ADD CONSTRAINT PK_CATEGORY PRIMARY KEY (CATEGORY);

/* Original table name is "cfeat" */
CREATE TABLE CFEAT (
  CFEAT VARCHAR(50) NOT NULL /* "CFEAT" */ ,
  LONGDESC VARCHAR(254) /* "LONGDESC" */ ,
  REVWHO VARCHAR(5) /* "REVWHO" */ ,
  REVDATE VARCHAR(12) /* "REVDATE" */ ,
  RELDATE VARCHAR(12) /* "RELDATE" */
);

ALTER TABLE CFEAT ADD CONSTRAINT PK_CFEAT PRIMARY KEY (CFEAT);

/* Original table name is "columndoc" */
CREATE TABLE COLUMNDOC (
  TABLENAME VARCHAR(16) NOT NULL /* "TABLENAME" */ ,
  FIELDNAME VARCHAR(16) NOT NULL /* "FIELDNAME" */ ,
  ECAPTION VARCHAR(50) /* "ECAPTION" */ ,
  FCAPTION VARCHAR(50) /* "FCAPTION" */ ,
  SCAPTION VARCHAR(50) /* "SCAPTION" */ ,
  FIELDTYPE VARCHAR(24) /* "FIELDTYPE" */ ,
  FIELDSIZE VARCHAR(16) /* "FIELDSIZE" */ ,
  FIELDDESC VARCHAR(200) /* "FIELDDESC" */ ,
  FIELDORDER SMALLINT /* "FIELDORDER" */ ,
  LTABLENAME VARCHAR(16) /* "LTABLENAME" */ ,
  LFIELDNAME VARCHAR(16) /* "LFIELDNAME" */ ,
  TSEARCH VARCHAR(10) /* "TSEARCH" */ ,
  TREPORT CHAR(1) /* "TREPORT" */ ,
  READONLY CHAR(1) /* "READONLY" */ ,
  USED CHAR(1) /* "USED" */ ,
  COMPDESC VARCHAR(200) /* "COMPDESC" */ ,
  REVWHO VARCHAR(5) /* "REVWHO" */ ,
  REVDATE VARCHAR(12) /* "REVDATE" */ ,
  RELDATE VARCHAR(12) /* "RELDATE" */
);

ALTER TABLE COLUMNDOC ADD CONSTRAINT PK_COLUMNDOC PRIMARY KEY (TABLENAME,FIELDNAME);

/* Original table name is "commodity" */
CREATE TABLE COMMODITY (
  COMMODITY VARCHAR(15) NOT NULL /* "COMMODITY" */ ,
  LONGDESC VARCHAR(254) /* "LONGDESC" */ ,
  REVWHO VARCHAR(5) /* "REVWHO" */ ,
  REVDATE VARCHAR(12) /* "REVDATE" */ ,
  RELDATE VARCHAR(12) /* "RELDATE" */
);

ALTER TABLE COMMODITY ADD CONSTRAINT PK_COMMODITY PRIMARY KEY (COMMODITY);

/* Original table name is "component" */
CREATE TABLE COMPONENT (
  COMPONENT VARCHAR(50) NOT NULL /* "COMPONENT" */ ,
  LONGDESC VARCHAR(254) /* "LONGDESC" */ ,
  REVWHO VARCHAR(5) /* "REVWHO" */ ,
  REVDATE VARCHAR(12) /* "REVDATE" */ ,
  RELDATE VARCHAR(12) /* "RELDATE" */
);

ALTER TABLE COMPONENT ADD CONSTRAINT PK_COMPONENT PRIMARY KEY (COMPONENT);

/* Original table name is "compstage" */
CREATE TABLE COMPSTAGE (
  COMPSTAGE VARCHAR(50) NOT NULL /* "COMPSTAGE" */ ,
  LONGDESC VARCHAR(254) /* "LONGDESC" */ ,
  REVWHO VARCHAR(5) /* "REVWHO" */ ,
  REVDATE VARCHAR(12) /* "REVDATE" */ ,
  RELDATE VARCHAR(12) /* "RELDATE" */
);

ALTER TABLE COMPSTAGE ADD CONSTRAINT PK_COMPSTAGE PRIMARY KEY (COMPSTAGE);

/* Original table name is "concentrat" */
CREATE TABLE CONCENTRAT (
  CONCENTRAT VARCHAR(25) NOT NULL /* "CONCENTRAT" */ ,
  LONGDESC VARCHAR(254) /* "LONGDESC" */ ,
  REVWHO VARCHAR(5) /* "REVWHO" */ ,
  REVDATE VARCHAR(12) /* "REVDATE" */ ,
  RELDATE VARCHAR(12) /* "RELDATE" */
);

ALTER TABLE CONCENTRAT ADD CONSTRAINT PK_CONCENTRAT PRIMARY KEY (CONCENTRAT);

/* Original table name is "contctry" */
CREATE TABLE CONTCTRY (
  CONTINNT VARCHAR(50) /* "CONTINNT" */ ,
  COUNTRY VARCHAR(35) NOT NULL /* "COUNTRY" */ ,
  LONGDESC VARCHAR(254) /* "LONGDESC" */ ,
  REVWHO VARCHAR(5) /* "REVWHO" */ ,
  REVDATE VARCHAR(12) /* "REVDATE" */ ,
  RELDATE VARCHAR(12) /* "RELDATE" */
);

ALTER TABLE CONTCTRY ADD CONSTRAINT PK_CONTCTRY PRIMARY KEY (COUNTRY);

/* Original table name is "ctryhost" */
CREATE TABLE CTRYHOST (
  CTRYHOST VARCHAR(30) NOT NULL /* "CTRYHOST" */ ,
  LONGDESC VARCHAR(254) /* "LONGDESC" */ ,
  REVWHO VARCHAR(5) /* "REVWHO" */ ,
  REVDATE VARCHAR(12) /* "REVDATE" */ ,
  RELDATE VARCHAR(12) /* "RELDATE" */
);

ALTER TABLE CTRYHOST ADD CONSTRAINT PK_CTRYHOST PRIMARY KEY (CTRYHOST);

/* Original table name is "ctryrock" */
CREATE TABLE CTRYROCK (
  CTRYROCK VARCHAR(60) NOT NULL /* "CTRYROCK" */ ,
  LONGDESC VARCHAR(254) /* "LONGDESC" */ ,
  REVWHO VARCHAR(5) /* "REVWHO" */ ,
  REVDATE VARCHAR(12) /* "REVDATE" */ ,
  RELDATE VARCHAR(12) /* "RELDATE" */
);

ALTER TABLE CTRYROCK ADD CONSTRAINT PK_CTRYROCK PRIMARY KEY (CTRYROCK);

/* Original table name is "datatype" */
CREATE TABLE DATATYPE (
  DATATYPE VARCHAR(50) NOT NULL /* "DATATYPE" */ ,
  LONGDESC VARCHAR(254) /* "LONGDESC" */ ,
  REVWHO VARCHAR(5) /* "REVWHO" */ ,
  REVDATE VARCHAR(12) /* "REVDATE" */ ,
  RELDATE VARCHAR(12) /* "RELDATE" */
);

ALTER TABLE DATATYPE ADD CONSTRAINT PK_DATATYPE PRIMARY KEY (DATATYPE);

/* Original table name is "datum" */
CREATE TABLE DATUM (
  DATUM VARCHAR(35) NOT NULL /* "DATUM" */ ,
  LONGDESC VARCHAR(254) /* "LONGDESC" */ ,
  REVWHO VARCHAR(5) /* "REVWHO" */ ,
  REVDATE VARCHAR(12) /* "REVDATE" */ ,
  RELDATE VARCHAR(12) /* "RELDATE" */
);

ALTER TABLE DATUM ADD CONSTRAINT PK_DATUM PRIMARY KEY (DATUM);

/* Original table name is "dbcode" */
CREATE TABLE DBCODE (
  DBCODE VARCHAR(50) NOT NULL /* "DBCODE" */ ,
  LONGDESC VARCHAR(254) /* "LONGDESC" */ ,
  REVWHO VARCHAR(5) /* "REVWHO" */ ,
  REVDATE VARCHAR(12) /* "REVDATE" */ ,
  RELDATE VARCHAR(12) /* "RELDATE" */
);

ALTER TABLE DBCODE ADD CONSTRAINT PK_DBCODE PRIMARY KEY (DBCODE);

/* Original table name is "dbversion" */
CREATE TABLE DBVERSION (
  DBNAME VARCHAR(100) NOT NULL /* "DBNAME" */ ,
  DBAGENCY VARCHAR(200) /* "DBAGENCY" */ ,
  DBREL VARCHAR(200) /* "DBREL" */ ,
  COMPBY VARCHAR(200) /* "COMPBY" */ ,
  REVWHO VARCHAR(5) /* "REVWHO" */ ,
  REVDATE VARCHAR(12) /* "REVDATE" */ ,
  RELDATE VARCHAR(12) /* "RELDATE" */
);

ALTER TABLE DBVERSION ADD CONSTRAINT PK_DBVERSION PRIMARY KEY (DBNAME);

/* Original table name is "depclan" */
CREATE TABLE DEPCLAN (
  DEPCLAN VARCHAR(70) NOT NULL /* "DEPCLAN" */ ,
  LONGDESC VARCHAR(254) /* "LONGDESC" */ ,
  REVWHO VARCHAR(5) /* "REVWHO" */ ,
  REVDATE VARCHAR(12) /* "REVDATE" */ ,
  RELDATE VARCHAR(12) /* "RELDATE" */
);

ALTER TABLE DEPCLAN ADD CONSTRAINT PK_DEPCLAN PRIMARY KEY (DEPCLAN);

/* Original table name is "depstat" */
CREATE TABLE DEPSTAT (
  DEPSTAT VARCHAR(20) NOT NULL /* "DEPSTAT" */ ,
  LONGDESC VARCHAR(254) /* "LONGDESC" */ ,
  REVWHO VARCHAR(5) /* "REVWHO" */ ,
  REVDATE VARCHAR(12) /* "REVDATE" */ ,
  RELDATE VARCHAR(12) /* "RELDATE" */
);

ALTER TABLE DEPSTAT ADD CONSTRAINT PK_DEPSTAT PRIMARY KEY (DEPSTAT);

/* Original table name is "deptype" */
CREATE TABLE DEPTYPE (
  DEPTYPE VARCHAR(70) NOT NULL /* "DEPTYPE" */ ,
  LONGDESC VARCHAR(254) /* "LONGDESC" */ ,
  REVWHO VARCHAR(5) /* "REVWHO" */ ,
  REVDATE VARCHAR(12) /* "REVDATE" */ ,
  RELDATE VARCHAR(12) /* "RELDATE" */
);

ALTER TABLE DEPTYPE ADD CONSTRAINT PK_DEPTYPE PRIMARY KEY (DEPTYPE);

/* Original table name is "dfregime" */
CREATE TABLE DFREGIME (
  DFREGIME VARCHAR(30) NOT NULL /* "DFREGIME" */ ,
  LONGDESC VARCHAR(254) /* "LONGDESC" */ ,
  REVWHO VARCHAR(5) /* "REVWHO" */ ,
  REVDATE VARCHAR(12) /* "REVDATE" */ ,
  RELDATE VARCHAR(12) /* "RELDATE" */
);

ALTER TABLE DFREGIME ADD CONSTRAINT PK_DFREGIME PRIMARY KEY (DFREGIME);

/* Original table name is "dgagets" */
CREATE TABLE DGAGETS (
  DGNO INTEGER NOT NULL /* "DGNO" */ ,
  RANK INTEGER NOT NULL /* "RANK" */ ,
  STARTAGE VARCHAR(30) /* "STARTAGE" */ ,
  STARTQU VARCHAR(10) /* "STARTQU" */ ,
  ENDAGE VARCHAR(30) /* "ENDAGE" */ ,
  ENDQU VARCHAR(10) /* "ENDQU" */ ,
  CTRYHOST VARCHAR(30) /* "CTRYHOST" */ ,
  REVWHO VARCHAR(5) /* "REVWHO" */ ,
  REVDATE VARCHAR(12) /* "REVDATE" */ ,
  RELDATE VARCHAR(12) /* "RELDATE" */
);

ALTER TABLE DGAGETS ADD CONSTRAINT PK_DGAGETS PRIMARY KEY (DGNO,RANK);

/* Original table name is "dgaltmin" */
CREATE TABLE DGALTMIN (
  DGNO INTEGER NOT NULL /* "DGNO" */ ,
  ALTSIGRK INTEGER NOT NULL /* "ALTSIGRK" */ ,
  MINSTLRK INTEGER NOT NULL /* "MINSTLRK" */ ,
  REVWHO VARCHAR(5) /* "REVWHO" */ ,
  REVDATE VARCHAR(12) /* "REVDATE" */ ,
  RELDATE VARCHAR(12) /* "RELDATE" */
);

ALTER TABLE DGALTMIN ADD CONSTRAINT PK_DGALTMIN PRIMARY KEY (DGNO,ALTSIGRK,MINSTLRK);

/* Original table name is "dgaltsig" */
CREATE TABLE DGALTSIG (
  DGNO INTEGER NOT NULL /* "DGNO" */ ,
  RANK INTEGER NOT NULL /* "RANK" */ ,
  ALTCAT VARCHAR(35) /* "ALTCAT" */ ,
  ALTSIG VARCHAR(50) /* "ALTSIG" */ ,
  WHATALT VARCHAR(50) /* "WHATALT" */ ,
  AGEDATA CHAR(1) /* "AGEDATA" */ ,
  COMPONENT VARCHAR(50) /* "COMPONENT" */ ,
  REVWHO VARCHAR(5) /* "REVWHO" */ ,
  REVDATE VARCHAR(12) /* "REVDATE" */ ,
  RELDATE VARCHAR(12) /* "RELDATE" */
);

ALTER TABLE DGALTSIG ADD CONSTRAINT PK_DGALTSIG PRIMARY KEY (DGNO,RANK);

/* Original table name is "dgcfeat" */
CREATE TABLE DGCFEAT (
  DGNO INTEGER NOT NULL /* "DGNO" */ ,
  RANK INTEGER NOT NULL /* "RANK" */ ,
  CFEAT VARCHAR(50) /* "CFEAT" */ ,
  CFTQUL VARCHAR(150) /* "CFTQUL" */ ,
  CFTNAM VARCHAR(50) /* "CFTNAM" */ ,
  REVWHO VARCHAR(5) /* "REVWHO" */ ,
  REVDATE VARCHAR(12) /* "REVDATE" */ ,
  RELDATE VARCHAR(12) /* "RELDATE" */
);

ALTER TABLE DGCFEAT ADD CONSTRAINT PK_DGCFEAT PRIMARY KEY (DGNO,RANK);

/* Original table name is "dgcftmin" */
CREATE TABLE DGCFTMIN (
  DGNO INTEGER NOT NULL /* "DGNO" */ ,
  CFEATRK INTEGER NOT NULL /* "CFEATRK" */ ,
  MINSTLRK INTEGER NOT NULL /* "MINSTLRK" */ ,
  REVWHO VARCHAR(5) /* "REVWHO" */ ,
  REVDATE VARCHAR(12) /* "REVDATE" */ ,
  RELDATE VARCHAR(12) /* "RELDATE" */
);

ALTER TABLE DGCFTMIN ADD CONSTRAINT PK_DGCFTMIN PRIMARY KEY (DGNO,CFEATRK,MINSTLRK);

/* Original table name is "dgclith" */
CREATE TABLE DGCLITH (
  DGNO INTEGER NOT NULL /* "DGNO" */ ,
  DGCRANK INTEGER NOT NULL /* "DGCRANK" */ ,
  RANK INTEGER NOT NULL /* "RANK" */ ,
  LITHCOMP VARCHAR(35) /* "LITHCOMP" */ ,
  LITHQUAL VARCHAR(150) /* "LITHQUAL" */ ,
  GENLITH VARCHAR(50) /* "GENLITH" */ ,
  REVWHO VARCHAR(5) /* "REVWHO" */ ,
  REVDATE VARCHAR(12) /* "REVDATE" */ ,
  RELDATE VARCHAR(12) /* "RELDATE" */
);

ALTER TABLE DGCLITH ADD CONSTRAINT PK_DGCLITH PRIMARY KEY (DGNO,DGCRANK,RANK);

/* Original table name is "dgcom" */
CREATE TABLE DGCOM (
  DGNO INTEGER NOT NULL /* "DGNO" */ ,
  RANK INTEGER NOT NULL /* "RANK" */ ,
  COMMODITY VARCHAR(15) /* "COMMODITY" */ ,
  REVWHO VARCHAR(5) /* "REVWHO" */ ,
  REVDATE VARCHAR(12) /* "REVDATE" */ ,
  RELDATE VARCHAR(12) /* "RELDATE" */
);

ALTER TABLE DGCOM ADD CONSTRAINT PK_DGCOM PRIMARY KEY (DGNO,RANK);

/* Original table name is "dgcomment" */
CREATE TABLE DGCOMMENT (
  DGNO INTEGER NOT NULL /* "DGNO" */ ,
  RANK INTEGER NOT NULL /* "RANK" */ ,
  APPLIESTO VARCHAR(50) /* "APPLIESTO" */ ,
  COMMENTS VARCHAR(4000) /* "COMMENTS" */ ,
  REVWHO VARCHAR(5) /* "REVWHO" */ ,
  REVDATE VARCHAR(12) /* "REVDATE" */ ,
  RELDATE VARCHAR(12) /* "RELDATE" */
);

ALTER TABLE DGCOMMENT ADD CONSTRAINT PK_DGCOMMENT PRIMARY KEY (DGNO,RANK);

/* Original table name is "dgcproto" */
CREATE TABLE DGCPROTO (
  DGNO INTEGER NOT NULL /* "DGNO" */ ,
  DGCRANK INTEGER NOT NULL /* "DGCRANK" */ ,
  RANK INTEGER NOT NULL /* "RANK" */ ,
  PROTOLTH VARCHAR(50) /* "PROTOLTH" */ ,
  PROTOQUL VARCHAR(150) /* "PROTOQUL" */ ,
  PROTONAM VARCHAR(50) /* "PROTONAM" */ ,
  REVWHO VARCHAR(5) /* "REVWHO" */ ,
  REVDATE VARCHAR(12) /* "REVDATE" */ ,
  RELDATE VARCHAR(12) /* "RELDATE" */
);

ALTER TABLE DGCPROTO ADD CONSTRAINT PK_DGCPROTO PRIMARY KEY (DGNO,DGCRANK,RANK);

/* Original table name is "dgctry" */
CREATE TABLE DGCTRY (
  DGNO INTEGER NOT NULL /* "DGNO" */ ,
  RANK INTEGER NOT NULL /* "RANK" */ ,
  COUNTRY VARCHAR(35) /* "COUNTRY" */ ,
  PROVSTATE VARCHAR(50) /* "PROVSTATE" */ ,
  NEARCITY VARCHAR(50) /* "NEARCITY" */ ,
  SUBPROV VARCHAR(50) /* "SUBPROV" */ ,
  HOWFAR FLOAT /* "HOWFAR" */ ,
  FARUNITS VARCHAR(20) /* "FARUNITS" */ ,
  DIRFROM VARCHAR(10) /* "DIRFROM" */ ,
  REVWHO VARCHAR(5) /* "REVWHO" */ ,
  REVDATE VARCHAR(12) /* "REVDATE" */ ,
  RELDATE VARCHAR(12) /* "RELDATE" */
);

ALTER TABLE DGCTRY ADD CONSTRAINT PK_DGCTRY PRIMARY KEY (DGNO,RANK);

/* Original table name is "dgctryrx" */
CREATE TABLE DGCTRYRX (
  DGNO INTEGER NOT NULL /* "DGNO" */ ,
  RANK INTEGER NOT NULL /* "RANK" */ ,
  CTRYROCK VARCHAR(60) /* "CTRYROCK" */ ,
  CTRYRQUL VARCHAR(150) /* "CTRYRQUL" */ ,
  CTRYRNAM VARCHAR(50) /* "CTRYRNAM" */ ,
  METGRADE VARCHAR(50) /* "METGRADE" */ ,
  AGEDATA CHAR(1) /* "AGEDATA" */ ,
  REVWHO VARCHAR(5) /* "REVWHO" */ ,
  REVDATE VARCHAR(12) /* "REVDATE" */ ,
  RELDATE VARCHAR(12) /* "RELDATE" */
);

ALTER TABLE DGCTRYRX ADD CONSTRAINT PK_DGCTRYRX PRIMARY KEY (DGNO,RANK);

/* Original table name is "dgdeptyp" */
CREATE TABLE DGDEPTYP (
  DGNO INTEGER NOT NULL /* "DGNO" */ ,
  RANK INTEGER NOT NULL /* "RANK" */ ,
  DEPTYPE VARCHAR(70) /* "DEPTYPE" */ ,
  COMMENTS VARCHAR(200) /* "COMMENTS" */ ,
  REFNO INTEGER /* "REFNO" */ ,
  REVWHO VARCHAR(5) /* "REVWHO" */ ,
  REVDATE VARCHAR(12) /* "REVDATE" */ ,
  RELDATE VARCHAR(12) /* "RELDATE" */
);

ALTER TABLE DGDEPTYP ADD CONSTRAINT PK_DGDEPTYP PRIMARY KEY (DGNO,RANK);

/* Original table name is "dgdigitized" */
CREATE TABLE DGDIGITIZED (
  DGNO INTEGER NOT NULL /* "DGNO" */ ,
  RANK INTEGER NOT NULL /* "RANK" */ ,
  DIGITIZED_X FLOAT /* "DIGITIZED_X" */ ,
  DIGITIZED_Y FLOAT /* "DIGITIZED_Y" */ ,
  DIGITIZED_EPSG INTEGER /* "DIGITIZED_EPSG" */ ,
  COORD_REFSYSNAME VARCHAR(80) /* "COORD_REFSYSNAME" */ ,
  WHO VARCHAR(5) /* "WHO" */ ,
  CREATDATE VARCHAR(12) /* "CREATDATE" */ ,
  REVWHO VARCHAR(5) /* "REVWHO" */ ,
  REVDATE VARCHAR(12) /* "REVDATE" */ ,
  RELDATE VARCHAR(12) /* "RELDATE" */
);

ALTER TABLE DGDIGITIZED ADD CONSTRAINT PK_DGDIGITIZED PRIMARY KEY (DGNO,RANK);

/* Original table name is "dggeol" */
CREATE TABLE DGGEOL (
  DGNO INTEGER NOT NULL /* "DGNO" */ ,
  DEPCLAN VARCHAR(70) /* "DEPCLAN" */ ,
  GEOLPROV VARCHAR(50) /* "GEOLPROV" */ ,
  GSUBPROV VARCHAR(50) /* "GSUBPROV" */ ,
  GDISTRICT VARCHAR(50) /* "GDISTRICT" */ ,
  LONGDEG SMALLINT /* "LONGDEG" */ ,
  LONGMIN SMALLINT /* "LONGMIN" */ ,
  LONGSEC FLOAT /* "LONGSEC" */ ,
  EW CHAR(1) /* "EW" */ ,
  LATDEG SMALLINT /* "LATDEG" */ ,
  LATMIN SMALLINT /* "LATMIN" */ ,
  LATSEC FLOAT /* "LATSEC" */ ,
  NS CHAR(1) /* "NS" */ ,
  LONGDD FLOAT /* "LONGDD" */ ,
  LATDD FLOAT /* "LATDD" */ ,
  DATUM VARCHAR(35) /* "DATUM" */ ,
  OBJLOC VARCHAR(30) /* "OBJLOC" */ ,
  HOWLOC VARCHAR(25) /* "HOWLOC" */ ,
  ACCURACY VARCHAR(20) /* "ACCURACY" */ ,
  LLCOMPUTED CHAR(1) /* "LLCOMPUTED" */ ,
  REVWHO VARCHAR(5) /* "REVWHO" */ ,
  REVDATE VARCHAR(12) /* "REVDATE" */ ,
  RELDATE VARCHAR(12) /* "RELDATE" */
);

ALTER TABLE DGGEOL ADD CONSTRAINT PK_DGGEOL PRIMARY KEY (DGNO);

/* Original table name is "dggeosig" */
CREATE TABLE DGGEOSIG (
  DGNO INTEGER NOT NULL /* "DGNO" */ ,
  RANK INTEGER NOT NULL /* "RANK" */ ,
  SIGTYPE VARCHAR(50) /* "SIGTYPE" */ ,
  RESPONSE VARCHAR(50) /* "RESPONSE" */ ,
  REVWHO VARCHAR(5) /* "REVWHO" */ ,
  REVDATE VARCHAR(12) /* "REVDATE" */ ,
  RELDATE VARCHAR(12) /* "RELDATE" */
);

ALTER TABLE DGGEOSIG ADD CONSTRAINT PK_DGGEOSIG PRIMARY KEY (DGNO,RANK);

/* Original table name is "dghform" */
CREATE TABLE DGHFORM (
  DGNO INTEGER NOT NULL /* "DGNO" */ ,
  DGHRANK INTEGER NOT NULL /* "DGHRANK" */ ,
  RANK INTEGER NOT NULL /* "RANK" */ ,
  HFORM VARCHAR(50) /* "HFORM" */ ,
  REVWHO VARCHAR(5) /* "REVWHO" */ ,
  REVDATE VARCHAR(12) /* "REVDATE" */ ,
  RELDATE VARCHAR(12) /* "RELDATE" */
);

ALTER TABLE DGHFORM ADD CONSTRAINT PK_DGHFORM PRIMARY KEY (DGNO,DGHRANK,RANK);

/* Original table name is "dghlith" */
CREATE TABLE DGHLITH (
  DGNO INTEGER NOT NULL /* "DGNO" */ ,
  DGHRANK INTEGER NOT NULL /* "DGHRANK" */ ,
  RANK INTEGER NOT NULL /* "RANK" */ ,
  LITHCOMP VARCHAR(35) /* "LITHCOMP" */ ,
  LITHQUAL VARCHAR(150) /* "LITHQUAL" */ ,
  GENLITH VARCHAR(50) /* "GENLITH" */ ,
  REVWHO VARCHAR(5) /* "REVWHO" */ ,
  REVDATE VARCHAR(12) /* "REVDATE" */ ,
  RELDATE VARCHAR(12) /* "RELDATE" */
);

ALTER TABLE DGHLITH ADD CONSTRAINT PK_DGHLITH PRIMARY KEY (DGNO,DGHRANK,RANK);

/* Original table name is "dghostnm" */
CREATE TABLE DGHOSTNM (
  DGNO INTEGER NOT NULL /* "DGNO" */ ,
  RANK INTEGER NOT NULL /* "RANK" */ ,
  HOSTNAME VARCHAR(50) /* "HOSTNAME" */ ,
  REVWHO VARCHAR(5) /* "REVWHO" */ ,
  REVDATE VARCHAR(12) /* "REVDATE" */ ,
  RELDATE VARCHAR(12) /* "RELDATE" */
);

ALTER TABLE DGHOSTNM ADD CONSTRAINT PK_DGHOSTNM PRIMARY KEY (DGNO,RANK);

/* Original table name is "dghostrx" */
CREATE TABLE DGHOSTRX (
  DGNO INTEGER NOT NULL /* "DGNO" */ ,
  RANK INTEGER NOT NULL /* "RANK" */ ,
  HOSTROCK VARCHAR(75) /* "HOSTROCK" */ ,
  HOSTCAT VARCHAR(30) /* "HOSTCAT" */ ,
  HOSTRQUL VARCHAR(150) /* "HOSTRQUL" */ ,
  HSERIES VARCHAR(50) /* "HSERIES" */ ,
  HDEPSET VARCHAR(50) /* "HDEPSET" */ ,
  METGRADE VARCHAR(50) /* "METGRADE" */ ,
  AGEDATA CHAR(1) /* "AGEDATA" */ ,
  COMPONENT VARCHAR(50) /* "COMPONENT" */ ,
  REVWHO VARCHAR(5) /* "REVWHO" */ ,
  REVDATE VARCHAR(12) /* "REVDATE" */ ,
  RELDATE VARCHAR(12) /* "RELDATE" */
);

ALTER TABLE DGHOSTRX ADD CONSTRAINT PK_DGHOSTRX PRIMARY KEY (DGNO,RANK);

/* Original table name is "dghproto" */
CREATE TABLE DGHPROTO (
  DGNO INTEGER NOT NULL /* "DGNO" */ ,
  DGHRANK INTEGER NOT NULL /* "DGHRANK" */ ,
  RANK INTEGER NOT NULL /* "RANK" */ ,
  PROTOLTH VARCHAR(50) /* "PROTOLTH" */ ,
  PROTOQUL VARCHAR(150) /* "PROTOQUL" */ ,
  PROTONAM VARCHAR(50) /* "PROTONAM" */ ,
  REVWHO VARCHAR(5) /* "REVWHO" */ ,
  REVDATE VARCHAR(12) /* "REVDATE" */ ,
  RELDATE VARCHAR(12) /* "RELDATE" */
);

ALTER TABLE DGHPROTO ADD CONSTRAINT PK_DGHPROTO PRIMARY KEY (DGNO,DGHRANK,RANK);

/* Original table name is "dghstrat" */
CREATE TABLE DGHSTRAT (
  DGNO INTEGER NOT NULL /* "DGNO" */ ,
  DGHRANK INTEGER NOT NULL /* "DGHRANK" */ ,
  RANK INTEGER NOT NULL /* "RANK" */ ,
  HOSTRNAM VARCHAR(50) /* "HOSTRNAM" */ ,
  STRATLEVEL VARCHAR(50) /* "STRATLEVEL" */ ,
  REVWHO VARCHAR(5) /* "REVWHO" */ ,
  REVDATE VARCHAR(12) /* "REVDATE" */ ,
  RELDATE VARCHAR(12) /* "RELDATE" */
);

ALTER TABLE DGHSTRAT ADD CONSTRAINT PK_DGHSTRAT PRIMARY KEY (DGNO,DGHRANK,RANK);

/* Original table name is "dghstruc" */
CREATE TABLE DGHSTRUC (
  DGNO INTEGER NOT NULL /* "DGNO" */ ,
  DGHRANK INTEGER NOT NULL /* "DGHRANK" */ ,
  RANK INTEGER NOT NULL /* "RANK" */ ,
  HSTRUC VARCHAR(50) /* "HSTRUC" */ ,
  REVWHO VARCHAR(5) /* "REVWHO" */ ,
  REVDATE VARCHAR(12) /* "REVDATE" */ ,
  RELDATE VARCHAR(12) /* "RELDATE" */
);

ALTER TABLE DGHSTRUC ADD CONSTRAINT PK_DGHSTRUC PRIMARY KEY (DGNO,DGHRANK,RANK);

/* Original table name is "dgignrx" */
CREATE TABLE DGIGNRX (
  DGNO INTEGER NOT NULL /* "DGNO" */ ,
  RANK INTEGER NOT NULL /* "RANK" */ ,
  RIGNEOUS VARCHAR(100) /* "RIGNEOUS" */ ,
  IGNCAT VARCHAR(30) /* "IGNCAT" */ ,
  RIGNRQUL VARCHAR(150) /* "RIGNRQUL" */ ,
  RIGNRNAM VARCHAR(50) /* "RIGNRNAM" */ ,
  MSERIES VARCHAR(50) /* "MSERIES" */ ,
  MDEPSET VARCHAR(50) /* "MDEPSET" */ ,
  AGEDATA CHAR(1) /* "AGEDATA" */ ,
  COMPONENT VARCHAR(50) /* "COMPONENT" */ ,
  REVWHO VARCHAR(5) /* "REVWHO" */ ,
  REVDATE VARCHAR(12) /* "REVDATE" */ ,
  RELDATE VARCHAR(12) /* "RELDATE" */
);

ALTER TABLE DGIGNRX ADD CONSTRAINT PK_DGIGNRX PRIMARY KEY (DGNO,RANK);

/* Original table name is "dgmetmin" */
CREATE TABLE DGMETMIN (
  DGNO INTEGER NOT NULL /* "DGNO" */ ,
  METSIGRK INTEGER NOT NULL /* "METSIGRK" */ ,
  MINSTLRK INTEGER NOT NULL /* "MINSTLRK" */ ,
  REVWHO VARCHAR(5) /* "REVWHO" */ ,
  REVDATE VARCHAR(12) /* "REVDATE" */ ,
  RELDATE VARCHAR(12) /* "RELDATE" */
);

ALTER TABLE DGMETMIN ADD CONSTRAINT PK_DGMETMIN PRIMARY KEY (DGNO,METSIGRK,MINSTLRK);

/* Original table name is "dgmetsig" */
CREATE TABLE DGMETSIG (
  DGNO INTEGER NOT NULL /* "DGNO" */ ,
  RANK INTEGER NOT NULL /* "RANK" */ ,
  METSIG VARCHAR(50) /* "METSIG" */ ,
  AGEDATA CHAR(1) /* "AGEDATA" */ ,
  REVWHO VARCHAR(5) /* "REVWHO" */ ,
  REVDATE VARCHAR(12) /* "REVDATE" */ ,
  RELDATE VARCHAR(12) /* "RELDATE" */
);

ALTER TABLE DGMETSIG ADD CONSTRAINT PK_DGMETSIG PRIMARY KEY (DGNO,RANK);

/* Original table name is "dgminstl" */
CREATE TABLE DGMINSTL (
  DGNO INTEGER NOT NULL /* "DGNO" */ ,
  RANK INTEGER NOT NULL /* "RANK" */ ,
  MINSTYL VARCHAR(50) /* "MINSTYL" */ ,
  COMPONENT VARCHAR(50) /* "COMPONENT" */ ,
  REVWHO VARCHAR(5) /* "REVWHO" */ ,
  REVDATE VARCHAR(12) /* "REVDATE" */ ,
  RELDATE VARCHAR(12) /* "RELDATE" */
);

ALTER TABLE DGMINSTL ADD CONSTRAINT PK_DGMINSTL PRIMARY KEY (DGNO,RANK);

/* Original table name is "dgmnrlgy" */
CREATE TABLE DGMNRLGY (
  DGNO INTEGER NOT NULL /* "DGNO" */ ,
  RANK INTEGER NOT NULL /* "RANK" */ ,
  CATEGORY VARCHAR(50) /* "CATEGORY" */ ,
  MINERAL VARCHAR(50) /* "MINERAL" */ ,
  AGEDATA CHAR(1) /* "AGEDATA" */ ,
  COMPONENT VARCHAR(50) /* "COMPONENT" */ ,
  REVWHO VARCHAR(5) /* "REVWHO" */ ,
  REVDATE VARCHAR(12) /* "REVDATE" */ ,
  RELDATE VARCHAR(12) /* "RELDATE" */
);

ALTER TABLE DGMNRLGY ADD CONSTRAINT PK_DGMNRLGY PRIMARY KEY (DGNO,RANK);

/* Original table name is "dgname" */
CREATE TABLE DGNAME (
  DGNO INTEGER NOT NULL /* "DGNO" */ ,
  RANK INTEGER NOT NULL /* "RANK" */ ,
  DGNAME VARCHAR(50) /* "DGNAME" */ ,
  NAMETYPE VARCHAR(50) /* "NAMETYPE" */ ,
  REVWHO VARCHAR(5) /* "REVWHO" */ ,
  REVDATE VARCHAR(12) /* "REVDATE" */ ,
  RELDATE VARCHAR(12) /* "RELDATE" */
);

ALTER TABLE DGNAME ADD CONSTRAINT PK_DGNAME PRIMARY KEY (DGNO,RANK);

/* Original table name is "dgnts" */
CREATE TABLE DGNTS (
  DGNO INTEGER NOT NULL /* "DGNO" */ ,
  RANK INTEGER NOT NULL /* "RANK" */ ,
  MAPID VARCHAR(20) /* "MAPID" */ ,
  NTSP VARCHAR(3) /* "NTSP" */ ,
  NTSS CHAR(1) /* "NTSS" */ ,
  NTST VARCHAR(2) /* "NTST" */ ,
  QUADRANT VARCHAR(2) /* "QUADRANT" */ ,
  NTSNAME VARCHAR(100) /* "NTSNAME" */ ,
  REVWHO VARCHAR(5) /* "REVWHO" */ ,
  REVDATE VARCHAR(12) /* "REVDATE" */ ,
  RELDATE VARCHAR(12) /* "RELDATE" */
);

ALTER TABLE DGNTS ADD CONSTRAINT PK_DGNTS PRIMARY KEY (DGNO,RANK);

/* Original table name is "dgprogress" */
CREATE TABLE DGPROGRESS (
  DGNO INTEGER NOT NULL /* "DGNO" */ ,
  RANK INTEGER NOT NULL /* "RANK" */ ,
  COMPSTAGE VARCHAR(50) /* "COMPSTAGE" */ ,
  PROGLEVEL VARCHAR(50) /* "PROGLEVEL" */ ,
  REVWHO VARCHAR(5) /* "REVWHO" */ ,
  REVDATE VARCHAR(12) /* "REVDATE" */ ,
  RELDATE VARCHAR(12) /* "RELDATE" */
);

ALTER TABLE DGPROGRESS ADD CONSTRAINT PK_DGPROGRESS PRIMARY KEY (DGNO,RANK);

/* Original table name is "dgradage" */
CREATE TABLE DGRADAGE (
  DGNO INTEGER NOT NULL /* "DGNO" */ ,
  RANK INTEGER NOT NULL /* "RANK" */ ,
  OBJDATED VARCHAR(30) /* "OBJDATED" */ ,
  OBJRANK INTEGER /* "OBJRANK" */ ,
  AGEMA FLOAT /* "AGEMA" */ ,
  PLUSERR FLOAT /* "PLUSERR" */ ,
  MINUSERR FLOAT /* "MINUSERR" */ ,
  TWOSIGMA CHAR(1) /* "TWOSIGMA" */ ,
  METHOD VARCHAR(30) /* "METHOD" */ ,
  CONCENTRAT VARCHAR(25) /* "CONCENTRAT" */ ,
  SOURCEROCK VARCHAR(50) /* "SOURCEROCK" */ ,
  NAMEDATED VARCHAR(50) /* "NAMEDATED" */ ,
  WHATDATED VARCHAR(70) /* "WHATDATED" */ ,
  INTERPCOM VARCHAR(100) /* "INTERPCOM" */ ,
  REFNO INTEGER /* "REFNO" */ ,
  REVWHO VARCHAR(5) /* "REVWHO" */ ,
  REVDATE VARCHAR(12) /* "REVDATE" */ ,
  RELDATE VARCHAR(12) /* "RELDATE" */
);

ALTER TABLE DGRADAGE ADD CONSTRAINT PK_DGRADAGE PRIMARY KEY (DGNO,RANK);

/* Original table name is "dgref" */
CREATE TABLE DGREF (
  DGNO INTEGER NOT NULL /* "DGNO" */ ,
  REFNO INTEGER NOT NULL /* "REFNO" */ ,
  REVWHO VARCHAR(5) /* "REVWHO" */ ,
  REVDATE VARCHAR(12) /* "REVDATE" */ ,
  RELDATE VARCHAR(12) /* "RELDATE" */
);

ALTER TABLE DGREF ADD CONSTRAINT PK_DGREF PRIMARY KEY (DGNO,REFNO);

/* Original table name is "dgrefx" */
CREATE TABLE DGREFX (
  DGNO INTEGER NOT NULL /* "DGNO" */ ,
  REFNO INTEGER NOT NULL /* "REFNO" */ ,
  RANK INTEGER NOT NULL /* "RANK" */ ,
  CHAPTER VARCHAR(35) /* "CHAPTER" */ ,
  STARTPAGE VARCHAR(10) /* "STARTPAGE" */ ,
  ENDPAGE VARCHAR(10) /* "ENDPAGE" */ ,
  DEPTPSC CHAR(1) /* "DEPTPSC" */ ,
  HOSTRSC CHAR(1) /* "HOSTRSC" */ ,
  CTRYRSC CHAR(1) /* "CTRYRSC" */ ,
  TECTSETSC CHAR(1) /* "TECTSETSC" */ ,
  GEOLPROVSC CHAR(1) /* "GEOLPROVSC" */ ,
  DGSTATSC CHAR(1) /* "DGSTATSC" */ ,
  LOCSC CHAR(1) /* "LOCSC" */ ,
  COMMSC CHAR(1) /* "COMMSC" */ ,
  HOSTNAMSC CHAR(1) /* "HOSTNAMSC" */ ,
  CTRYSC CHAR(1) /* "CTRYSC" */ ,
  NAMESC CHAR(1) /* "NAMESC" */ ,
  MNRLGYSC CHAR(1) /* "MNRLGYSC" */ ,
  GEOLAGESC CHAR(1) /* "GEOLAGESC" */ ,
  METSIGSC CHAR(1) /* "METSIGSC" */ ,
  ALTSIGSC CHAR(1) /* "ALTSIGSC" */ ,
  CFEATSC CHAR(1) /* "CFEATSC" */ ,
  RIGNRSC CHAR(1) /* "RIGNRSC" */ ,
  TSTRUCSC CHAR(1) /* "TSTRUCSC" */ ,
  ASSAYSRC CHAR(1) /* "ASSAYSRC" */ ,
  REVWHO VARCHAR(5) /* "REVWHO" */ ,
  REVDATE VARCHAR(12) /* "REVDATE" */ ,
  RELDATE VARCHAR(12) /* "RELDATE" */
);

ALTER TABLE DGREFX ADD CONSTRAINT PK_DGREFX PRIMARY KEY (DGNO,REFNO,RANK);

/* Original table name is "dgrform" */
CREATE TABLE DGRFORM (
  DGNO INTEGER NOT NULL /* "DGNO" */ ,
  DGRRANK INTEGER NOT NULL /* "DGRRANK" */ ,
  RANK INTEGER NOT NULL /* "RANK" */ ,
  RFORM VARCHAR(50) /* "RFORM" */ ,
  REVWHO VARCHAR(5) /* "REVWHO" */ ,
  REVDATE VARCHAR(12) /* "REVDATE" */ ,
  RELDATE VARCHAR(12) /* "RELDATE" */
);

ALTER TABLE DGRFORM ADD CONSTRAINT PK_DGRFORM PRIMARY KEY (DGNO,DGRRANK,RANK);

/* Original table name is "dgrlith" */
CREATE TABLE DGRLITH (
  DGNO INTEGER NOT NULL /* "DGNO" */ ,
  DGRRANK INTEGER NOT NULL /* "DGRRANK" */ ,
  RANK INTEGER NOT NULL /* "RANK" */ ,
  LITHCOMP VARCHAR(35) /* "LITHCOMP" */ ,
  LITHQUAL VARCHAR(150) /* "LITHQUAL" */ ,
  GENLITH VARCHAR(50) /* "GENLITH" */ ,
  REVWHO VARCHAR(5) /* "REVWHO" */ ,
  REVDATE VARCHAR(12) /* "REVDATE" */ ,
  RELDATE VARCHAR(12) /* "RELDATE" */
);

ALTER TABLE DGRLITH ADD CONSTRAINT PK_DGRLITH PRIMARY KEY (DGNO,DGRRANK,RANK);

/* Original table name is "dgsample" */
CREATE TABLE DGSAMPLE (
  DGNO INTEGER NOT NULL /* "DGNO" */ ,
  RANK INTEGER NOT NULL /* "RANK" */ ,
  SAMPTYPE VARCHAR(50) /* "SAMPTYPE" */ ,
  SAMPWGT FLOAT /* "SAMPWGT" */ ,
  WGTUNITS VARCHAR(30) /* "WGTUNITS" */ ,
  SAMPSIZE VARCHAR(254) /* "SAMPSIZE" */ ,
  SAMPDESC VARCHAR(254) /* "SAMPDESC" */ ,
  SAMPASS VARCHAR(254) /* "SAMPASS" */ ,
  SAMPXLINK VARCHAR(50) /* "SAMPXLINK" */ ,
  SAMPXSRC VARCHAR(200) /* "SAMPXSRC" */ ,
  REFNO INTEGER /* "REFNO" */ ,
  REVWHO VARCHAR(5) /* "REVWHO" */ ,
  REVDATE VARCHAR(12) /* "REVDATE" */ ,
  RELDATE VARCHAR(12) /* "RELDATE" */
);

ALTER TABLE DGSAMPLE ADD CONSTRAINT PK_DGSAMPLE PRIMARY KEY (DGNO,RANK);

/* Original table name is "dgsdim" */
CREATE TABLE DGSDIM (
  DGNO INTEGER NOT NULL /* "DGNO" */ ,
  DGSRANK INTEGER NOT NULL /* "DGSRANK" */ ,
  RANK INTEGER NOT NULL /* "RANK" */ ,
  DIMENSION FLOAT /* "DIMENSION" */ ,
  DIMUNITS VARCHAR(30) /* "DIMUNITS" */ ,
  DIMCAT VARCHAR(30) /* "DIMCAT" */ ,
  REVWHO VARCHAR(5) /* "REVWHO" */ ,
  REVDATE VARCHAR(12) /* "REVDATE" */ ,
  RELDATE VARCHAR(12) /* "RELDATE" */
);

ALTER TABLE DGSDIM ADD CONSTRAINT PK_DGSDIM PRIMARY KEY (DGNO,DGSRANK,RANK);

/* Original table name is "dgshape" */
CREATE TABLE DGSHAPE (
  DGNO INTEGER NOT NULL /* "DGNO" */ ,
  RANK INTEGER NOT NULL /* "RANK" */ ,
  DSHAPE VARCHAR(50) /* "DSHAPE" */ ,
  COMPONENT VARCHAR(50) /* "COMPONENT" */ ,
  REVWHO VARCHAR(5) /* "REVWHO" */ ,
  REVDATE VARCHAR(12) /* "REVDATE" */ ,
  RELDATE VARCHAR(12) /* "RELDATE" */
);

ALTER TABLE DGSHAPE ADD CONSTRAINT PK_DGSHAPE PRIMARY KEY (DGNO,RANK);

/* Original table name is "dgsmpgrade" */
CREATE TABLE DGSMPGRADE (
  DGNO INTEGER NOT NULL /* "DGNO" */ ,
  DGSRANK INTEGER NOT NULL /* "DGSRANK" */ ,
  RANK INTEGER NOT NULL /* "RANK" */ ,
  COMMODITY VARCHAR(15) /* "COMMODITY" */ ,
  GRADVALUE FLOAT /* "GRADVALUE" */ ,
  GRDUNITS VARCHAR(30) /* "GRDUNITS" */ ,
  ANMETHOD VARCHAR(50) /* "ANMETHOD" */ ,
  REVWHO VARCHAR(5) /* "REVWHO" */ ,
  REVDATE VARCHAR(12) /* "REVDATE" */ ,
  RELDATE VARCHAR(12) /* "RELDATE" */
);

ALTER TABLE DGSMPGRADE ADD CONSTRAINT PK_DGSMPGRADE PRIMARY KEY (DGNO,DGSRANK,RANK);

/* Original table name is "dgsmpwgt" */
CREATE TABLE DGSMPWGT (
  DGNO INTEGER NOT NULL /* "DGNO" */ ,
  DGSRANK INTEGER NOT NULL /* "DGSRANK" */ ,
  RANK INTEGER NOT NULL /* "RANK" */ ,
  COMMODITY VARCHAR(15) /* "COMMODITY" */ ,
  WGTVALUE FLOAT /* "GRADVALUE" */ ,
  WGTUNITS VARCHAR(30) /* "GRDUNITS" */ ,
  ANMETHOD VARCHAR(50) /* "ANMETHOD" */ ,
  REVWHO VARCHAR(5) /* "REVWHO" */ ,
  REVDATE VARCHAR(12) /* "REVDATE" */ ,
  RELDATE VARCHAR(12) /* "RELDATE" */
);

ALTER TABLE DGSMPWGT ADD CONSTRAINT PK_DGSMPWGT PRIMARY KEY (DGNO,DGSRANK,RANK);

/* Original table name is "dgstat" */
CREATE TABLE DGSTAT (
  DGSTAT VARCHAR(20) NOT NULL /* "DGSTAT" */ ,
  LONGDESC VARCHAR(254) /* "LONGDESC" */ ,
  REVWHO VARCHAR(5) /* "REVWHO" */ ,
  REVDATE VARCHAR(12) /* "REVDATE" */ ,
  RELDATE VARCHAR(12) /* "RELDATE" */
);

ALTER TABLE DGSTAT ADD CONSTRAINT PK_DGSTAT PRIMARY KEY (DGSTAT);

/* Original table name is "dgstatus" */
CREATE TABLE DGSTATUS (
  DGNO INTEGER NOT NULL /* "DGNO" */ ,
  RANK INTEGER NOT NULL /* "RANK" */ ,
  DGSTAT VARCHAR(20) /* "DGSTAT" */ ,
  ESTSIZE VARCHAR(35) /* "ESTSIZE" */ ,
  COMMENTS VARCHAR(200) /* "COMMENTS" */ ,
  REVWHO VARCHAR(5) /* "REVWHO" */ ,
  REVDATE VARCHAR(12) /* "REVDATE" */ ,
  RELDATE VARCHAR(12) /* "RELDATE" */
);

ALTER TABLE DGSTATUS ADD CONSTRAINT PK_DGSTATUS PRIMARY KEY (DGNO,RANK);

/* Original table name is "dgtecset" */
CREATE TABLE DGTECSET (
  DGNO INTEGER NOT NULL /* "DGNO" */ ,
  RANK INTEGER NOT NULL /* "RANK" */ ,
  SETTINGOF VARCHAR(30) /* "SETTINGOF" */ ,
  REALM VARCHAR(30) /* "REALM" */ ,
  DFREGIME VARCHAR(30) /* "DFREGIME" */ ,
  TECTOBJ VARCHAR(50) /* "TECTOBJ" */ ,
  TECQUAL VARCHAR(35) /* "TECQUAL" */ ,
  TECTNAME VARCHAR(50) /* "TECTNAME" */ ,
  REVWHO VARCHAR(5) /* "REVWHO" */ ,
  REVDATE VARCHAR(12) /* "REVDATE" */ ,
  RELDATE VARCHAR(12) /* "RELDATE" */
);

ALTER TABLE DGTECSET ADD CONSTRAINT PK_DGTECSET PRIMARY KEY (DGNO,RANK);

/* Original table name is "dgtstruc" */
CREATE TABLE DGTSTRUC (
  DGNO INTEGER NOT NULL /* "DGNO" */ ,
  RANK INTEGER NOT NULL /* "RANK" */ ,
  TSTRUC VARCHAR(100) /* "TSTRUC" */ ,
  TSTRCQUL VARCHAR(150) /* "TSTRCQUL" */ ,
  TSTRCNAM VARCHAR(50) /* "TSTRCNAM" */ ,
  HOWFAR FLOAT /* "HOWFAR" */ ,
  FARUNITS VARCHAR(20) /* "FARUNITS" */ ,
  REVWHO VARCHAR(5) /* "REVWHO" */ ,
  REVDATE VARCHAR(12) /* "REVDATE" */ ,
  RELDATE VARCHAR(12) /* "RELDATE" */
);

ALTER TABLE DGTSTRUC ADD CONSTRAINT PK_DGTSTRUC PRIMARY KEY (DGNO,RANK);

/* Original table name is "dgxlink" */
CREATE TABLE DGXLINK (
  DGNO INTEGER NOT NULL /* "DGNO" */ ,
  RANK INTEGER NOT NULL /* "RANK" */ ,
  DBCODE VARCHAR(50) /* "DBCODE" */ ,
  DBKEYVALUE VARCHAR(50) /* "DBKEYVALUE" */ ,
  REVWHO VARCHAR(5) /* "REVWHO" */ ,
  REVDATE VARCHAR(12) /* "REVDATE" */ ,
  RELDATE VARCHAR(12) /* "RELDATE" */
);

ALTER TABLE DGXLINK ADD CONSTRAINT PK_DGXLINK PRIMARY KEY (DGNO,RANK);

/* Original table name is "dimcat" */
CREATE TABLE DIMCAT (
  DIMCAT VARCHAR(30) NOT NULL /* "DIMCAT" */ ,
  LONGDESC VARCHAR(254) /* "LONGDESC" */ ,
  REVWHO VARCHAR(5) /* "REVWHO" */ ,
  REVDATE VARCHAR(12) /* "REVDATE" */ ,
  RELDATE VARCHAR(12) /* "RELDATE" */
);

ALTER TABLE DIMCAT ADD CONSTRAINT PK_DIMCAT PRIMARY KEY (DIMCAT);

/* Original table name is "dimunits" */
CREATE TABLE DIMUNITS (
  DIMUNITS VARCHAR(30) NOT NULL /* "DIMUNITS" */ ,
  LONGDESC VARCHAR(254) /* "LONGDESC" */ ,
  REVWHO VARCHAR(5) /* "REVWHO" */ ,
  REVDATE VARCHAR(12) /* "REVDATE" */ ,
  RELDATE VARCHAR(12) /* "RELDATE" */
);

ALTER TABLE DIMUNITS ADD CONSTRAINT PK_DIMUNITS PRIMARY KEY (DIMUNITS);

/* Original table name is "dpagets" */
CREATE TABLE DPAGETS (
  DEPNO INTEGER NOT NULL /* "DEPNO" */ ,
  RANK INTEGER NOT NULL /* "RANK" */ ,
  STARTAGE VARCHAR(30) /* "STARTAGE" */ ,
  STARTQU VARCHAR(10) /* "STARTQU" */ ,
  ENDAGE VARCHAR(30) /* "ENDAGE" */ ,
  ENDQU VARCHAR(10) /* "ENDQU" */ ,
  CTRYHOST VARCHAR(30) /* "CTRYHOST" */ ,
  REVWHO VARCHAR(5) /* "REVWHO" */ ,
  REVDATE VARCHAR(12) /* "REVDATE" */ ,
  RELDATE VARCHAR(12) /* "RELDATE" */
);

ALTER TABLE DPAGETS ADD CONSTRAINT PK_DPAGETS PRIMARY KEY (DEPNO,RANK);

/* Original table name is "dpaltmin" */
CREATE TABLE DPALTMIN (
  DEPNO INTEGER NOT NULL /* "DEPNO" */ ,
  ALTSIGRK INTEGER NOT NULL /* "ALTSIGRK" */ ,
  MINSTLRK INTEGER NOT NULL /* "MINSTLRK" */ ,
  REVWHO VARCHAR(5) /* "REVWHO" */ ,
  REVDATE VARCHAR(12) /* "REVDATE" */ ,
  RELDATE VARCHAR(12) /* "RELDATE" */
);

ALTER TABLE DPALTMIN ADD CONSTRAINT PK_DPALTMIN PRIMARY KEY (DEPNO,ALTSIGRK,MINSTLRK);

/* Original table name is "dpaltsig" */
CREATE TABLE DPALTSIG (
  DEPNO INTEGER NOT NULL /* "DEPNO" */ ,
  RANK INTEGER NOT NULL /* "RANK" */ ,
  ALTCAT VARCHAR(35) /* "ALTCAT" */ ,
  ALTSIG VARCHAR(50) /* "ALTSIG" */ ,
  WHATALT VARCHAR(50) /* "WHATALT" */ ,
  AGEDATA CHAR(1) /* "AGEDATA" */ ,
  COMPONENT VARCHAR(50) /* "COMPONENT" */ ,
  REVWHO VARCHAR(5) /* "REVWHO" */ ,
  REVDATE VARCHAR(12) /* "REVDATE" */ ,
  RELDATE VARCHAR(12) /* "RELDATE" */
);

ALTER TABLE DPALTSIG ADD CONSTRAINT PK_DPALTSIG PRIMARY KEY (DEPNO,RANK);

/* Original table name is "dpcfeat" */
CREATE TABLE DPCFEAT (
  DEPNO INTEGER NOT NULL /* "DEPNO" */ ,
  RANK INTEGER NOT NULL /* "RANK" */ ,
  CFEAT VARCHAR(50) /* "CFEAT" */ ,
  CFTQUL VARCHAR(150) /* "CFTQUL" */ ,
  CFTNAM VARCHAR(50) /* "CFTNAM" */ ,
  REVWHO VARCHAR(5) /* "REVWHO" */ ,
  REVDATE VARCHAR(12) /* "REVDATE" */ ,
  RELDATE VARCHAR(12) /* "RELDATE" */
);

ALTER TABLE DPCFEAT ADD CONSTRAINT PK_DPCFEAT PRIMARY KEY (DEPNO,RANK);

/* Original table name is "dpcftmin" */
CREATE TABLE DPCFTMIN (
  DEPNO INTEGER NOT NULL /* "DEPNO" */ ,
  CFEATRK INTEGER NOT NULL /* "CFEATRK" */ ,
  MINSTLRK INTEGER NOT NULL /* "MINSTLRK" */ ,
  REVWHO VARCHAR(5) /* "REVWHO" */ ,
  REVDATE VARCHAR(12) /* "REVDATE" */ ,
  RELDATE VARCHAR(12) /* "RELDATE" */
);

ALTER TABLE DPCFTMIN ADD CONSTRAINT PK_DPCFTMIN PRIMARY KEY (DEPNO,CFEATRK,MINSTLRK);

/* Original table name is "dpclith" */
CREATE TABLE DPCLITH (
  DEPNO INTEGER NOT NULL /* "DEPNO" */ ,
  DPCRANK INTEGER NOT NULL /* "DPCRANK" */ ,
  RANK INTEGER NOT NULL /* "RANK" */ ,
  LITHCOMP VARCHAR(35) /* "LITHCOMP" */ ,
  LITHQUAL VARCHAR(150) /* "LITHQUAL" */ ,
  GENLITH VARCHAR(50) /* "GENLITH" */ ,
  REVWHO VARCHAR(5) /* "REVWHO" */ ,
  REVDATE VARCHAR(12) /* "REVDATE" */ ,
  RELDATE VARCHAR(12) /* "RELDATE" */
);

ALTER TABLE DPCLITH ADD CONSTRAINT PK_DPCLITH PRIMARY KEY (DEPNO,DPCRANK,RANK);

/* Original table name is "dpcom" */
CREATE TABLE DPCOM (
  DEPNO INTEGER NOT NULL /* "DEPNO" */ ,
  RANK INTEGER NOT NULL /* "RANK" */ ,
  COMMODITY VARCHAR(15) /* "COMMODITY" */ ,
  REVWHO VARCHAR(5) /* "REVWHO" */ ,
  REVDATE VARCHAR(12) /* "REVDATE" */ ,
  RELDATE VARCHAR(12) /* "RELDATE" */
);

ALTER TABLE DPCOM ADD CONSTRAINT PK_DPCOM PRIMARY KEY (DEPNO,RANK);

/* Original table name is "dpcomment" */
CREATE TABLE DPCOMMENT (
  DEPNO INTEGER NOT NULL /* "DEPNO" */ ,
  RANK INTEGER NOT NULL /* "RANK" */ ,
  APPLIESTO VARCHAR(50) /* "APPLIESTO" */ ,
  COMMENTS VARCHAR(4000) /* "COMMENTS" */ ,
  REVWHO VARCHAR(5) /* "REVWHO" */ ,
  REVDATE VARCHAR(12) /* "REVDATE" */ ,
  RELDATE VARCHAR(12) /* "RELDATE" */
);

ALTER TABLE DPCOMMENT ADD CONSTRAINT PK_DPCOMMENT PRIMARY KEY (DEPNO,RANK);

/* Original table name is "dpcproto" */
CREATE TABLE DPCPROTO (
  DEPNO INTEGER NOT NULL /* "DEPNO" */ ,
  DPCRANK INTEGER NOT NULL /* "DPCRANK" */ ,
  RANK INTEGER NOT NULL /* "RANK" */ ,
  PROTOLTH VARCHAR(50) /* "PROTOLTH" */ ,
  PROTOQUL VARCHAR(150) /* "PROTOQUL" */ ,
  PROTONAM VARCHAR(50) /* "PROTONAM" */ ,
  REVWHO VARCHAR(5) /* "REVWHO" */ ,
  REVDATE VARCHAR(12) /* "REVDATE" */ ,
  RELDATE VARCHAR(12) /* "RELDATE" */
);

ALTER TABLE DPCPROTO ADD CONSTRAINT PK_DPCPROTO PRIMARY KEY (DEPNO,DPCRANK,RANK);

/* Original table name is "dpctry" */
CREATE TABLE DPCTRY (
  DEPNO INTEGER NOT NULL /* "DEPNO" */ ,
  RANK INTEGER NOT NULL /* "RANK" */ ,
  COUNTRY VARCHAR(35) /* "COUNTRY" */ ,
  PROVSTATE VARCHAR(50) /* "PROVSTATE" */ ,
  SUBPROV VARCHAR(50) /* "SUBPROV" */ ,
  NEARCITY VARCHAR(50) /* "NEARCITY" */ ,
  HOWFAR FLOAT /* "HOWFAR" */ ,
  FARUNITS VARCHAR(20) /* "FARUNITS" */ ,
  DIRFROM VARCHAR(10) /* "DIRFROM" */ ,
  REVWHO VARCHAR(5) /* "REVWHO" */ ,
  REVDATE VARCHAR(12) /* "REVDATE" */ ,
  RELDATE VARCHAR(12) /* "RELDATE" */
);

ALTER TABLE DPCTRY ADD CONSTRAINT PK_DPCTRY PRIMARY KEY (DEPNO,RANK);

/* Original table name is "dpctryrx" */
CREATE TABLE DPCTRYRX (
  DEPNO INTEGER NOT NULL /* "DEPNO" */ ,
  RANK INTEGER NOT NULL /* "RANK" */ ,
  CTRYROCK VARCHAR(60) /* "CTRYROCK" */ ,
  CTRYRQUL VARCHAR(150) /* "CTRYRQUL" */ ,
  CTRYRNAM VARCHAR(50) /* "CTRYRNAM" */ ,
  METGRADE VARCHAR(50) /* "METGRADE" */ ,
  AGEDATA CHAR(1) /* "AGEDATA" */ ,
  REVWHO VARCHAR(5) /* "REVWHO" */ ,
  REVDATE VARCHAR(12) /* "REVDATE" */ ,
  RELDATE VARCHAR(12) /* "RELDATE" */
);

ALTER TABLE DPCTRYRX ADD CONSTRAINT PK_DPCTRYRX PRIMARY KEY (DEPNO,RANK);

/* Original table name is "dpdeptyp" */
CREATE TABLE DPDEPTYP (
  DEPNO INTEGER NOT NULL /* "DEPNO" */ ,
  RANK INTEGER NOT NULL /* "RANK" */ ,
  DEPTYPE VARCHAR(70) /* "DEPTYPE" */ ,
  COMMENTS VARCHAR(200) /* "COMMENTS" */ ,
  REFNO INTEGER /* "REFNO" */ ,
  REVWHO VARCHAR(5) /* "REVWHO" */ ,
  REVDATE VARCHAR(12) /* "REVDATE" */ ,
  RELDATE VARCHAR(12) /* "RELDATE" */
);

ALTER TABLE DPDEPTYP ADD CONSTRAINT PK_DPDEPTYP PRIMARY KEY (DEPNO,RANK);

/* Original table name is "dpdg" */
CREATE TABLE DPDG (
  DEPNO INTEGER NOT NULL /* "DEPNO" */ ,
  DGNO INTEGER NOT NULL /* "DGNO" */ ,
  REVWHO VARCHAR(5) /* "REVWHO" */ ,
  REVDATE VARCHAR(12) /* "REVDATE" */ ,
  RELDATE VARCHAR(12) /* "RELDATE" */
);

ALTER TABLE DPDG ADD CONSTRAINT PK_DPDG PRIMARY KEY (DEPNO,DGNO);

/* Original table name is "dpdigitized" */
CREATE TABLE DPDIGITIZED (
  DEPNO INTEGER NOT NULL /* "DEPNO" */ ,
  RANK INTEGER NOT NULL /* "RANK" */ ,
  DIGITIZED_X FLOAT /* "DIGITIZED_X" */ ,
  DIGITIZED_Y FLOAT /* "DIGITIZED_Y" */ ,
  DIGITIZED_EPSG INTEGER /* "DIGITIZED_EPSG" */ ,
  COORD_REFSYSNAME VARCHAR(80) /* "COORD_REFSYSNAME" */ ,
  WHO VARCHAR(5) /* "WHO" */ ,
  CREATDATE VARCHAR(12) /* "CREATDATE" */ ,
  REVWHO VARCHAR(5) /* "REVWHO" */ ,
  REVDATE VARCHAR(12) /* "REVDATE" */ ,
  RELDATE VARCHAR(12) /* "RELDATE" */
);

ALTER TABLE DPDIGITIZED ADD CONSTRAINT PK_DPDIGITIZED PRIMARY KEY (DEPNO,RANK);

/* Original table name is "dpgeol" */
CREATE TABLE DPGEOL (
  DEPNO INTEGER NOT NULL /* "DEPNO" */ ,
  DEPCLAN VARCHAR(70) /* "DEPCLAN" */ ,
  GEOLPROV VARCHAR(50) /* "GEOLPROV" */ ,
  GSUBPROV VARCHAR(50) /* "GSUBPROV" */ ,
  GDISTRICT VARCHAR(50) /* "GDISTRICT" */ ,
  LONGDEG SMALLINT /* "LONGDEG" */ ,
  LONGMIN SMALLINT /* "LONGMIN" */ ,
  LONGSEC FLOAT /* "LONGSEC" */ ,
  EW CHAR(1) /* "EW" */ ,
  LATDEG SMALLINT /* "LATDEG" */ ,
  LATMIN SMALLINT /* "LATMIN" */ ,
  LATSEC FLOAT /* "LATSEC" */ ,
  NS CHAR(1) /* "NS" */ ,
  LONGDD FLOAT /* "LONGDD" */ ,
  LATDD FLOAT /* "LATDD" */ ,
  DATUM VARCHAR(35) /* "DATUM" */ ,
  OBJLOC VARCHAR(30) /* "OBJLOC" */ ,
  HOWLOC VARCHAR(25) /* "HOWLOC" */ ,
  ACCURACY VARCHAR(20) /* "ACCURACY" */ ,
  LLCOMPUTED CHAR(1) /* "LLCOMPUTED" */ ,
  REVWHO VARCHAR(5) /* "REVWHO" */ ,
  REVDATE VARCHAR(12) /* "REVDATE" */ ,
  RELDATE VARCHAR(12) /* "RELDATE" */
);

ALTER TABLE DPGEOL ADD CONSTRAINT PK_DPGEOL PRIMARY KEY (DEPNO);

/* Original table name is "dpgeosig" */
CREATE TABLE DPGEOSIG (
  DEPNO INTEGER NOT NULL /* "DEPNO" */ ,
  RANK INTEGER NOT NULL /* "RANK" */ ,
  SIGTYPE VARCHAR(50) /* "SIGTYPE" */ ,
  RESPONSE VARCHAR(50) /* "RESPONSE" */ ,
  REVWHO VARCHAR(5) /* "REVWHO" */ ,
  REVDATE VARCHAR(12) /* "REVDATE" */ ,
  RELDATE VARCHAR(12) /* "RELDATE" */
);

ALTER TABLE DPGEOSIG ADD CONSTRAINT PK_DPGEOSIG PRIMARY KEY (DEPNO,RANK);

/* Original table name is "dphform" */
CREATE TABLE DPHFORM (
  DEPNO INTEGER NOT NULL /* "DEPNO" */ ,
  DPHRANK INTEGER NOT NULL /* "DPHRANK" */ ,
  RANK INTEGER NOT NULL /* "RANK" */ ,
  HFORM VARCHAR(50) /* "HFORM" */ ,
  REVWHO VARCHAR(5) /* "REVWHO" */ ,
  REVDATE VARCHAR(12) /* "REVDATE" */ ,
  RELDATE VARCHAR(12) /* "RELDATE" */
);

ALTER TABLE DPHFORM ADD CONSTRAINT PK_DPHFORM PRIMARY KEY (DEPNO,DPHRANK,RANK);

/* Original table name is "dphlith" */
CREATE TABLE DPHLITH (
  DEPNO INTEGER NOT NULL /* "DEPNO" */ ,
  DPHRANK INTEGER NOT NULL /* "DPHRANK" */ ,
  RANK INTEGER NOT NULL /* "RANK" */ ,
  LITHCOMP VARCHAR(35) /* "LITHCOMP" */ ,
  LITHQUAL VARCHAR(150) /* "LITHQUAL" */ ,
  GENLITH VARCHAR(50) /* "GENLITH" */ ,
  REVWHO VARCHAR(5) /* "REVWHO" */ ,
  REVDATE VARCHAR(12) /* "REVDATE" */ ,
  RELDATE VARCHAR(12) /* "RELDATE" */
);

ALTER TABLE DPHLITH ADD CONSTRAINT PK_DPHLITH PRIMARY KEY (DEPNO,DPHRANK,RANK);

/* Original table name is "dphostrx" */
CREATE TABLE DPHOSTRX (
  DEPNO INTEGER NOT NULL /* "DEPNO" */ ,
  RANK INTEGER NOT NULL /* "RANK" */ ,
  HOSTROCK VARCHAR(75) /* "HOSTROCK" */ ,
  HOSTCAT VARCHAR(30) /* "HOSTCAT" */ ,
  HOSTRQUL VARCHAR(150) /* "HOSTRQUL" */ ,
  HSERIES VARCHAR(50) /* "HSERIES" */ ,
  HDEPSET VARCHAR(50) /* "HDEPSET" */ ,
  METGRADE VARCHAR(50) /* "METGRADE" */ ,
  AGEDATA CHAR(1) /* "AGEDATA" */ ,
  COMPONENT VARCHAR(50) /* "COMPONENT" */ ,
  REVWHO VARCHAR(5) /* "REVWHO" */ ,
  REVDATE VARCHAR(12) /* "REVDATE" */ ,
  RELDATE VARCHAR(12) /* "RELDATE" */
);

ALTER TABLE DPHOSTRX ADD CONSTRAINT PK_DPHOSTRX PRIMARY KEY (DEPNO,RANK);

/* Original table name is "dphproto" */
CREATE TABLE DPHPROTO (
  DEPNO INTEGER NOT NULL /* "DEPNO" */ ,
  DPHRANK INTEGER NOT NULL /* "DPHRANK" */ ,
  RANK INTEGER NOT NULL /* "RANK" */ ,
  PROTOLTH VARCHAR(50) /* "PROTOLTH" */ ,
  PROTOQUL VARCHAR(150) /* "PROTOQUL" */ ,
  PROTONAM VARCHAR(50) /* "PROTONAM" */ ,
  REVWHO VARCHAR(5) /* "REVWHO" */ ,
  REVDATE VARCHAR(12) /* "REVDATE" */ ,
  RELDATE VARCHAR(12) /* "RELDATE" */
);

ALTER TABLE DPHPROTO ADD CONSTRAINT PK_DPHPROTO PRIMARY KEY (DEPNO,DPHRANK,RANK);

/* Original table name is "dphstrat" */
CREATE TABLE DPHSTRAT (
  DEPNO INTEGER NOT NULL /* "DEPNO" */ ,
  DPHRANK INTEGER NOT NULL /* "DPHRANK" */ ,
  RANK INTEGER NOT NULL /* "RANK" */ ,
  HOSTRNAM VARCHAR(50) /* "HOSTRNAM" */ ,
  STRATLEVEL VARCHAR(50) /* "STRATLEVEL" */ ,
  REVWHO VARCHAR(5) /* "REVWHO" */ ,
  REVDATE VARCHAR(12) /* "REVDATE" */ ,
  RELDATE VARCHAR(12) /* "RELDATE" */
);

ALTER TABLE DPHSTRAT ADD CONSTRAINT PK_DPHSTRAT PRIMARY KEY (DEPNO,DPHRANK,RANK);

/* Original table name is "dphstruc" */
CREATE TABLE DPHSTRUC (
  DEPNO INTEGER NOT NULL /* "DEPNO" */ ,
  DPHRANK INTEGER NOT NULL /* "DPHRANK" */ ,
  RANK INTEGER NOT NULL /* "RANK" */ ,
  HSTRUC VARCHAR(50) /* "HSTRUC" */ ,
  REVWHO VARCHAR(5) /* "REVWHO" */ ,
  REVDATE VARCHAR(12) /* "REVDATE" */ ,
  RELDATE VARCHAR(12) /* "RELDATE" */
);

ALTER TABLE DPHSTRUC ADD CONSTRAINT PK_DPHSTRUC PRIMARY KEY (DEPNO,DPHRANK,RANK);

/* Original table name is "dpignrx" */
CREATE TABLE DPIGNRX (
  DEPNO INTEGER NOT NULL /* "DEPNO" */ ,
  RANK INTEGER NOT NULL /* "RANK" */ ,
  RIGNEOUS VARCHAR(100) /* "RIGNEOUS" */ ,
  IGNCAT VARCHAR(30) /* "IGNCAT" */ ,
  RIGNRQUL VARCHAR(150) /* "RIGNRQUL" */ ,
  RIGNRNAM VARCHAR(50) /* "RIGNRNAM" */ ,
  MSERIES VARCHAR(50) /* "MSERIES" */ ,
  MDEPSET VARCHAR(50) /* "MDEPSET" */ ,
  AGEDATA CHAR(1) /* "AGEDATA" */ ,
  COMPONENT VARCHAR(50) /* "COMPONENT" */ ,
  REVWHO VARCHAR(5) /* "REVWHO" */ ,
  REVDATE VARCHAR(12) /* "REVDATE" */ ,
  RELDATE VARCHAR(12) /* "RELDATE" */
);

ALTER TABLE DPIGNRX ADD CONSTRAINT PK_DPIGNRX PRIMARY KEY (DEPNO,RANK);

/* Original table name is "dpmetmin" */
CREATE TABLE DPMETMIN (
  DEPNO INTEGER NOT NULL /* "DEPNO" */ ,
  METSIGRK INTEGER NOT NULL /* "METSIGRK" */ ,
  MINSTLRK INTEGER NOT NULL /* "MINSTLRK" */ ,
  REVWHO VARCHAR(5) /* "REVWHO" */ ,
  REVDATE VARCHAR(12) /* "REVDATE" */ ,
  RELDATE VARCHAR(12) /* "RELDATE" */
);

ALTER TABLE DPMETMIN ADD CONSTRAINT PK_DPMETMIN PRIMARY KEY (DEPNO,METSIGRK,MINSTLRK);

/* Original table name is "dpmetsig" */
CREATE TABLE DPMETSIG (
  DEPNO INTEGER NOT NULL /* "DEPNO" */ ,
  RANK INTEGER NOT NULL /* "RANK" */ ,
  METSIG VARCHAR(50) /* "METSIG" */ ,
  AGEDATA CHAR(1) /* "AGEDATA" */ ,
  REVWHO VARCHAR(5) /* "REVWHO" */ ,
  REVDATE VARCHAR(12) /* "REVDATE" */ ,
  RELDATE VARCHAR(12) /* "RELDATE" */
);

ALTER TABLE DPMETSIG ADD CONSTRAINT PK_DPMETSIG PRIMARY KEY (DEPNO,RANK);

/* Original table name is "dpmine" */
CREATE TABLE DPMINE (
  DEPNO INTEGER NOT NULL /* "DEPNO" */ ,
  MINENO INTEGER NOT NULL /* "MINENO" */ ,
  REVWHO VARCHAR(5) /* "REVWHO" */ ,
  REVDATE VARCHAR(12) /* "REVDATE" */ ,
  RELDATE VARCHAR(12) /* "RELDATE" */
);

ALTER TABLE DPMINE ADD CONSTRAINT PK_DPMINE PRIMARY KEY (DEPNO,MINENO);

/* Original table name is "dpminstl" */
CREATE TABLE DPMINSTL (
  DEPNO INTEGER NOT NULL /* "DEPNO" */ ,
  RANK INTEGER NOT NULL /* "RANK" */ ,
  MINSTYL VARCHAR(50) /* "MINSTYL" */ ,
  COMPONENT VARCHAR(50) /* "COMPONENT" */ ,
  REVWHO VARCHAR(5) /* "REVWHO" */ ,
  REVDATE VARCHAR(12) /* "REVDATE" */ ,
  RELDATE VARCHAR(12) /* "RELDATE" */
);

ALTER TABLE DPMINSTL ADD CONSTRAINT PK_DPMINSTL PRIMARY KEY (DEPNO,RANK);

/* Original table name is "dpmnrlgy" */
CREATE TABLE DPMNRLGY (
  DEPNO INTEGER NOT NULL /* "DEPNO" */ ,
  RANK INTEGER NOT NULL /* "RANK" */ ,
  CATEGORY VARCHAR(50) /* "CATEGORY" */ ,
  MINERAL VARCHAR(50) /* "MINERAL" */ ,
  AGEDATA CHAR(1) /* "AGEDATA" */ ,
  COMPONENT VARCHAR(50) /* "COMPONENT" */ ,
  REVWHO VARCHAR(5) /* "REVWHO" */ ,
  REVDATE VARCHAR(12) /* "REVDATE" */ ,
  RELDATE VARCHAR(12) /* "RELDATE" */
);

ALTER TABLE DPMNRLGY ADD CONSTRAINT PK_DPMNRLGY PRIMARY KEY (DEPNO,RANK);

/* Original table name is "dpname" */
CREATE TABLE DPNAME (
  DEPNO INTEGER NOT NULL /* "DEPNO" */ ,
  RANK INTEGER NOT NULL /* "RANK" */ ,
  DEPNAME VARCHAR(50) /* "DEPNAME" */ ,
  NAMETYPE VARCHAR(50) /* "NAMETYPE" */ ,
  REVWHO VARCHAR(5) /* "REVWHO" */ ,
  REVDATE VARCHAR(12) /* "REVDATE" */ ,
  RELDATE VARCHAR(12) /* "RELDATE" */
);

ALTER TABLE DPNAME ADD CONSTRAINT PK_DPNAME PRIMARY KEY (DEPNO,RANK);

/* Original table name is "dpnts" */
CREATE TABLE DPNTS (
  DEPNO INTEGER NOT NULL /* "DEPNO" */ ,
  RANK INTEGER NOT NULL /* "RANK" */ ,
  MAPID VARCHAR(20) /* "MAPID" */ ,
  NTSP VARCHAR(3) /* "NTSP" */ ,
  NTSS CHAR(1) /* "NTSS" */ ,
  NTST VARCHAR(2) /* "NTST" */ ,
  QUADRANT VARCHAR(2) /* "QUADRANT" */ ,
  NTSNAME VARCHAR(100) /* "NTSNAME" */ ,
  REVWHO VARCHAR(5) /* "REVWHO" */ ,
  REVDATE VARCHAR(12) /* "REVDATE" */ ,
  RELDATE VARCHAR(12) /* "RELDATE" */
);

ALTER TABLE DPNTS ADD CONSTRAINT PK_DPNTS PRIMARY KEY (DEPNO,RANK);

/* Original table name is "dpprogress" */
CREATE TABLE DPPROGRESS (
  DEPNO INTEGER NOT NULL /* "DEPNO" */ ,
  RANK INTEGER NOT NULL /* "RANK" */ ,
  COMPSTAGE VARCHAR(50) /* "COMPSTAGE" */ ,
  PROGLEVEL VARCHAR(50) /* "PROGLEVEL" */ ,
  REVWHO VARCHAR(5) /* "REVWHO" */ ,
  REVDATE VARCHAR(12) /* "REVDATE" */ ,
  RELDATE VARCHAR(12) /* "RELDATE" */
);

ALTER TABLE DPPROGRESS ADD CONSTRAINT PK_DPPROGRESS PRIMARY KEY (DEPNO,RANK);

/* Original table name is "dpradage" */
CREATE TABLE DPRADAGE (
  DEPNO INTEGER NOT NULL /* "DEPNO" */ ,
  RANK INTEGER NOT NULL /* "RANK" */ ,
  OBJDATED VARCHAR(30) /* "OBJDATED" */ ,
  OBJRANK INTEGER /* "OBJRANK" */ ,
  AGEMA FLOAT /* "AGEMA" */ ,
  PLUSERR FLOAT /* "PLUSERR" */ ,
  MINUSERR FLOAT /* "MINUSERR" */ ,
  TWOSIGMA CHAR(1) /* "TWOSIGMA" */ ,
  METHOD VARCHAR(30) /* "METHOD" */ ,
  CONCENTRAT VARCHAR(25) /* "CONCENTRAT" */ ,
  SOURCEROCK VARCHAR(50) /* "SOURCEROCK" */ ,
  NAMEDATED VARCHAR(50) /* "NAMEDATED" */ ,
  WHATDATED VARCHAR(70) /* "WHATDATED" */ ,
  INTERPCOM VARCHAR(100) /* "INTERPCOM" */ ,
  REFNO INTEGER /* "REFNO" */ ,
  REVWHO VARCHAR(5) /* "REVWHO" */ ,
  REVDATE VARCHAR(12) /* "REVDATE" */ ,
  RELDATE VARCHAR(12) /* "RELDATE" */
);

ALTER TABLE DPRADAGE ADD CONSTRAINT PK_DPRADAGE PRIMARY KEY (DEPNO,RANK);

/* Original table name is "dpref" */
CREATE TABLE DPREF (
  DEPNO INTEGER NOT NULL /* "DEPNO" */ ,
  REFNO INTEGER NOT NULL /* "REFNO" */ ,
  REVWHO VARCHAR(5) /* "REVWHO" */ ,
  REVDATE VARCHAR(12) /* "REVDATE" */ ,
  RELDATE VARCHAR(12) /* "RELDATE" */
);

ALTER TABLE DPREF ADD CONSTRAINT PK_DPREF PRIMARY KEY (DEPNO,REFNO);

/* Original table name is "dprefx" */
CREATE TABLE DPREFX (
  DEPNO INTEGER NOT NULL /* "DEPNO" */ ,
  REFNO INTEGER NOT NULL /* "REFNO" */ ,
  RANK INTEGER NOT NULL /* "RANK" */ ,
  CHAPTER VARCHAR(35) /* "CHAPTER" */ ,
  STARTPAGE VARCHAR(10) /* "STARTPAGE" */ ,
  ENDPAGE VARCHAR(10) /* "ENDPAGE" */ ,
  DEPTPSC CHAR(1) /* "DEPTPSC" */ ,
  HOSTRSC CHAR(1) /* "HOSTRSC" */ ,
  CTRYRSC CHAR(1) /* "CTRYRSC" */ ,
  TECTSETSC CHAR(1) /* "TECTSETSC" */ ,
  GEOLPROVSC CHAR(1) /* "GEOLPROVSC" */ ,
  DEPSTATSC CHAR(1) /* "DEPSTATSC" */ ,
  LOCSC CHAR(1) /* "LOCSC" */ ,
  COMMSC CHAR(1) /* "COMMSC" */ ,
  MINSTYLSC CHAR(1) /* "MINSTYLSC" */ ,
  CTRYSC CHAR(1) /* "CTRYSC" */ ,
  NAMESC CHAR(1) /* "NAMESC" */ ,
  MNRLGYSC CHAR(1) /* "MNRLGYSC" */ ,
  GEOLAGESC CHAR(1) /* "GEOLAGESC" */ ,
  METSIGSC CHAR(1) /* "METSIGSC" */ ,
  ALTSIGSC CHAR(1) /* "ALTSIGSC" */ ,
  CFEATSC CHAR(1) /* "CFEATSC" */ ,
  RIGNRSC CHAR(1) /* "RIGNRSC" */ ,
  TSTRUCSC CHAR(1) /* "TSTRUCSC" */ ,
  ASSAYSRC CHAR(1) /* "ASSAYSRC" */ ,
  REVWHO VARCHAR(5) /* "REVWHO" */ ,
  REVDATE VARCHAR(12) /* "REVDATE" */ ,
  RELDATE VARCHAR(12) /* "RELDATE" */
);

ALTER TABLE DPREFX ADD CONSTRAINT PK_DPREFX PRIMARY KEY (DEPNO,REFNO,RANK);

/* Original table name is "dprform" */
CREATE TABLE DPRFORM (
  DEPNO INTEGER NOT NULL /* "DEPNO" */ ,
  DPRRANK INTEGER NOT NULL /* "DPRRANK" */ ,
  RANK INTEGER NOT NULL /* "RANK" */ ,
  RFORM VARCHAR(50) /* "RFORM" */ ,
  REVWHO VARCHAR(5) /* "REVWHO" */ ,
  REVDATE VARCHAR(12) /* "REVDATE" */ ,
  RELDATE VARCHAR(12) /* "RELDATE" */
);

ALTER TABLE DPRFORM ADD CONSTRAINT PK_DPRFORM PRIMARY KEY (DEPNO,DPRRANK,RANK);

/* Original table name is "dprlith" */
CREATE TABLE DPRLITH (
  DEPNO INTEGER NOT NULL /* "DEPNO" */ ,
  DPRRANK INTEGER NOT NULL /* "DPRRANK" */ ,
  RANK INTEGER NOT NULL /* "RANK" */ ,
  LITHCOMP VARCHAR(35) /* "LITHCOMP" */ ,
  LITHQUAL VARCHAR(150) /* "LITHQUAL" */ ,
  GENLITH VARCHAR(50) /* "GENLITH" */ ,
  REVWHO VARCHAR(5) /* "REVWHO" */ ,
  REVDATE VARCHAR(12) /* "REVDATE" */ ,
  RELDATE VARCHAR(12) /* "RELDATE" */
);

ALTER TABLE DPRLITH ADD CONSTRAINT PK_DPRLITH PRIMARY KEY (DEPNO,DPRRANK,RANK);

/* Original table name is "dpsample" */
CREATE TABLE DPSAMPLE (
  DEPNO INTEGER NOT NULL /* "DEPNO" */ ,
  RANK INTEGER NOT NULL /* "RANK" */ ,
  SAMPTYPE VARCHAR(50) /* "SAMPTYPE" */ ,
  SAMPWGT FLOAT /* "SAMPWGT" */ ,
  WGTUNITS VARCHAR(30) /* "WGTUNITS" */ ,
  SAMPSIZE VARCHAR(254) /* "SAMPSIZE" */ ,
  SAMPDESC VARCHAR(254) /* "SAMPDESC" */ ,
  SAMPASS VARCHAR(254) /* "SAMPASS" */ ,
  SAMPXLINK VARCHAR(50) /* "SAMPXLINK" */ ,
  SAMPXSRC VARCHAR(200) /* "SAMPXSRC" */ ,
  REFNO INTEGER /* "REFNO" */ ,
  REVWHO VARCHAR(5) /* "REVWHO" */ ,
  REVDATE VARCHAR(12) /* "REVDATE" */ ,
  RELDATE VARCHAR(12) /* "RELDATE" */
);

ALTER TABLE DPSAMPLE ADD CONSTRAINT PK_DPSAMPLE PRIMARY KEY (DEPNO,RANK);

/* Original table name is "dpsdim" */
CREATE TABLE DPSDIM (
  DEPNO INTEGER NOT NULL /* "DEPNO" */ ,
  DPSRANK INTEGER NOT NULL /* "DPSRANK" */ ,
  RANK INTEGER NOT NULL /* "RANK" */ ,
  DIMENSION FLOAT /* "DIMENSION" */ ,
  DIMUNITS VARCHAR(30) /* "DIMUNITS" */ ,
  DIMCAT VARCHAR(30) /* "DIMCAT" */ ,
  REVWHO VARCHAR(5) /* "REVWHO" */ ,
  REVDATE VARCHAR(12) /* "REVDATE" */ ,
  RELDATE VARCHAR(12) /* "RELDATE" */
);

ALTER TABLE DPSDIM ADD CONSTRAINT PK_DPSDIM PRIMARY KEY (DEPNO,DPSRANK,RANK);

/* Original table name is "dpshape" */
CREATE TABLE DPSHAPE (
  DEPNO INTEGER NOT NULL /* "DEPNO" */ ,
  RANK INTEGER NOT NULL /* "RANK" */ ,
  DSHAPE VARCHAR(50) /* "DSHAPE" */ ,
  COMPONENT VARCHAR(50) /* "COMPONENT" */ ,
  REVWHO VARCHAR(5) /* "REVWHO" */ ,
  REVDATE VARCHAR(12) /* "REVDATE" */ ,
  RELDATE VARCHAR(12) /* "RELDATE" */
);

ALTER TABLE DPSHAPE ADD CONSTRAINT PK_DPSHAPE PRIMARY KEY (DEPNO,RANK);

/* Original table name is "dpsmpgrade" */
CREATE TABLE DPSMPGRADE (
  DEPNO INTEGER NOT NULL /* "DEPNO" */ ,
  DPSRANK INTEGER NOT NULL /* "DPSRANK" */ ,
  RANK INTEGER NOT NULL /* "RANK" */ ,
  COMMODITY VARCHAR(15) /* "COMMODITY" */ ,
  GRADVALUE FLOAT /* "GRADVALUE" */ ,
  GRDUNITS VARCHAR(30) /* "GRDUNITS" */ ,
  ANMETHOD VARCHAR(50) /* "ANMETHOD" */ ,
  REVWHO VARCHAR(5) /* "REVWHO" */ ,
  REVDATE VARCHAR(12) /* "REVDATE" */ ,
  RELDATE VARCHAR(12) /* "RELDATE" */
);

ALTER TABLE DPSMPGRADE ADD CONSTRAINT PK_DPSMPGRADE PRIMARY KEY (DEPNO,DPSRANK,RANK);

/* Original table name is "dpsmpwgt" */
CREATE TABLE DPSMPWGT (
  DEPNO INTEGER NOT NULL /* "DEPNO" */ ,
  DPSRANK INTEGER NOT NULL /* "DPSRANK" */ ,
  RANK INTEGER NOT NULL /* "RANK" */ ,
  COMMODITY VARCHAR(15) /* "COMMODITY" */ ,
  WGTVALUE FLOAT /* "WGTVALUE" */ ,
  WGTUNITS VARCHAR(30) /* "WGTUNITS" */ ,
  ANMETHOD VARCHAR(50) /* "ANMETHOD" */ ,
  REVWHO VARCHAR(5) /* "REVWHO" */ ,
  REVDATE VARCHAR(12) /* "REVDATE" */ ,
  RELDATE VARCHAR(12) /* "RELDATE" */
);

ALTER TABLE DPSMPWGT ADD CONSTRAINT PK_DPSMPWGT PRIMARY KEY (DEPNO,DPSRANK,RANK);

/* Original table name is "dpstatus" */
CREATE TABLE DPSTATUS (
  DEPNO INTEGER NOT NULL /* "DEPNO" */ ,
  RANK INTEGER NOT NULL /* "RANK" */ ,
  DEPSTAT VARCHAR(20) /* "DEPSTAT" */ ,
  ESTSIZE VARCHAR(35) /* "ESTSIZE" */ ,
  COMMENTS VARCHAR(200) /* "COMMENTS" */ ,
  REVWHO VARCHAR(5) /* "REVWHO" */ ,
  REVDATE VARCHAR(12) /* "REVDATE" */ ,
  RELDATE VARCHAR(12) /* "RELDATE" */
);

ALTER TABLE DPSTATUS ADD CONSTRAINT PK_DPSTATUS PRIMARY KEY (DEPNO,RANK);

/* Original table name is "dptecset" */
CREATE TABLE DPTECSET (
  DEPNO INTEGER NOT NULL /* "DEPNO" */ ,
  RANK INTEGER NOT NULL /* "RANK" */ ,
  SETTINGOF VARCHAR(30) /* "SETTINGOF" */ ,
  REALM VARCHAR(30) /* "REALM" */ ,
  DFREGIME VARCHAR(30) /* "DFREGIME" */ ,
  TECTOBJ VARCHAR(50) /* "TECTOBJ" */ ,
  TECQUAL VARCHAR(35) /* "TECQUAL" */ ,
  TECTNAME VARCHAR(50) /* "TECTNAME" */ ,
  REVWHO VARCHAR(5) /* "REVWHO" */ ,
  REVDATE VARCHAR(12) /* "REVDATE" */ ,
  RELDATE VARCHAR(12) /* "RELDATE" */
);

ALTER TABLE DPTECSET ADD CONSTRAINT PK_DPTECSET PRIMARY KEY (DEPNO,RANK);

/* Original table name is "dptstruc" */
CREATE TABLE DPTSTRUC (
  DEPNO INTEGER NOT NULL /* "DEPNO" */ ,
  RANK INTEGER NOT NULL /* "RANK" */ ,
  TSTRUC VARCHAR(100) /* "TSTRUC" */ ,
  TSTRCQUL VARCHAR(150) /* "TSTRCQUL" */ ,
  TSTRCNAM VARCHAR(50) /* "TSTRCNAM" */ ,
  HOWFAR FLOAT /* "HOWFAR" */ ,
  FARUNITS VARCHAR(20) /* "FARUNITS" */ ,
  REVWHO VARCHAR(5) /* "REVWHO" */ ,
  REVDATE VARCHAR(12) /* "REVDATE" */ ,
  RELDATE VARCHAR(12) /* "RELDATE" */
);

ALTER TABLE DPTSTRUC ADD CONSTRAINT PK_DPTSTRUC PRIMARY KEY (DEPNO,RANK);

/* Original table name is "dpxlink" */
CREATE TABLE DPXLINK (
  DEPNO INTEGER NOT NULL /* "DEPNO" */ ,
  RANK INTEGER NOT NULL /* "RANK" */ ,
  DBCODE VARCHAR(50) /* "DBCODE" */ ,
  DBKEYVALUE VARCHAR(50) /* "DBKEYVALUE" */ ,
  REVWHO VARCHAR(5) /* "REVWHO" */ ,
  REVDATE VARCHAR(12) /* "REVDATE" */ ,
  RELDATE VARCHAR(12) /* "RELDATE" */
);

ALTER TABLE DPXLINK ADD CONSTRAINT PK_DPXLINK PRIMARY KEY (DEPNO,RANK);

/* Original table name is "dshape" */
CREATE TABLE DSHAPE (
  DSHAPE VARCHAR(50) NOT NULL /* "DSHAPE" */ ,
  LONGDESC VARCHAR(254) /* "LONGDESC" */ ,
  REVWHO VARCHAR(5) /* "REVWHO" */ ,
  REVDATE VARCHAR(12) /* "REVDATE" */ ,
  RELDATE VARCHAR(12) /* "RELDATE" */
);

ALTER TABLE DSHAPE ADD CONSTRAINT PK_DSHAPE PRIMARY KEY (DSHAPE);

/* Original table name is "entities" */
CREATE TABLE ENTITIES (
  ENTITY VARCHAR(24) NOT NULL /* "ENTITY" */ ,
  RANK INTEGER NOT NULL /* "RANK" */ ,
  TABLENAME VARCHAR(16) /* "TABLENAME" */ ,
  TABLEGROUP VARCHAR(24) /* "TABLEGROUP" */ ,
  EDATA VARCHAR(16) /* "EDATA" */ ,
  ECAPTION VARCHAR(50) /* "ECAPTION" */ ,
  REVWHO VARCHAR(5) /* "REVWHO" */ ,
  REVDATE VARCHAR(12) /* "REVDATE" */ ,
  RELDATE VARCHAR(12) /* "RELDATE" */
);

ALTER TABLE ENTITIES ADD CONSTRAINT PK_ENTITIES PRIMARY KEY (ENTITY,RANK);

/* Original table name is "EPSG_Canada" */
CREATE TABLE EPSG_CANADA (
  DIGITIZED_EPSG INTEGER NOT NULL /* "DIGITIZED_EPSG" */ ,
  COORD_REFSYSNAME VARCHAR(80) /* "COORD_REFSYSNAME" */ ,
  AREA_OF_USE VARCHAR(254) /* "AREA_OF_USE" */ ,
  LONGDESC VARCHAR(254) /* "LONGDESC" */ ,
  REVWHO VARCHAR(5) /* "REVWHO" */ ,
  REVDATE VARCHAR(12) /* "REVDATE" */ ,
  RELDATE VARCHAR(12) /* "RELDATE" */
);

ALTER TABLE EPSG_CANADA ADD CONSTRAINT PK_EPSG_CANADA PRIMARY KEY (DIGITIZED_EPSG);

/* Original table name is "estsize" */
CREATE TABLE ESTSIZE (
  ESTSIZE VARCHAR(35) NOT NULL /* "ESTSIZE" */ ,
  LONGDESC VARCHAR(254) /* "LONGDESC" */ ,
  REVWHO VARCHAR(5) /* "REVWHO" */ ,
  REVDATE VARCHAR(12) /* "REVDATE" */ ,
  RELDATE VARCHAR(12) /* "RELDATE" */
);

ALTER TABLE ESTSIZE ADD CONSTRAINT PK_ESTSIZE PRIMARY KEY (ESTSIZE);

/* Original table name is "farunits" */
CREATE TABLE FARUNITS (
  FARUNITS VARCHAR(20) NOT NULL /* "FARUNITS" */ ,
  LONGDESC VARCHAR(254) /* "LONGDESC" */ ,
  REVWHO VARCHAR(5) /* "REVWHO" */ ,
  REVDATE VARCHAR(12) /* "REVDATE" */ ,
  RELDATE VARCHAR(12) /* "RELDATE" */
);

ALTER TABLE FARUNITS ADD CONSTRAINT PK_FARUNITS PRIMARY KEY (FARUNITS);

/* Original table name is "filsrc" */
CREATE TABLE FILSRC (
  REFNO INTEGER NOT NULL /* "REFNO" */ ,
  SERIESNO VARCHAR(50) /* "SERIESNO" */ ,
  FILENAME VARCHAR(70) /* "FILENAME" */ ,
  SCIENCEORG VARCHAR(254) /* "SCIENCEORG" */ ,
  ORGORPUB VARCHAR(80) /* "ORGORPUB" */ ,
  DATATYPE VARCHAR(50) /* "DATATYPE" */ ,
  FORMATOS VARCHAR(50) /* "FORMATOS" */ ,
  FORMATSW VARCHAR(50) /* "FORMATSW" */ ,
  MEDIUM VARCHAR(50) /* "MEDIUM" */ ,
  ACTIVITY VARCHAR(50) /* "ACTIVITY" */ ,
  REVWHO VARCHAR(5) /* "REVWHO" */ ,
  REVDATE VARCHAR(12) /* "REVDATE" */ ,
  RELDATE VARCHAR(12) /* "RELDATE" */
);

ALTER TABLE FILSRC ADD CONSTRAINT PK_FILSRC PRIMARY KEY (REFNO);

/* Original table name is "formatos" */
CREATE TABLE FORMATOS (
  FORMATOS VARCHAR(50) NOT NULL /* "FORMATOS" */ ,
  LONGDESC VARCHAR(254) /* "LONGDESC" */ ,
  REVWHO VARCHAR(5) /* "REVWHO" */ ,
  REVDATE VARCHAR(12) /* "REVDATE" */ ,
  RELDATE VARCHAR(12) /* "RELDATE" */
);

ALTER TABLE FORMATOS ADD CONSTRAINT PK_FORMATOS PRIMARY KEY (FORMATOS);

/* Original table name is "formatsw" */
CREATE TABLE FORMATSW (
  FORMATSW VARCHAR(50) NOT NULL /* "FORMATSW" */ ,
  LONGDESC VARCHAR(254) /* "LONGDESC" */ ,
  REVWHO VARCHAR(5) /* "REVWHO" */ ,
  REVDATE VARCHAR(12) /* "REVDATE" */ ,
  RELDATE VARCHAR(12) /* "RELDATE" */
);

ALTER TABLE FORMATSW ADD CONSTRAINT PK_FORMATSW PRIMARY KEY (FORMATSW);

/* Original table name is "genlith" */
CREATE TABLE GENLITH (
  GENLITH VARCHAR(50) NOT NULL /* "GENLITH" */ ,
  LONGDESC VARCHAR(254) /* "LONGDESC" */ ,
  REVWHO VARCHAR(5) /* "REVWHO" */ ,
  REVDATE VARCHAR(12) /* "REVDATE" */ ,
  RELDATE VARCHAR(12) /* "RELDATE" */
);

ALTER TABLE GENLITH ADD CONSTRAINT PK_GENLITH PRIMARY KEY (GENLITH);

/* Original table name is "grdunits" */
CREATE TABLE GRDUNITS (
  GRDUNITS VARCHAR(30) NOT NULL /* "GRDUNITS" */ ,
  SHORTFM VARCHAR(30) /* "SHORTFM" */ ,
  LONGDESC VARCHAR(254) /* "LONGDESC" */ ,
  REVWHO VARCHAR(5) /* "REVWHO" */ ,
  REVDATE VARCHAR(12) /* "REVDATE" */ ,
  RELDATE VARCHAR(12) /* "RELDATE" */
);

ALTER TABLE GRDUNITS ADD CONSTRAINT PK_GRDUNITS PRIMARY KEY (GRDUNITS);

/* Original table name is "hdepset" */
CREATE TABLE HDEPSET (
  HDEPSET VARCHAR(50) NOT NULL /* "HDEPSET" */ ,
  LONGDESC VARCHAR(254) /* "LONGDESC" */ ,
  REVWHO VARCHAR(5) /* "REVWHO" */ ,
  REVDATE VARCHAR(12) /* "REVDATE" */ ,
  RELDATE VARCHAR(12) /* "RELDATE" */
);

ALTER TABLE HDEPSET ADD CONSTRAINT PK_HDEPSET PRIMARY KEY (HDEPSET);

/* Original table name is "hform" */
CREATE TABLE HFORM (
  HFORM VARCHAR(50) NOT NULL /* "HFORM" */ ,
  LONGDESC VARCHAR(254) /* "LONGDESC" */ ,
  REVWHO VARCHAR(5) /* "REVWHO" */ ,
  REVDATE VARCHAR(12) /* "REVDATE" */ ,
  RELDATE VARCHAR(12) /* "RELDATE" */
);

ALTER TABLE HFORM ADD CONSTRAINT PK_HFORM PRIMARY KEY (HFORM);

/* Original table name is "hostrock" */
CREATE TABLE HOSTROCK (
  HOSTROCKID INTEGER NOT NULL /* "HOSTROCKID" */ ,
  HOSTROCK VARCHAR(75) /* "HOSTROCK" */ ,
  HOSTCAT VARCHAR(30) /* "HOSTCAT" */ ,
  LONGDESC VARCHAR(254) /* "LONGDESC" */ ,
  REVWHO VARCHAR(5) /* "REVWHO" */ ,
  REVDATE VARCHAR(12) /* "REVDATE" */ ,
  RELDATE VARCHAR(12) /* "RELDATE" */
);

ALTER TABLE HOSTROCK ADD CONSTRAINT PK_HOSTROCK PRIMARY KEY (HOSTROCKID);

/* Original table name is "howloc" */
CREATE TABLE HOWLOC (
  HOWLOC VARCHAR(25) NOT NULL /* "HOWLOC" */ ,
  LONGDESC VARCHAR(254) /* "LONGDESC" */ ,
  REVWHO VARCHAR(5) /* "REVWHO" */ ,
  REVDATE VARCHAR(12) /* "REVDATE" */ ,
  RELDATE VARCHAR(12) /* "RELDATE" */
);

ALTER TABLE HOWLOC ADD CONSTRAINT PK_HOWLOC PRIMARY KEY (HOWLOC);

/* Original table name is "hseries" */
CREATE TABLE HSERIES (
  HSERIES VARCHAR(50) NOT NULL /* "HSERIES" */ ,
  LONGDESC VARCHAR(254) /* "LONGDESC" */ ,
  REVWHO VARCHAR(5) /* "REVWHO" */ ,
  REVDATE VARCHAR(12) /* "REVDATE" */ ,
  RELDATE VARCHAR(12) /* "RELDATE" */
);

ALTER TABLE HSERIES ADD CONSTRAINT PK_HSERIES PRIMARY KEY (HSERIES);

/* Original table name is "hstruc" */
CREATE TABLE HSTRUC (
  HSTRUC VARCHAR(50) NOT NULL /* "HSTRUC" */ ,
  LONGDESC VARCHAR(254) /* "LONGDESC" */ ,
  REVWHO VARCHAR(5) /* "REVWHO" */ ,
  REVDATE VARCHAR(12) /* "REVDATE" */ ,
  RELDATE VARCHAR(12) /* "RELDATE" */
);

ALTER TABLE HSTRUC ADD CONSTRAINT PK_HSTRUC PRIMARY KEY (HSTRUC);

/* Original table name is "journal" */
CREATE TABLE JOURNAL (
  JOURNAL VARCHAR(200) NOT NULL /* "JOURNAL" */ ,
  ISSN VARCHAR(20) /* "ISSN" */ ,
  LONGDESC VARCHAR(254) /* "LONGDESC" */ ,
  REVWHO VARCHAR(5) /* "REVWHO" */ ,
  REVDATE VARCHAR(12) /* "REVDATE" */ ,
  RELDATE VARCHAR(12) /* "RELDATE" */
);

ALTER TABLE JOURNAL ADD CONSTRAINT PK_JOURNAL PRIMARY KEY (JOURNAL);

/* Original table name is "links" */
CREATE TABLE LINKS (
  RELNAME VARCHAR(24) NOT NULL /* "RELNAME" */ ,
  PTABLE VARCHAR(50) /* "PTABLE" */ ,
  PKEYS VARCHAR(50) /* "PKEYS" */ ,
  FTABLE VARCHAR(50) /* "FTABLE" */ ,
  FKEYS VARCHAR(50) /* "FKEYS" */ ,
  ATTRIBS VARCHAR(50) /* "ATTRIBS" */ ,
  REVWHO VARCHAR(5) /* "REVWHO" */ ,
  REVDATE VARCHAR(12) /* "REVDATE" */ ,
  RELDATE VARCHAR(12) /* "RELDATE" */
);

ALTER TABLE LINKS ADD CONSTRAINT PK_LINKS PRIMARY KEY (RELNAME);

/* Original table name is "lithcomp" */
CREATE TABLE LITHCOMP (
  LITHCOMP VARCHAR(35) NOT NULL /* "LITHCOMP" */ ,
  LONGDESC VARCHAR(254) /* "LONGDESC" */ ,
  REVWHO VARCHAR(5) /* "REVWHO" */ ,
  REVDATE VARCHAR(12) /* "REVDATE" */ ,
  RELDATE VARCHAR(12) /* "RELDATE" */
);

ALTER TABLE LITHCOMP ADD CONSTRAINT PK_LITHCOMP PRIMARY KEY (LITHCOMP);

/* Original table name is "lookup" */
CREATE TABLE LOOKUP (
  TABLENAME VARCHAR(16) NOT NULL /* "TABLENAME" */ ,
  DESCRIPTION VARCHAR(200) /* "DESCRIPTION" */ ,
  READONLY CHAR(1) /* "READONLY" */ ,
  REVWHO VARCHAR(5) /* "REVWHO" */ ,
  REVDATE VARCHAR(12) /* "REVDATE" */ ,
  RELDATE VARCHAR(12) /* "RELDATE" */
);

ALTER TABLE LOOKUP ADD CONSTRAINT PK_LOOKUP PRIMARY KEY (TABLENAME);

/* Original table name is "mapsrc" */
CREATE TABLE MAPSRC (
  REFNO INTEGER NOT NULL /* "REFNO" */ ,
  SCALE INTEGER /* "SCALE" */ ,
  ORG VARCHAR(254) /* "ORG" */ ,
  MAPREFNO VARCHAR(15) /* "MAPREFNO" */ ,
  PUBTAG CHAR(1) /* "PUBTAG" */ ,
  REVWHO VARCHAR(5) /* "REVWHO" */ ,
  REVDATE VARCHAR(12) /* "REVDATE" */ ,
  RELDATE VARCHAR(12) /* "RELDATE" */
);

ALTER TABLE MAPSRC ADD CONSTRAINT PK_MAPSRC PRIMARY KEY (REFNO);

/* Original table name is "mdepset" */
CREATE TABLE MDEPSET (
  MDEPSET VARCHAR(50) NOT NULL /* "MDEPSET" */ ,
  LONGDESC VARCHAR(254) /* "LONGDESC" */ ,
  REVWHO VARCHAR(5) /* "REVWHO" */ ,
  REVDATE VARCHAR(12) /* "REVDATE" */ ,
  RELDATE VARCHAR(12) /* "RELDATE" */
);

ALTER TABLE MDEPSET ADD CONSTRAINT PK_MDEPSET PRIMARY KEY (MDEPSET);

/* Original table name is "medium" */
CREATE TABLE MEDIUM (
  MEDIUM VARCHAR(50) NOT NULL /* "MEDIUM" */ ,
  LONGDESC VARCHAR(254) /* "LONGDESC" */ ,
  REVWHO VARCHAR(5) /* "REVWHO" */ ,
  REVDATE VARCHAR(12) /* "REVDATE" */ ,
  RELDATE VARCHAR(12) /* "RELDATE" */
);

ALTER TABLE MEDIUM ADD CONSTRAINT PK_MEDIUM PRIMARY KEY (MEDIUM);

/* Original table name is "metgrade" */
CREATE TABLE METGRADE (
  METGRADE VARCHAR(50) NOT NULL /* "METGRADE" */ ,
  LONGDESC VARCHAR(254) /* "LONGDESC" */ ,
  REVWHO VARCHAR(5) /* "REVWHO" */ ,
  REVDATE VARCHAR(12) /* "REVDATE" */ ,
  RELDATE VARCHAR(12) /* "RELDATE" */
);

ALTER TABLE METGRADE ADD CONSTRAINT PK_METGRADE PRIMARY KEY (METGRADE);

/* Original table name is "method" */
CREATE TABLE METHOD (
  METHOD VARCHAR(30) NOT NULL /* "METHOD" */ ,
  LONGDESC VARCHAR(254) /* "LONGDESC" */ ,
  REVWHO VARCHAR(5) /* "REVWHO" */ ,
  REVDATE VARCHAR(12) /* "REVDATE" */ ,
  RELDATE VARCHAR(12) /* "RELDATE" */
);

ALTER TABLE METHOD ADD CONSTRAINT PK_METHOD PRIMARY KEY (METHOD);

/* Original table name is "metsig" */
CREATE TABLE METSIG (
  METSIG VARCHAR(50) NOT NULL /* "METSIG" */ ,
  LONGDESC VARCHAR(254) /* "LONGDESC" */ ,
  REVWHO VARCHAR(5) /* "REVWHO" */ ,
  REVDATE VARCHAR(12) /* "REVDATE" */ ,
  RELDATE VARCHAR(12) /* "RELDATE" */
);

ALTER TABLE METSIG ADD CONSTRAINT PK_METSIG PRIMARY KEY (METSIG);

/* Original table name is "mine" */
CREATE TABLE MINE (
  MINENO INTEGER NOT NULL /* "MINENO" */ ,
  MINENAME VARCHAR(50) /* "MINENAME" */ ,
  STAYEAR SMALLINT /* "STAYEAR" */ ,
  STAMONTH SMALLINT /* "STAMONTH" */ ,
  STADAY SMALLINT /* "STADAY" */ ,
  ENDYEAR SMALLINT /* "ENDYEAR" */ ,
  ENDMONTH SMALLINT /* "ENDMONTH" */ ,
  ENDDAY SMALLINT /* "ENDDAY" */ ,
  REFNO INTEGER /* "REFNO" */ ,
  REVWHO VARCHAR(5) /* "REVWHO" */ ,
  REVDATE VARCHAR(12) /* "REVDATE" */ ,
  RELDATE VARCHAR(12) /* "RELDATE" */
);

ALTER TABLE MINE ADD CONSTRAINT PK_MINE PRIMARY KEY (MINENO);

/* Original table name is "mineoper" */
CREATE TABLE MINEOPER (
  MINENO INTEGER NOT NULL /* "MINENO" */ ,
  RANK INTEGER NOT NULL /* "RANK" */ ,
  OPERATOR VARCHAR(50) /* "OPERATOR" */ ,
  REVWHO VARCHAR(5) /* "REVWHO" */ ,
  REVDATE VARCHAR(12) /* "REVDATE" */ ,
  RELDATE VARCHAR(12) /* "RELDATE" */
);

ALTER TABLE MINEOPER ADD CONSTRAINT PK_MINEOPER PRIMARY KEY (MINENO,RANK);

/* Original table name is "mineowner" */
CREATE TABLE MINEOWNER (
  MINENO INTEGER NOT NULL /* "MINENO" */ ,
  RANK INTEGER NOT NULL /* "RANK" */ ,
  OWNER VARCHAR(50) /* "OWNER" */ ,
  SHAREPCT INTEGER /* "SHAREPCT" */ ,
  REVWHO VARCHAR(5) /* "REVWHO" */ ,
  REVDATE VARCHAR(12) /* "REVDATE" */ ,
  RELDATE VARCHAR(12) /* "RELDATE" */
);

ALTER TABLE MINEOWNER ADD CONSTRAINT PK_MINEOWNER PRIMARY KEY (MINENO,RANK);

/* Original table name is "mineral" */
CREATE TABLE MINERAL (
  MINERAL VARCHAR(50) NOT NULL /* "MINERAL" */ ,
  LONGDESC VARCHAR(254) /* "LONGDESC" */ ,
  REVWHO VARCHAR(5) /* "REVWHO" */ ,
  REVDATE VARCHAR(12) /* "REVDATE" */ ,
  RELDATE VARCHAR(12) /* "RELDATE" */
);

ALTER TABLE MINERAL ADD CONSTRAINT PK_MINERAL PRIMARY KEY (MINERAL);

/* Original table name is "minerefx" */
CREATE TABLE MINEREFX (
  MINENO INTEGER NOT NULL /* "MINENO" */ ,
  REFNO INTEGER NOT NULL /* "REFNO" */ ,
  RANK INTEGER NOT NULL /* "RANK" */ ,
  CHAPTER VARCHAR(35) /* "CHAPTER" */ ,
  STARTPAGE VARCHAR(10) /* "STARTPAGE" */ ,
  ENDPAGE VARCHAR(10) /* "ENDPAGE" */ ,
  REVWHO VARCHAR(5) /* "REVWHO" */ ,
  REVDATE VARCHAR(12) /* "REVDATE" */ ,
  RELDATE VARCHAR(12) /* "RELDATE" */
);

ALTER TABLE MINEREFX ADD CONSTRAINT PK_MINEREFX PRIMARY KEY (MINENO,REFNO,RANK);

/* Original table name is "minstyl" */
CREATE TABLE MINSTYL (
  MINSTYL VARCHAR(50) NOT NULL /* "MINSTYL" */ ,
  LONGDESC VARCHAR(254) /* "LONGDESC" */ ,
  REVWHO VARCHAR(5) /* "REVWHO" */ ,
  REVDATE VARCHAR(12) /* "REVDATE" */ ,
  RELDATE VARCHAR(12) /* "RELDATE" */
);

ALTER TABLE MINSTYL ADD CONSTRAINT PK_MINSTYL PRIMARY KEY (MINSTYL);

/* Original table name is "mseries" */
CREATE TABLE MSERIES (
  MSERIES VARCHAR(50) NOT NULL /* "MSERIES" */ ,
  LONGDESC VARCHAR(254) /* "LONGDESC" */ ,
  REVWHO VARCHAR(5) /* "REVWHO" */ ,
  REVDATE VARCHAR(12) /* "REVDATE" */ ,
  RELDATE VARCHAR(12) /* "RELDATE" */
);

ALTER TABLE MSERIES ADD CONSTRAINT PK_MSERIES PRIMARY KEY (MSERIES);

/* Original table name is "nametype" */
CREATE TABLE NAMETYPE (
  NAMETYPE VARCHAR(50) NOT NULL /* "NAMETYPE" */ ,
  LONGDESC VARCHAR(254) /* "LONGDESC" */ ,
  REVWHO VARCHAR(5) /* "REVWHO" */ ,
  REVDATE VARCHAR(12) /* "REVDATE" */ ,
  RELDATE VARCHAR(12) /* "RELDATE" */
);

ALTER TABLE NAMETYPE ADD CONSTRAINT PK_NAMETYPE PRIMARY KEY (NAMETYPE);

/* Original table name is "newsname" */
CREATE TABLE NEWSNAME (
  NEWSNAME VARCHAR(50) NOT NULL /* "NEWSNAME" */ ,
  LONGDESC VARCHAR(254) /* "LONGDESC" */ ,
  REVWHO VARCHAR(5) /* "REVWHO" */ ,
  REVDATE VARCHAR(12) /* "REVDATE" */ ,
  RELDATE VARCHAR(12) /* "RELDATE" */
);

ALTER TABLE NEWSNAME ADD CONSTRAINT PK_NEWSNAME PRIMARY KEY (NEWSNAME);

/* Original table name is "newsrc" */
CREATE TABLE NEWSRC (
  REFNO INTEGER NOT NULL /* "REFNO" */ ,
  NEWSNAME VARCHAR(50) /* "NEWSNAME" */ ,
  ISSUEDATE VARCHAR(20) /* "ISSUEDATE" */ ,
  STARTPAGE VARCHAR(10) /* "STARTPAGE" */ ,
  CONTPAGE VARCHAR(10) /* "CONTPAGE" */ ,
  REVWHO VARCHAR(5) /* "REVWHO" */ ,
  REVDATE VARCHAR(12) /* "REVDATE" */ ,
  RELDATE VARCHAR(12) /* "RELDATE" */
);

ALTER TABLE NEWSRC ADD CONSTRAINT PK_NEWSRC PRIMARY KEY (REFNO);

/* Original table name is "ntsmaps" */
CREATE TABLE NTSMAPS (
  MAPID VARCHAR(20) NOT NULL /* "MAPID" */ ,
  NTSP VARCHAR(3) /* "NTSP" */ ,
  NTSS CHAR(1) /* "NTSS" */ ,
  NTST VARCHAR(2) /* "NTST" */ ,
  QUADRANT VARCHAR(2) /* "QUADRANT" */ ,
  NTSNAME VARCHAR(100) /* "NTSNAME" */ ,
  LONGDESC VARCHAR(254) /* "LONGDESC" */ ,
  REVWHO VARCHAR(5) /* "REVWHO" */ ,
  REVDATE VARCHAR(12) /* "REVDATE" */ ,
  RELDATE VARCHAR(12) /* "RELDATE" */
);

ALTER TABLE NTSMAPS ADD CONSTRAINT PK_NTSMAPS PRIMARY KEY (MAPID);

/* Original table name is "objdated" */
CREATE TABLE OBJDATED (
  OBJDATED VARCHAR(30) NOT NULL /* "OBJDATED" */ ,
  LONGDESC VARCHAR(254) /* "LONGDESC" */ ,
  REVWHO VARCHAR(5) /* "REVWHO" */ ,
  REVDATE VARCHAR(12) /* "REVDATE" */ ,
  RELDATE VARCHAR(12) /* "RELDATE" */
);

ALTER TABLE OBJDATED ADD CONSTRAINT PK_OBJDATED PRIMARY KEY (OBJDATED);

/* Original table name is "objloc" */
CREATE TABLE OBJLOC (
  OBJLOC VARCHAR(30) NOT NULL /* "OBJLOC" */ ,
  LONGDESC VARCHAR(254) /* "LONGDESC" */ ,
  REVWHO VARCHAR(5) /* "REVWHO" */ ,
  REVDATE VARCHAR(12) /* "REVDATE" */ ,
  RELDATE VARCHAR(12) /* "RELDATE" */
);

ALTER TABLE OBJLOC ADD CONSTRAINT PK_OBJLOC PRIMARY KEY (OBJLOC);

/* Original table name is "papsrc" */
CREATE TABLE PAPSRC (
  REFNO INTEGER NOT NULL /* "REFNO" */ ,
  JOURNAL VARCHAR(200) /* "JOURNAL" */ ,
  VOLUME VARCHAR(5) /* "VOLUME" */ ,
  NUMR VARCHAR(20) /* "NUMR" */ ,
  STARTPAGE VARCHAR(10) /* "STARTPAGE" */ ,
  ENDPAGE VARCHAR(10) /* "ENDPAGE" */ ,
  ISSN VARCHAR(20) /* "ISSN" */ ,
  REVWHO VARCHAR(5) /* "REVWHO" */ ,
  REVDATE VARCHAR(12) /* "REVDATE" */ ,
  RELDATE VARCHAR(12) /* "RELDATE" */
);

ALTER TABLE PAPSRC ADD CONSTRAINT PK_PAPSRC PRIMARY KEY (REFNO);

/* Original table name is "proddg" */
CREATE TABLE PRODDG (
  PRODNO INTEGER NOT NULL /* "PRODNO" */ ,
  DGNO INTEGER NOT NULL /* "DGNO" */ ,
  PROPORTION FLOAT /* "PROPORTION" */ ,
  WHO VARCHAR(5) /* "WHO" */ ,
  REVWHO VARCHAR(5) /* "REVWHO" */ ,
  REVDATE VARCHAR(12) /* "REVDATE" */ ,
  RELDATE VARCHAR(12) /* "RELDATE" */
);

ALTER TABLE PRODDG ADD CONSTRAINT PK_PRODDG PRIMARY KEY (PRODNO,DGNO);

/* Original table name is "proddp" */
CREATE TABLE PRODDP (
  PRODNO INTEGER NOT NULL /* "PRODNO" */ ,
  DEPNO INTEGER NOT NULL /* "DEPNO" */ ,
  PROPORTION FLOAT /* "PROPORTION" */ ,
  WHO VARCHAR(5) /* "WHO" */ ,
  REVWHO VARCHAR(5) /* "REVWHO" */ ,
  REVDATE VARCHAR(12) /* "REVDATE" */ ,
  RELDATE VARCHAR(12) /* "RELDATE" */
);

ALTER TABLE PRODDP ADD CONSTRAINT PK_PRODDP PRIMARY KEY (PRODNO,DEPNO);

/* Original table name is "prodgrad" */
CREATE TABLE PRODGRAD (
  PRODNO INTEGER NOT NULL /* "PRODNO" */ ,
  RANK INTEGER NOT NULL /* "RANK" */ ,
  COMMODITY VARCHAR(15) /* "COMMODITY" */ ,
  GRADVALUE FLOAT /* "GRADVALUE" */ ,
  GRDUNITS VARCHAR(30) /* "GRDUNITS" */ ,
  REVWHO VARCHAR(5) /* "REVWHO" */ ,
  REVDATE VARCHAR(12) /* "REVDATE" */ ,
  RELDATE VARCHAR(12) /* "RELDATE" */
);

ALTER TABLE PRODGRAD ADD CONSTRAINT PK_PRODGRAD PRIMARY KEY (PRODNO,RANK);

/* Original table name is "prodmain" */
CREATE TABLE PRODMAIN (
  PRODNO INTEGER NOT NULL /* "PRODNO" */ ,
  STAYEAR SMALLINT /* "STAYEAR" */ ,
  STAMONTH SMALLINT /* "STAMONTH" */ ,
  STADAY SMALLINT /* "STADAY" */ ,
  ENDYEAR SMALLINT /* "ENDYEAR" */ ,
  ENDMONTH SMALLINT /* "ENDMONTH" */ ,
  ENDDAY SMALLINT /* "ENDDAY" */ ,
  TONNAGE FLOAT /* "TONNAGE" */ ,
  TONUNITS VARCHAR(30) /* "TONUNITS" */ ,
  PRODUCT VARCHAR(15) /* "PRODUCT" */ ,
  NOTRECMD CHAR(1) /* "NOTRECMD" */ ,
  YEARSUM VARCHAR(12) /* "YEARSUM" */ ,
  REFNO INTEGER /* "REFNO" */ ,
  REVWHO VARCHAR(5) /* "REVWHO" */ ,
  REVDATE VARCHAR(12) /* "REVDATE" */ ,
  RELDATE VARCHAR(12) /* "RELDATE" */
);

ALTER TABLE PRODMAIN ADD CONSTRAINT PK_PRODMAIN PRIMARY KEY (PRODNO);

/* Original table name is "prodmine" */
CREATE TABLE PRODMINE (
  PRODNO INTEGER NOT NULL /* "PRODNO" */ ,
  MINENO INTEGER NOT NULL /* "MINENO" */ ,
  PROPORTION FLOAT /* "PROPORTION" */ ,
  WHO VARCHAR(5) /* "WHO" */ ,
  REVWHO VARCHAR(5) /* "REVWHO" */ ,
  REVDATE VARCHAR(12) /* "REVDATE" */ ,
  RELDATE VARCHAR(12) /* "RELDATE" */
);

ALTER TABLE PRODMINE ADD CONSTRAINT PK_PRODMINE PRIMARY KEY (PRODNO,MINENO);

/* Original table name is "prodrefx" */
CREATE TABLE PRODREFX (
  PRODNO INTEGER NOT NULL /* "PRODNO" */ ,
  REFNO INTEGER NOT NULL /* "REFNO" */ ,
  RANK INTEGER NOT NULL /* "RANK" */ ,
  CHAPTER VARCHAR(35) /* "CHAPTER" */ ,
  STARTPAGE VARCHAR(10) /* "STARTPAGE" */ ,
  ENDPAGE VARCHAR(10) /* "ENDPAGE" */ ,
  TONNAGE CHAR(1) /* "TONNAGE" */ ,
  GRADES CHAR(1) /* "GRADES" */ ,
  WEIGHTS CHAR(1) /* "WEIGHTS" */ ,
  ENTITIES CHAR(1) /* "ENTITIES" */ ,
  REVWHO VARCHAR(5) /* "REVWHO" */ ,
  REVDATE VARCHAR(12) /* "REVDATE" */ ,
  RELDATE VARCHAR(12) /* "RELDATE" */
);

ALTER TABLE PRODREFX ADD CONSTRAINT PK_PRODREFX PRIMARY KEY (PRODNO,REFNO,RANK);

/* Original table name is "product" */
CREATE TABLE PRODUCT (
  PRODUCT VARCHAR(15) NOT NULL /* "PRODUCT" */ ,
  LONGDESC VARCHAR(254) /* "LONGDESC" */ ,
  REVWHO VARCHAR(5) /* "REVWHO" */ ,
  REVDATE VARCHAR(12) /* "REVDATE" */ ,
  RELDATE VARCHAR(12) /* "RELDATE" */
);

ALTER TABLE PRODUCT ADD CONSTRAINT PK_PRODUCT PRIMARY KEY (PRODUCT);

/* Original table name is "prodwgt" */
CREATE TABLE PRODWGT (
  PRODNO INTEGER NOT NULL /* "PRODNO" */ ,
  RANK INTEGER NOT NULL /* "RANK" */ ,
  COMMODITY VARCHAR(15) /* "COMMODITY" */ ,
  WGTVALUE FLOAT /* "WGTVALUE" */ ,
  WGTUNITS VARCHAR(30) /* "WGTUNITS" */ ,
  REVWHO VARCHAR(5) /* "REVWHO" */ ,
  REVDATE VARCHAR(12) /* "REVDATE" */ ,
  RELDATE VARCHAR(12) /* "RELDATE" */
);

ALTER TABLE PRODWGT ADD CONSTRAINT PK_PRODWGT PRIMARY KEY (PRODNO,RANK);

/* Original table name is "proglevel" */
CREATE TABLE PROGLEVEL (
  PROGLEVEL VARCHAR(50) NOT NULL /* "PROGLEVEL" */ ,
  LONGDESC VARCHAR(254) /* "LONGDESC" */ ,
  REVWHO VARCHAR(5) /* "REVWHO" */ ,
  REVDATE VARCHAR(12) /* "REVDATE" */ ,
  RELDATE VARCHAR(12) /* "RELDATE" */
);

ALTER TABLE PROGLEVEL ADD CONSTRAINT PK_PROGLEVEL PRIMARY KEY (PROGLEVEL);

/* Original table name is "protolth" */
CREATE TABLE PROTOLTH (
  PROTOLTH VARCHAR(50) NOT NULL /* "PROTOLTH" */ ,
  LONGDESC VARCHAR(254) /* "LONGDESC" */ ,
  REVWHO VARCHAR(5) /* "REVWHO" */ ,
  REVDATE VARCHAR(12) /* "REVDATE" */ ,
  RELDATE VARCHAR(12) /* "RELDATE" */
);

ALTER TABLE PROTOLTH ADD CONSTRAINT PK_PROTOLTH PRIMARY KEY (PROTOLTH);

/* Original table name is "provstate" */
CREATE TABLE PROVSTATE (
  PROVSTATE VARCHAR(50) NOT NULL /* "PROVSTATE" */ ,
  LONGDESC VARCHAR(254) /* "LONGDESC" */ ,
  REVWHO VARCHAR(5) /* "REVWHO" */ ,
  REVDATE VARCHAR(12) /* "REVDATE" */ ,
  RELDATE VARCHAR(12) /* "RELDATE" */
);

ALTER TABLE PROVSTATE ADD CONSTRAINT PK_PROVSTATE PRIMARY KEY (PROVSTATE);

/* Original table name is "realm" */
CREATE TABLE REALM (
  REALM VARCHAR(30) NOT NULL /* "REALM" */ ,
  LONGDESC VARCHAR(254) /* "LONGDESC" */ ,
  REVWHO VARCHAR(5) /* "REVWHO" */ ,
  REVDATE VARCHAR(12) /* "REVDATE" */ ,
  RELDATE VARCHAR(12) /* "RELDATE" */
);

ALTER TABLE REALM ADD CONSTRAINT PK_REALM PRIMARY KEY (REALM);

/* Original table name is "refmain" */
CREATE TABLE REFMAIN (
  REFNO INTEGER NOT NULL /* "REFNO" */ ,
  PUBYEAR SMALLINT /* "PUBYEAR" */ ,
  TITLE VARCHAR(254) /* "TITLE" */ ,
  SRCTP VARCHAR(10) /* "SRCTP" */ ,
  REVWHO VARCHAR(5) /* "REVWHO" */ ,
  REVDATE VARCHAR(12) /* "REVDATE" */ ,
  RELDATE VARCHAR(12) /* "RELDATE" */
);

ALTER TABLE REFMAIN ADD CONSTRAINT PK_REFMAIN PRIMARY KEY (REFNO);

/* Original table name is "refx" */
CREATE TABLE REFX (
  REFNO INTEGER NOT NULL /* "REFNO" */ ,
  DEPGROUP CHAR(1) /* "DEPGROUP" */ ,
  DEPOSIT CHAR(1) /* "DEPOSIT" */ ,
  MINE CHAR(1) /* "MINE" */ ,
  PRODUCTION CHAR(1) /* "PRODUCTION" */ ,
  RESOURCES CHAR(1) /* "RESOURCES" */ ,
  ASSAYS CHAR(1) /* "ASSAYS" */ ,
  REVWHO VARCHAR(5) /* "REVWHO" */ ,
  REVDATE VARCHAR(12) /* "REVDATE" */ ,
  RELDATE VARCHAR(12) /* "RELDATE" */
);

ALTER TABLE REFX ADD CONSTRAINT PK_REFX PRIMARY KEY (REFNO);

/* Original table name is "repsrc" */
CREATE TABLE REPSRC (
  REFNO INTEGER NOT NULL /* "REFNO" */ ,
  SUBTITLE VARCHAR(200) /* "SUBTITLE" */ ,
  SOCIETY VARCHAR(200) /* "SOCIETY" */ ,
  PUBLISHER VARCHAR(200) /* "PUBLISHER" */ ,
  PUBCODE VARCHAR(10) /* "PUBCODE" */ ,
  NUMPAGES SMALLINT /* "NUMPAGES" */ ,
  NUMMAPS SMALLINT /* "NUMMAPS" */ ,
  NUMDISKS SMALLINT /* "NUMDISKS" */ ,
  ISBN VARCHAR(20) /* "ISBN" */ ,
  ISSN VARCHAR(20) /* "ISSN" */ ,
  REVWHO VARCHAR(5) /* "REVWHO" */ ,
  REVDATE VARCHAR(12) /* "REVDATE" */ ,
  RELDATE VARCHAR(12) /* "RELDATE" */
);

ALTER TABLE REPSRC ADD CONSTRAINT PK_REPSRC PRIMARY KEY (REFNO);

/* Original table name is "resadded2" */
CREATE TABLE RESADDED2 (
  RESNO INTEGER NOT NULL /* "RESNO" */ ,
  RESNOMAIN INTEGER NOT NULL /* "RESNOMAIN" */ ,
  REVWHO VARCHAR(5) /* "REVWHO" */ ,
  REVDATE VARCHAR(12) /* "REVDATE" */ ,
  RELDATE VARCHAR(12) /* "RELDATE" */
);

ALTER TABLE RESADDED2 ADD CONSTRAINT PK_RESADDED2 PRIMARY KEY (RESNO,RESNOMAIN);

/* Original table name is "rescat" */
CREATE TABLE RESCAT (
  RESCAT VARCHAR(100) NOT NULL /* "RESCAT" */ ,
  LONGDESC VARCHAR(254) /* "LONGDESC" */ ,
  REVWHO VARCHAR(5) /* "REVWHO" */ ,
  REVDATE VARCHAR(12) /* "REVDATE" */ ,
  RELDATE VARCHAR(12) /* "RELDATE" */
);

ALTER TABLE RESCAT ADD CONSTRAINT PK_RESCAT PRIMARY KEY (RESCAT);

/* Original table name is "rescut" */
CREATE TABLE RESCUT (
  RESNO INTEGER NOT NULL /* "RESNO" */ ,
  RANK INTEGER NOT NULL /* "RANK" */ ,
  COMMODITY VARCHAR(15) /* "COMMODITY" */ ,
  GRADVALUE FLOAT /* "GRADVALUE" */ ,
  GRDUNITS VARCHAR(30) /* "GRDUNITS" */ ,
  REVWHO VARCHAR(5) /* "REVWHO" */ ,
  REVDATE VARCHAR(12) /* "REVDATE" */ ,
  RELDATE VARCHAR(12) /* "RELDATE" */
);

ALTER TABLE RESCUT ADD CONSTRAINT PK_RESCUT PRIMARY KEY (RESNO,RANK);

/* Original table name is "resdg" */
CREATE TABLE RESDG (
  RESNO INTEGER NOT NULL /* "RESNO" */ ,
  DGNO INTEGER NOT NULL /* "DGNO" */ ,
  PROPORTION FLOAT /* "PROPORTION" */ ,
  WHO VARCHAR(5) /* "WHO" */ ,
  REVWHO VARCHAR(5) /* "REVWHO" */ ,
  REVDATE VARCHAR(12) /* "REVDATE" */ ,
  RELDATE VARCHAR(12) /* "RELDATE" */
);

ALTER TABLE RESDG ADD CONSTRAINT PK_RESDG PRIMARY KEY (RESNO,DGNO);

/* Original table name is "resdp" */
CREATE TABLE RESDP (
  RESNO INTEGER NOT NULL /* "RESNO" */ ,
  DEPNO INTEGER NOT NULL /* "DEPNO" */ ,
  PROPORTION FLOAT /* "PROPORTION" */ ,
  WHO VARCHAR(5) /* "WHO" */ ,
  REVWHO VARCHAR(5) /* "REVWHO" */ ,
  REVDATE VARCHAR(12) /* "REVDATE" */ ,
  RELDATE VARCHAR(12) /* "RELDATE" */
);

ALTER TABLE RESDP ADD CONSTRAINT PK_RESDP PRIMARY KEY (RESNO,DEPNO);

/* Original table name is "resgrade" */
CREATE TABLE RESGRADE (
  RESNO INTEGER NOT NULL /* "RESNO" */ ,
  RANK INTEGER NOT NULL /* "RANK" */ ,
  COMMODITY VARCHAR(15) /* "COMMODITY" */ ,
  GRADVALUE FLOAT /* "GRADVALUE" */ ,
  GRDUNITS VARCHAR(30) /* "GRDUNITS" */ ,
  REVWHO VARCHAR(5) /* "REVWHO" */ ,
  REVDATE VARCHAR(12) /* "REVDATE" */ ,
  RELDATE VARCHAR(12) /* "RELDATE" */
);

ALTER TABLE RESGRADE ADD CONSTRAINT PK_RESGRADE PRIMARY KEY (RESNO,RANK);

/* Original table name is "resinres" */
CREATE TABLE RESINRES (
  RESNO INTEGER NOT NULL /* "RESNO" */ ,
  LGRESNO INTEGER NOT NULL /* "LGRESNO" */ ,
  REVWHO VARCHAR(5) /* "REVWHO" */ ,
  REVDATE VARCHAR(12) /* "REVDATE" */ ,
  RELDATE VARCHAR(12) /* "RELDATE" */
);

ALTER TABLE RESINRES ADD CONSTRAINT PK_RESINRES PRIMARY KEY (RESNO,LGRESNO);

/* Original table name is "resmain" */
CREATE TABLE RESMAIN (
  RESNO INTEGER NOT NULL /* "RESNO" */ ,
  ESTYEAR SMALLINT /* "ESTYEAR" */ ,
  ESTMONTH SMALLINT /* "ESTMONTH" */ ,
  ESTDAY SMALLINT /* "ESTDAY" */ ,
  TONNAGE FLOAT /* "TONNAGE" */ ,
  TONUNITS VARCHAR(30) /* "TONUNITS" */ ,
  PRODUCT VARCHAR(15) /* "PRODUCT" */ ,
  RESPROD CHAR(1) /* "RESPROD" */ ,
  NOTRECMD CHAR(1) /* "NOTRECMD" */ ,
  RESCAT VARCHAR(100) /* "RESCAT" */ ,
  CONTAINED CHAR(1) /* "CONTAINED" */ ,
  ADDEDTO CHAR(1) /* "ADDEDTO" */ ,
  REFNO INTEGER /* "REFNO" */ ,
  COMPONENT VARCHAR(50) /* "COMPONENT" */ ,
  REVWHO VARCHAR(5) /* "REVWHO" */ ,
  REVDATE VARCHAR(12) /* "REVDATE" */ ,
  RELDATE VARCHAR(12) /* "RELDATE" */
);

ALTER TABLE RESMAIN ADD CONSTRAINT PK_RESMAIN PRIMARY KEY (RESNO);

/* Original table name is "resmine" */
CREATE TABLE RESMINE (
  RESNO INTEGER NOT NULL /* "RESNO" */ ,
  MINENO INTEGER NOT NULL /* "MINENO" */ ,
  PROPORTION FLOAT /* "PROPORTION" */ ,
  WHO VARCHAR(5) /* "WHO" */ ,
  REVWHO VARCHAR(5) /* "REVWHO" */ ,
  REVDATE VARCHAR(12) /* "REVDATE" */ ,
  RELDATE VARCHAR(12) /* "RELDATE" */
);

ALTER TABLE RESMINE ADD CONSTRAINT PK_RESMINE PRIMARY KEY (RESNO,MINENO);

/* Original table name is "response" */
CREATE TABLE RESPONSE (
  RESPONSE VARCHAR(50) NOT NULL /* "RESPONSE" */ ,
  LONGDESC VARCHAR(254) /* "LONGDESC" */ ,
  REVWHO VARCHAR(5) /* "REVWHO" */ ,
  REVDATE VARCHAR(12) /* "REVDATE" */ ,
  RELDATE VARCHAR(12) /* "RELDATE" */
);

ALTER TABLE RESPONSE ADD CONSTRAINT PK_RESPONSE PRIMARY KEY (RESPONSE);

/* Original table name is "resrefx" */
CREATE TABLE RESREFX (
  RESNO INTEGER NOT NULL /* "RESNO" */ ,
  REFNO INTEGER NOT NULL /* "REFNO" */ ,
  RANK INTEGER NOT NULL /* "RANK" */ ,
  CHAPTER VARCHAR(35) /* "CHAPTER" */ ,
  STARTPAGE VARCHAR(10) /* "STARTPAGE" */ ,
  ENDPAGE VARCHAR(10) /* "ENDPAGE" */ ,
  TONNAGE CHAR(1) /* "TONNAGE" */ ,
  GRADES CHAR(1) /* "GRADES" */ ,
  WEIGHTS CHAR(1) /* "WEIGHTS" */ ,
  ENTITIES CHAR(1) /* "ENTITIES" */ ,
  REVWHO VARCHAR(5) /* "REVWHO" */ ,
  REVDATE VARCHAR(12) /* "REVDATE" */ ,
  RELDATE VARCHAR(12) /* "RELDATE" */
);

ALTER TABLE RESREFX ADD CONSTRAINT PK_RESREFX PRIMARY KEY (RESNO,REFNO,RANK);

/* Original table name is "reswgt" */
CREATE TABLE RESWGT (
  RESNO INTEGER NOT NULL /* "RESNO" */ ,
  RANK INTEGER NOT NULL /* "RANK" */ ,
  COMMODITY VARCHAR(15) /* "COMMODITY" */ ,
  WGTVALUE FLOAT /* "WGTVALUE" */ ,
  WGTUNITS VARCHAR(30) /* "WGTUNITS" */ ,
  REVWHO VARCHAR(5) /* "REVWHO" */ ,
  REVDATE VARCHAR(12) /* "REVDATE" */ ,
  RELDATE VARCHAR(12) /* "RELDATE" */
);

ALTER TABLE RESWGT ADD CONSTRAINT PK_RESWGT PRIMARY KEY (RESNO,RANK);

/* Original table name is "rform" */
CREATE TABLE RFORM (
  RFORM VARCHAR(50) NOT NULL /* "RFORM" */ ,
  LONGDESC VARCHAR(254) /* "LONGDESC" */ ,
  REVWHO VARCHAR(5) /* "REVWHO" */ ,
  REVDATE VARCHAR(12) /* "REVDATE" */ ,
  RELDATE VARCHAR(12) /* "RELDATE" */
);

ALTER TABLE RFORM ADD CONSTRAINT PK_RFORM PRIMARY KEY (RFORM);

/* Original table name is "rigneous" */
CREATE TABLE RIGNEOUS (
  RIGNEOUSID INTEGER NOT NULL /* "RIGNEOUSID" */ ,
  RIGNEOUS VARCHAR(100) /* "RIGNEOUS" */ ,
  IGNCAT VARCHAR(30) /* "IGNCAT" */ ,
  LONGDESC VARCHAR(254) /* "LONGDESC" */ ,
  REVWHO VARCHAR(5) /* "REVWHO" */ ,
  REVDATE VARCHAR(12) /* "REVDATE" */ ,
  RELDATE VARCHAR(12) /* "RELDATE" */
);

ALTER TABLE RIGNEOUS ADD CONSTRAINT PK_RIGNEOUS PRIMARY KEY (RIGNEOUSID);

/* Original table name is "samptype" */
CREATE TABLE SAMPTYPE (
  SAMPTYPE VARCHAR(50) NOT NULL /* "SAMPTYPE" */ ,
  LONGDESC VARCHAR(254) /* "LONGDESC" */ ,
  REVWHO VARCHAR(5) /* "REVWHO" */ ,
  REVDATE VARCHAR(12) /* "REVDATE" */ ,
  RELDATE VARCHAR(12) /* "RELDATE" */
);

ALTER TABLE SAMPTYPE ADD CONSTRAINT PK_SAMPTYPE PRIMARY KEY (SAMPTYPE);

/* Original table name is "settingof" */
CREATE TABLE SETTINGOF (
  SETTINGOF VARCHAR(30) NOT NULL /* "SETTINGOF" */ ,
  LONGDESC VARCHAR(254) /* "LONGDESC" */ ,
  REVWHO VARCHAR(5) /* "REVWHO" */ ,
  REVDATE VARCHAR(12) /* "REVDATE" */ ,
  RELDATE VARCHAR(12) /* "RELDATE" */
);

ALTER TABLE SETTINGOF ADD CONSTRAINT PK_SETTINGOF PRIMARY KEY (SETTINGOF);

/* Original table name is "sigtype" */
CREATE TABLE SIGTYPE (
  SIGTYPE VARCHAR(50) NOT NULL /* "SIGTYPE" */ ,
  LONGDESC VARCHAR(254) /* "LONGDESC" */ ,
  REVWHO VARCHAR(5) /* "REVWHO" */ ,
  REVDATE VARCHAR(12) /* "REVDATE" */ ,
  RELDATE VARCHAR(12) /* "RELDATE" */
);

ALTER TABLE SIGTYPE ADD CONSTRAINT PK_SIGTYPE PRIMARY KEY (SIGTYPE);

/* Original table name is "sourcerock" */
CREATE TABLE SOURCEROCK (
  SOURCEROCK VARCHAR(50) NOT NULL /* "SOURCEROCK" */ ,
  LONGDESC VARCHAR(254) /* "LONGDESC" */ ,
  REVWHO VARCHAR(5) /* "REVWHO" */ ,
  REVDATE VARCHAR(12) /* "REVDATE" */ ,
  RELDATE VARCHAR(12) /* "RELDATE" */
);

ALTER TABLE SOURCEROCK ADD CONSTRAINT PK_SOURCEROCK PRIMARY KEY (SOURCEROCK);

/* Original table name is "srctp" */
CREATE TABLE SRCTP (
  SRCTP VARCHAR(2) NOT NULL /* "SRCTP" */ ,
  LONGDESC VARCHAR(254) /* "LONGDESC" */ ,
  REVWHO VARCHAR(5) /* "REVWHO" */ ,
  REVDATE VARCHAR(12) /* "REVDATE" */ ,
  RELDATE VARCHAR(12) /* "RELDATE" */
);

ALTER TABLE SRCTP ADD CONSTRAINT PK_SRCTP PRIMARY KEY (SRCTP);

/* Original table name is "stratlevel" */
CREATE TABLE STRATLEVEL (
  STRATLEVEL VARCHAR(50) NOT NULL /* "STRATLEVEL" */ ,
  LONGDESC VARCHAR(254) /* "LONGDESC" */ ,
  REVWHO VARCHAR(5) /* "REVWHO" */ ,
  REVDATE VARCHAR(12) /* "REVDATE" */ ,
  RELDATE VARCHAR(12) /* "RELDATE" */
);

ALTER TABLE STRATLEVEL ADD CONSTRAINT PK_STRATLEVEL PRIMARY KEY (STRATLEVEL);

/* Original table name is "svolsrc" */
CREATE TABLE SVOLSRC (
  REFNO INTEGER NOT NULL /* "REFNO" */ ,
  SUBTITLE VARCHAR(200) /* "SUBTITLE" */ ,
  SOCIETY VARCHAR(200) /* "SOCIETY" */ ,
  PUBLISHER VARCHAR(200) /* "PUBLISHER" */ ,
  PUBCODE VARCHAR(10) /* "PUBCODE" */ ,
  NUMPAGES SMALLINT /* "NUMPAGES" */ ,
  NUMMAPS SMALLINT /* "NUMMAPS" */ ,
  NUMDISKS SMALLINT /* "NUMDISKS" */ ,
  ISBN VARCHAR(20) /* "ISBN" */ ,
  ISSN VARCHAR(20) /* "ISSN" */ ,
  REVWHO VARCHAR(5) /* "REVWHO" */ ,
  REVDATE VARCHAR(12) /* "REVDATE" */ ,
  RELDATE VARCHAR(12) /* "RELDATE" */
);

ALTER TABLE SVOLSRC ADD CONSTRAINT PK_SVOLSRC PRIMARY KEY (REFNO);

/* Original table name is "symsrc" */
CREATE TABLE SYMSRC (
  REFNO INTEGER NOT NULL /* "REFNO" */ ,
  SYMPREFNO INTEGER /* "SYMPREFNO" */ ,
  CHAPTER VARCHAR(200) /* "CHAPTER" */ ,
  SECTN VARCHAR(200) /* "SECTN" */ ,
  PART VARCHAR(15) /* "PART" */ ,
  STARTPAGE VARCHAR(10) /* "STARTPAGE" */ ,
  ENDPAGE VARCHAR(10) /* "ENDPAGE" */ ,
  REVWHO VARCHAR(5) /* "REVWHO" */ ,
  REVDATE VARCHAR(12) /* "REVDATE" */ ,
  RELDATE VARCHAR(12) /* "RELDATE" */
);

ALTER TABLE SYMSRC ADD CONSTRAINT PK_SYMSRC PRIMARY KEY (REFNO);

/* Original table name is "tabledoc" */
CREATE TABLE TABLEDOC (
  TABLENAME VARCHAR(16) NOT NULL /* "TABLENAME" */ ,
  ECAPTION VARCHAR(50) /* "ECAPTION" */ ,
  FCAPTION VARCHAR(50) /* "FCAPTION" */ ,
  SCAPTION VARCHAR(50) /* "SCAPTION" */ ,
  TABLEDESC VARCHAR(200) /* "TABLEDESC" */ ,
  TABLETYPE VARCHAR(16) /* "TABLETYPE" */ ,
  TABLEGROUP VARCHAR(24) /* "TABLEGROUP" */ ,
  TABLEPARENT VARCHAR(16) /* "TABLEPARENT" */ ,
  KEYFIELDS VARCHAR(24) /* "KEYFIELDS" */ ,
  TABLEORDER SMALLINT /* "TABLEORDER" */ ,
  TSEARCH VARCHAR(10) /* "TSEARCH" */ ,
  READONLY CHAR(1) /* "READONLY" */ ,
  USED CHAR(1) /* "USED" */ ,
  ORDERED CHAR(1) /* "ORDERED" */ ,
  COMPDESC VARCHAR(200) /* "COMPDESC" */ ,
  REVWHO VARCHAR(5) /* "REVWHO" */ ,
  REVDATE VARCHAR(12) /* "REVDATE" */ ,
  RELDATE VARCHAR(12) /* "RELDATE" */
);

ALTER TABLE TABLEDOC ADD CONSTRAINT PK_TABLEDOC PRIMARY KEY (TABLENAME);

/* Original table name is "tabpages" */
CREATE TABLE TABPAGES (
  MODULE VARCHAR(2) /* "MODULE" */ ,
  TABPAGE VARCHAR(50) NOT NULL /* "TABPAGE" */ ,
  TABCAPTION VARCHAR(50) /* "TABCAPTION" */ ,
  STDUSED CHAR(1) /* "STDUSED" */ ,
  STDORDER INTEGER /* "STDORDER" */ ,
  OVRUSED CHAR(1) /* "OVRUSED" */ ,
  OVRORDER INTEGER /* "OVRORDER" */ ,
  REVWHO VARCHAR(5) /* "REVWHO" */ ,
  REVDATE VARCHAR(12) /* "REVDATE" */ ,
  RELDATE VARCHAR(12) /* "RELDATE" */
);

ALTER TABLE TABPAGES ADD CONSTRAINT PK_TABPAGES PRIMARY KEY (TABPAGE);

/* Original table name is "tecqual" */
CREATE TABLE TECQUAL (
  TECQUAL VARCHAR(35) NOT NULL /* "TECQUAL" */ ,
  LONGDESC VARCHAR(254) /* "LONGDESC" */ ,
  REVWHO VARCHAR(5) /* "REVWHO" */ ,
  REVDATE VARCHAR(12) /* "REVDATE" */ ,
  RELDATE VARCHAR(12) /* "RELDATE" */
);

ALTER TABLE TECQUAL ADD CONSTRAINT PK_TECQUAL PRIMARY KEY (TECQUAL);

/* Original table name is "tectobj" */
CREATE TABLE TECTOBJ (
  TECTOBJ VARCHAR(50) NOT NULL /* "TECTOBJ" */ ,
  LONGDESC VARCHAR(254) /* "LONGDESC" */ ,
  REVWHO VARCHAR(5) /* "REVWHO" */ ,
  REVDATE VARCHAR(12) /* "REVDATE" */ ,
  RELDATE VARCHAR(12) /* "RELDATE" */
);

ALTER TABLE TECTOBJ ADD CONSTRAINT PK_TECTOBJ PRIMARY KEY (TECTOBJ);

/* Original table name is "tonunits" */
CREATE TABLE TONUNITS (
  TONUNITS VARCHAR(30) NOT NULL /* "TONUNITS" */ ,
  SHORTFM VARCHAR(30) /* "SHORTFM" */ ,
  LONGDESC VARCHAR(254) /* "LONGDESC" */ ,
  REVWHO VARCHAR(5) /* "REVWHO" */ ,
  REVDATE VARCHAR(12) /* "REVDATE" */ ,
  RELDATE VARCHAR(12) /* "RELDATE" */
);

ALTER TABLE TONUNITS ADD CONSTRAINT PK_TONUNITS PRIMARY KEY (TONUNITS);

/* Original table name is "tstruc" */
CREATE TABLE TSTRUC (
  TSTRUC VARCHAR(100) NOT NULL /* "TSTRUC" */ ,
  LONGDESC VARCHAR(254) /* "LONGDESC" */ ,
  REVWHO VARCHAR(5) /* "REVWHO" */ ,
  REVDATE VARCHAR(12) /* "REVDATE" */ ,
  RELDATE VARCHAR(12) /* "RELDATE" */
);

ALTER TABLE TSTRUC ADD CONSTRAINT PK_TSTRUC PRIMARY KEY (TSTRUC);

/* Original table name is "unitcvsn" */
CREATE TABLE UNITCVSN (
  SRCUNIT VARCHAR(30) NOT NULL /* "SRCUNIT" */ ,
  STDUNIT VARCHAR(30) NOT NULL /* "STDUNIT" */ ,
  CNVFACTR FLOAT /* "CNVFACTR" */ ,
  REVWHO VARCHAR(5) /* "REVWHO" */ ,
  REVDATE VARCHAR(12) /* "REVDATE" */ ,
  RELDATE VARCHAR(12) /* "RELDATE" */
);

ALTER TABLE UNITCVSN ADD CONSTRAINT PK_UNITCVSN PRIMARY KEY (SRCUNIT,STDUNIT);

/* Original table name is "volsrc" */
CREATE TABLE VOLSRC (
  REFNO INTEGER NOT NULL /* "REFNO" */ ,
  SOCIETY VARCHAR(200) /* "SOCIETY" */ ,
  PUBLISHER VARCHAR(200) /* "PUBLISHER" */ ,
  NUMPAGES SMALLINT /* "NUMPAGES" */ ,
  NUMMAPS SMALLINT /* "NUMMAPS" */ ,
  NUMDISKS SMALLINT /* "NUMDISKS" */ ,
  ISBN VARCHAR(20) /* "ISBN" */ ,
  REVWHO VARCHAR(5) /* "REVWHO" */ ,
  REVDATE VARCHAR(12) /* "REVDATE" */ ,
  RELDATE VARCHAR(12) /* "RELDATE" */
);

ALTER TABLE VOLSRC ADD CONSTRAINT PK_VOLSRC PRIMARY KEY (REFNO);

/* Original table name is "wgtunits" */
CREATE TABLE WGTUNITS (
  WGTUNITS VARCHAR(30) NOT NULL /* "WGTUNITS" */ ,
  SHORTFM VARCHAR(30) /* "SHORTFM" */ ,
  LONGDESC VARCHAR(254) /* "LONGDESC" */ ,
  REVWHO VARCHAR(5) /* "REVWHO" */ ,
  REVDATE VARCHAR(12) /* "REVDATE" */ ,
  RELDATE VARCHAR(12) /* "RELDATE" */
);

ALTER TABLE WGTUNITS ADD CONSTRAINT PK_WGTUNITS PRIMARY KEY (WGTUNITS);

/* Original table name is "whatdated" */
CREATE TABLE WHATDATED (
  WHATDATED VARCHAR(70) NOT NULL /* "WHATDATED" */ ,
  LONGDESC VARCHAR(254) /* "LONGDESC" */ ,
  REVWHO VARCHAR(5) /* "REVWHO" */ ,
  REVDATE VARCHAR(12) /* "REVDATE" */ ,
  RELDATE VARCHAR(12) /* "RELDATE" */
);

ALTER TABLE WHATDATED ADD CONSTRAINT PK_WHATDATED PRIMARY KEY (WHATDATED);

/* Original table name is "who" */
CREATE TABLE WHO (
  WHO VARCHAR(5) NOT NULL /* "WHO" */ ,
  LASTNAME VARCHAR(50) /* "LASTNAME" */ ,
  FIRSTNAME VARCHAR(35) /* "FIRSTNAME" */ ,
  MIDNAME VARCHAR(35) /* "MIDNAME" */ ,
  LONGDESC VARCHAR(254) /* "LONGDESC" */ ,
  REVWHO VARCHAR(5) /* "REVWHO" */ ,
  REVDATE VARCHAR(12) /* "REVDATE" */ ,
  RELDATE VARCHAR(12) /* "RELDATE" */
);

ALTER TABLE WHO ADD CONSTRAINT PK_WHO PRIMARY KEY (WHO);

/* Original table name is "yearsum" */
CREATE TABLE YEARSUM (
  YEARSUM VARCHAR(12) NOT NULL /* "YEARSUM" */ ,
  LONGDESC VARCHAR(254) /* "LONGDESC" */ ,
  REVWHO VARCHAR(5) /* "REVWHO" */ ,
  REVDATE VARCHAR(12) /* "REVDATE" */ ,
  RELDATE VARCHAR(12) /* "RELDATE" */
);

ALTER TABLE YEARSUM ADD CONSTRAINT PK_YEARSUM PRIMARY KEY (YEARSUM);

/* Summary table */
CREATE TABLE GQ_RECORDCOUNT (
  TABLENAME	VARCHAR(16) NOT NULL,
  RECORDCOUNT	INTEGER
);

ALTER TABLE GQ_RECORDCOUNT ADD CONSTRAINT PK_GQ_RECORDCOUNT PRIMARY KEY (TABLENAME);

/* Summary table */
CREATE TABLE DG_SUMMARY (
  DGNO		INTEGER NOT NULL,
  COUNTRY	VARCHAR(35),
  LOCATION	VARCHAR(30),
  ALLNAMES	VARCHAR(200),
  COMMODITIES	VARCHAR(100),
  DEPCLAN	VARCHAR(50),
  LONGDD	FLOAT,
  LATDD		FLOAT,
  DBNAME	VARCHAR(30),
  COMPBY	VARCHAR(200),
  RELDATE	VARCHAR(10)
);

ALTER TABLE DG_SUMMARY ADD CONSTRAINT PK_DG_SUMMARY PRIMARY KEY (DGNO);

/* Summary table */
CREATE TABLE DP_SUMMARY (
  DEPNO		INTEGER NOT NULL,
  COUNTRY	VARCHAR(35),
  LOCATION	VARCHAR(30),
  ALLNAMES	VARCHAR(200),
  COMMODITIES	VARCHAR(100),
  DEPCLAN	VARCHAR(50),
  LONGDD	FLOAT,
  LATDD		FLOAT,
  DBNAME	VARCHAR(30),
  COMPBY	VARCHAR(200),
  RELDATE	VARCHAR(10)
);

ALTER TABLE DP_SUMMARY ADD CONSTRAINT PK_DP_SUMMARY PRIMARY KEY (DEPNO);

/* Foreign keys */

ALTER TABLE AUTHORS ADD CONSTRAINT FK_AUTHORS_REFNO
  FOREIGN KEY (REFNO) REFERENCES REFMAIN (REFNO)
  ON UPDATE CASCADE
  ON DELETE CASCADE;

ALTER TABLE COLUMNDOC ADD CONSTRAINT FK_COLUMNDOC_TABLENAME
  FOREIGN KEY (TABLENAME) REFERENCES TABLEDOC (TABLENAME)
  ON UPDATE CASCADE
  ON DELETE CASCADE;

ALTER TABLE DGAGETS ADD CONSTRAINT FK_DGAGETS_DGNO
  FOREIGN KEY (DGNO) REFERENCES DGGEOL (DGNO)
  ON UPDATE CASCADE
  ON DELETE CASCADE;

ALTER TABLE DGALTMIN ADD CONSTRAINT FK_DGALTMIN_DGNO_ALTSIGRK
  FOREIGN KEY (DGNO,ALTSIGRK) REFERENCES DGALTSIG (DGNO,RANK)
  ON UPDATE CASCADE
  ON DELETE CASCADE;

ALTER TABLE DGALTMIN ADD CONSTRAINT FK_DGALTMIN_DGNO_MINSTLRK
  FOREIGN KEY (DGNO,MINSTLRK) REFERENCES DGMINSTL (DGNO,RANK)
  ON UPDATE CASCADE
  ON DELETE CASCADE;

ALTER TABLE DGALTSIG ADD CONSTRAINT FK_DGALTSIG_DGNO
  FOREIGN KEY (DGNO) REFERENCES DGGEOL (DGNO)
  ON UPDATE CASCADE
  ON DELETE CASCADE;

ALTER TABLE DGCFEAT ADD CONSTRAINT FK_DGCFEAT_DGNO
  FOREIGN KEY (DGNO) REFERENCES DGGEOL (DGNO)
  ON UPDATE CASCADE
  ON DELETE CASCADE;

ALTER TABLE DGCFTMIN ADD CONSTRAINT FK_DGCFTMIN_DGNO_CFEATRK
  FOREIGN KEY (DGNO,CFEATRK) REFERENCES DGCFEAT (DGNO,RANK)
  ON UPDATE CASCADE
  ON DELETE CASCADE;

ALTER TABLE DGCFTMIN ADD CONSTRAINT FK_DGCFTMIN_DGNO_MINSTLRK
  FOREIGN KEY (DGNO,MINSTLRK) REFERENCES DGMINSTL (DGNO,RANK)
  ON UPDATE CASCADE
  ON DELETE CASCADE;

ALTER TABLE DGCLITH ADD CONSTRAINT FK_DGCLITH_DGNO_DGCRANK
  FOREIGN KEY (DGNO,DGCRANK) REFERENCES DGCTRYRX (DGNO,RANK)
  ON UPDATE CASCADE
  ON DELETE CASCADE;

ALTER TABLE DGCOM ADD CONSTRAINT FK_DGCOM_DGNO
  FOREIGN KEY (DGNO) REFERENCES DGGEOL (DGNO)
  ON UPDATE CASCADE
  ON DELETE CASCADE;

ALTER TABLE DGCOMMENT ADD CONSTRAINT FK_DGCOMMENT_DGNO
  FOREIGN KEY (DGNO) REFERENCES DGGEOL (DGNO)
  ON UPDATE CASCADE
  ON DELETE CASCADE;

ALTER TABLE DGCPROTO ADD CONSTRAINT FK_DGCPROTO_DGNO_DGCRANK
  FOREIGN KEY (DGNO,DGCRANK) REFERENCES DGCTRYRX (DGNO,RANK)
  ON UPDATE CASCADE
  ON DELETE CASCADE;

ALTER TABLE DGCTRY ADD CONSTRAINT FK_DGCTRY_DGNO
  FOREIGN KEY (DGNO) REFERENCES DGGEOL (DGNO)
  ON UPDATE CASCADE
  ON DELETE CASCADE;

ALTER TABLE DGCTRYRX ADD CONSTRAINT FK_DGCTRYRX_DGNO
  FOREIGN KEY (DGNO) REFERENCES DGGEOL (DGNO)
  ON UPDATE CASCADE
  ON DELETE CASCADE;

ALTER TABLE DGDEPTYP ADD CONSTRAINT FK_DGDEPTYP_DGNO
  FOREIGN KEY (DGNO) REFERENCES DGGEOL (DGNO)
  ON UPDATE CASCADE
  ON DELETE CASCADE;

ALTER TABLE DGDEPTYP ADD CONSTRAINT FK_DGDEPTYP_REFNO
  FOREIGN KEY (REFNO) REFERENCES REFMAIN (REFNO)
  ON UPDATE CASCADE;

ALTER TABLE DGDIGITIZED ADD CONSTRAINT FK_DGDIGITIZED_DGNO
  FOREIGN KEY (DGNO) REFERENCES DGGEOL (DGNO)
  ON UPDATE CASCADE
  ON DELETE CASCADE;

ALTER TABLE DGGEOSIG ADD CONSTRAINT FK_DGGEOSIG_DGNO
  FOREIGN KEY (DGNO) REFERENCES DGGEOL (DGNO)
  ON UPDATE CASCADE
  ON DELETE CASCADE;

ALTER TABLE DGHFORM ADD CONSTRAINT FK_DGHFORM_DGNO_DGHRANK
  FOREIGN KEY (DGNO,DGHRANK) REFERENCES DGHOSTRX (DGNO,RANK)
  ON UPDATE CASCADE
  ON DELETE CASCADE;

ALTER TABLE DGHLITH ADD CONSTRAINT FK_DGHLITH_DGNO_DGHRANK
  FOREIGN KEY (DGNO,DGHRANK) REFERENCES DGHOSTRX (DGNO,RANK)
  ON UPDATE CASCADE
  ON DELETE CASCADE;

ALTER TABLE DGHOSTNM ADD CONSTRAINT FK_DGHOSTNM_DGNO
  FOREIGN KEY (DGNO) REFERENCES DGGEOL (DGNO)
  ON UPDATE CASCADE
  ON DELETE CASCADE;

ALTER TABLE DGHOSTRX ADD CONSTRAINT FK_DGHOSTRX_DGNO
  FOREIGN KEY (DGNO) REFERENCES DGGEOL (DGNO)
  ON UPDATE CASCADE
  ON DELETE CASCADE;

ALTER TABLE DGHPROTO ADD CONSTRAINT FK_DGHPROTO_DGNO_DGHRANK
  FOREIGN KEY (DGNO,DGHRANK) REFERENCES DGHOSTRX (DGNO,RANK)
  ON UPDATE CASCADE
  ON DELETE CASCADE;

ALTER TABLE DGHSTRAT ADD CONSTRAINT FK_DGHSTRAT_DGNO_DGHRANK
  FOREIGN KEY (DGNO,DGHRANK) REFERENCES DGHOSTRX (DGNO,RANK)
  ON UPDATE CASCADE
  ON DELETE CASCADE;

ALTER TABLE DGHSTRUC ADD CONSTRAINT FK_DGHSTRUC_DGNO_DGHRANK
  FOREIGN KEY (DGNO,DGHRANK) REFERENCES DGHOSTRX (DGNO,RANK)
  ON UPDATE CASCADE
  ON DELETE CASCADE;

ALTER TABLE DGIGNRX ADD CONSTRAINT FK_DGIGNRX_DGNO
  FOREIGN KEY (DGNO) REFERENCES DGGEOL (DGNO)
  ON UPDATE CASCADE
  ON DELETE CASCADE;

ALTER TABLE DGMETMIN ADD CONSTRAINT FK_DGMETMIN_DGNO_METSIGRK
  FOREIGN KEY (DGNO,METSIGRK) REFERENCES DGMETSIG (DGNO,RANK)
  ON UPDATE CASCADE
  ON DELETE CASCADE;

ALTER TABLE DGMETMIN ADD CONSTRAINT FK_DGMETMIN_DGNO_MINSTLRK
  FOREIGN KEY (DGNO,MINSTLRK) REFERENCES DGMINSTL (DGNO,RANK)
  ON UPDATE CASCADE
  ON DELETE CASCADE;

ALTER TABLE DGMETSIG ADD CONSTRAINT FK_DGMETSIG_DGNO
  FOREIGN KEY (DGNO) REFERENCES DGGEOL (DGNO)
  ON UPDATE CASCADE
  ON DELETE CASCADE;

ALTER TABLE DGMINSTL ADD CONSTRAINT FK_DGMINSTL_DGNO
  FOREIGN KEY (DGNO) REFERENCES DGGEOL (DGNO)
  ON UPDATE CASCADE
  ON DELETE CASCADE;

ALTER TABLE DGMNRLGY ADD CONSTRAINT FK_DGMNRLGY_DGNO
  FOREIGN KEY (DGNO) REFERENCES DGGEOL (DGNO)
  ON UPDATE CASCADE
  ON DELETE CASCADE;

ALTER TABLE DGNAME ADD CONSTRAINT FK_DGNAME_DGNO
  FOREIGN KEY (DGNO) REFERENCES DGGEOL (DGNO)
  ON UPDATE CASCADE
  ON DELETE CASCADE;

ALTER TABLE DGNTS ADD CONSTRAINT FK_DGNTS_DGNO
  FOREIGN KEY (DGNO) REFERENCES DGGEOL (DGNO)
  ON UPDATE CASCADE
  ON DELETE CASCADE;

ALTER TABLE DGPROGRESS ADD CONSTRAINT FK_DGPROGRESS_DGNO
  FOREIGN KEY (DGNO) REFERENCES DGGEOL (DGNO)
  ON UPDATE CASCADE
  ON DELETE CASCADE;

ALTER TABLE DGRADAGE ADD CONSTRAINT FK_DGRADAGE_DGNO
  FOREIGN KEY (DGNO) REFERENCES DGGEOL (DGNO)
  ON UPDATE CASCADE
  ON DELETE CASCADE;

ALTER TABLE DGRADAGE ADD CONSTRAINT FK_DGRADAGE_REFNO
  FOREIGN KEY (REFNO) REFERENCES REFMAIN (REFNO)
  ON UPDATE CASCADE;

ALTER TABLE DGREF ADD CONSTRAINT FK_DGREF_DGNO
  FOREIGN KEY (DGNO) REFERENCES DGGEOL (DGNO)
  ON UPDATE CASCADE
  ON DELETE CASCADE;

ALTER TABLE DGREF ADD CONSTRAINT FK_DGREF_REFNO
  FOREIGN KEY (REFNO) REFERENCES REFMAIN (REFNO)
  ON UPDATE CASCADE;

ALTER TABLE DGREFX ADD CONSTRAINT FK_DGREFX_DGNO_REFNO
  FOREIGN KEY (DGNO,REFNO) REFERENCES DGREF (DGNO,REFNO)
  ON UPDATE CASCADE
  ON DELETE CASCADE;

ALTER TABLE DGRFORM ADD CONSTRAINT FK_DGRFORM_DGNO_DGRRANK
  FOREIGN KEY (DGNO,DGRRANK) REFERENCES DGIGNRX (DGNO,RANK)
  ON UPDATE CASCADE
  ON DELETE CASCADE;

ALTER TABLE DGRLITH ADD CONSTRAINT FK_DGRLITH_DGNO_DGRRANK
  FOREIGN KEY (DGNO,DGRRANK) REFERENCES DGIGNRX (DGNO,RANK)
  ON UPDATE CASCADE
  ON DELETE CASCADE;

ALTER TABLE DGSAMPLE ADD CONSTRAINT FK_DGSAMPLE_DGNO
  FOREIGN KEY (DGNO) REFERENCES DGGEOL (DGNO)
  ON UPDATE CASCADE
  ON DELETE CASCADE;

ALTER TABLE DGSAMPLE ADD CONSTRAINT FK_DGSAMPLE_REFNO
  FOREIGN KEY (REFNO) REFERENCES REFMAIN (REFNO)
  ON UPDATE CASCADE;

ALTER TABLE DGSDIM ADD CONSTRAINT FK_DGSDIM_DGNO_DGSRANK
  FOREIGN KEY (DGNO,DGSRANK) REFERENCES DGSHAPE (DGNO,RANK)
  ON UPDATE CASCADE
  ON DELETE CASCADE;

ALTER TABLE DGSHAPE ADD CONSTRAINT FK_DGSHAPE_DGNO
  FOREIGN KEY (DGNO) REFERENCES DGGEOL (DGNO)
  ON UPDATE CASCADE
  ON DELETE CASCADE;

ALTER TABLE DGSMPGRADE ADD CONSTRAINT FK_DGSMPGRADE_DGNO_DGSRANK
  FOREIGN KEY (DGNO,DGSRANK) REFERENCES DGSAMPLE (DGNO,RANK)
  ON UPDATE CASCADE
  ON DELETE CASCADE;

ALTER TABLE DGSMPWGT ADD CONSTRAINT FK_DGSMPWGT_DGNO_DGSRANK
  FOREIGN KEY (DGNO,DGSRANK) REFERENCES DGSAMPLE (DGNO,RANK)
  ON UPDATE CASCADE
  ON DELETE CASCADE;

ALTER TABLE DGSTATUS ADD CONSTRAINT FK_DGSTATUS_DGNO
  FOREIGN KEY (DGNO) REFERENCES DGGEOL (DGNO)
  ON UPDATE CASCADE
  ON DELETE CASCADE;

ALTER TABLE DGTECSET ADD CONSTRAINT FK_DGTECSET_DGNO
  FOREIGN KEY (DGNO) REFERENCES DGGEOL (DGNO)
  ON UPDATE CASCADE
  ON DELETE CASCADE;

ALTER TABLE DGTSTRUC ADD CONSTRAINT FK_DGTSTRUC_DGNO
  FOREIGN KEY (DGNO) REFERENCES DGGEOL (DGNO)
  ON UPDATE CASCADE
  ON DELETE CASCADE;

ALTER TABLE DGXLINK ADD CONSTRAINT FK_DGXLINK_DGNO
  FOREIGN KEY (DGNO) REFERENCES DGGEOL (DGNO)
  ON UPDATE CASCADE
  ON DELETE CASCADE;

ALTER TABLE DPAGETS ADD CONSTRAINT FK_DPAGETS_DEPNO
  FOREIGN KEY (DEPNO) REFERENCES DPGEOL (DEPNO)
  ON UPDATE CASCADE
  ON DELETE CASCADE;

ALTER TABLE DPALTMIN ADD CONSTRAINT FK_DPALTMIN_DEPNO_ALTSIGRK
  FOREIGN KEY (DEPNO,ALTSIGRK) REFERENCES DPALTSIG (DEPNO,RANK)
  ON UPDATE CASCADE
  ON DELETE CASCADE;

ALTER TABLE DPALTMIN ADD CONSTRAINT FK_DPALTMIN_DEPNO_MINSTLRK
  FOREIGN KEY (DEPNO,MINSTLRK) REFERENCES DPMINSTL (DEPNO,RANK)
  ON UPDATE CASCADE
  ON DELETE CASCADE;

ALTER TABLE DPALTSIG ADD CONSTRAINT FK_DPALTSIG_DEPNO
  FOREIGN KEY (DEPNO) REFERENCES DPGEOL (DEPNO)
  ON UPDATE CASCADE
  ON DELETE CASCADE;

ALTER TABLE DPCFEAT ADD CONSTRAINT FK_DPCFEAT_DEPNO
  FOREIGN KEY (DEPNO) REFERENCES DPGEOL (DEPNO)
  ON UPDATE CASCADE
  ON DELETE CASCADE;

ALTER TABLE DPCFTMIN ADD CONSTRAINT FK_DPCFTMIN_DEPNO_CFEATRK
  FOREIGN KEY (DEPNO,CFEATRK) REFERENCES DPCFEAT (DEPNO,RANK)
  ON UPDATE CASCADE
  ON DELETE CASCADE;

ALTER TABLE DPCFTMIN ADD CONSTRAINT FK_DPCFTMIN_DEPNO_MINSTLRK
  FOREIGN KEY (DEPNO,MINSTLRK) REFERENCES DPMINSTL (DEPNO,RANK)
  ON UPDATE CASCADE
  ON DELETE CASCADE;

ALTER TABLE DPCLITH ADD CONSTRAINT FK_DPCLITH_DEPNO_DPCRANK
  FOREIGN KEY (DEPNO,DPCRANK) REFERENCES DPCTRYRX (DEPNO,RANK)
  ON UPDATE CASCADE
  ON DELETE CASCADE;

ALTER TABLE DPCOM ADD CONSTRAINT FK_DPCOM_DEPNO
  FOREIGN KEY (DEPNO) REFERENCES DPGEOL (DEPNO)
  ON UPDATE CASCADE
  ON DELETE CASCADE;

ALTER TABLE DPCOMMENT ADD CONSTRAINT FK_DPCOMMENT_DEPNO
  FOREIGN KEY (DEPNO) REFERENCES DPGEOL (DEPNO)
  ON UPDATE CASCADE
  ON DELETE CASCADE;

ALTER TABLE DPCPROTO ADD CONSTRAINT FK_DPCPROTO_DEPNO_DPCRANK
  FOREIGN KEY (DEPNO,DPCRANK) REFERENCES DPCTRYRX (DEPNO,RANK)
  ON UPDATE CASCADE
  ON DELETE CASCADE;

ALTER TABLE DPCTRY ADD CONSTRAINT FK_DPCTRY_DEPNO
  FOREIGN KEY (DEPNO) REFERENCES DPGEOL (DEPNO)
  ON UPDATE CASCADE
  ON DELETE CASCADE;

ALTER TABLE DPCTRYRX ADD CONSTRAINT FK_DPCTRYRX_DEPNO
  FOREIGN KEY (DEPNO) REFERENCES DPGEOL (DEPNO)
  ON UPDATE CASCADE
  ON DELETE CASCADE;

ALTER TABLE DPDEPTYP ADD CONSTRAINT FK_DPDEPTYP_DEPNO
  FOREIGN KEY (DEPNO) REFERENCES DPGEOL (DEPNO)
  ON UPDATE CASCADE
  ON DELETE CASCADE;

ALTER TABLE DPDEPTYP ADD CONSTRAINT FK_DPDEPTYP_REFNO
  FOREIGN KEY (REFNO) REFERENCES REFMAIN (REFNO)
  ON UPDATE CASCADE;

ALTER TABLE DPDG ADD CONSTRAINT FK_DPDG_DEPNO
  FOREIGN KEY (DEPNO) REFERENCES DPGEOL (DEPNO)
  ON UPDATE CASCADE
  ON DELETE CASCADE;

ALTER TABLE DPDG ADD CONSTRAINT FK_DPDG_DGNO
  FOREIGN KEY (DGNO) REFERENCES DGGEOL (DGNO)
  ON UPDATE CASCADE
  ON DELETE CASCADE;

ALTER TABLE DPDIGITIZED ADD CONSTRAINT FK_DPDIGITIZED_DEPNO
  FOREIGN KEY (DEPNO) REFERENCES DPGEOL (DEPNO)
  ON UPDATE CASCADE
  ON DELETE CASCADE;

ALTER TABLE DPGEOSIG ADD CONSTRAINT FK_DPGEOSIG_DEPNO
  FOREIGN KEY (DEPNO) REFERENCES DPGEOL (DEPNO)
  ON UPDATE CASCADE
  ON DELETE CASCADE;

ALTER TABLE DPHFORM ADD CONSTRAINT FK_DPHFORM_DEPNO_DPHRANK
  FOREIGN KEY (DEPNO,DPHRANK) REFERENCES DPHOSTRX (DEPNO,RANK)
  ON UPDATE CASCADE
  ON DELETE CASCADE;

ALTER TABLE DPHLITH ADD CONSTRAINT FK_DPHLITH_DEPNO_DPHRANK
  FOREIGN KEY (DEPNO,DPHRANK) REFERENCES DPHOSTRX (DEPNO,RANK)
  ON UPDATE CASCADE
  ON DELETE CASCADE;

ALTER TABLE DPHOSTRX ADD CONSTRAINT FK_DPHOSTRX_DEPNO
  FOREIGN KEY (DEPNO) REFERENCES DPGEOL (DEPNO)
  ON UPDATE CASCADE
  ON DELETE CASCADE;

ALTER TABLE DPHPROTO ADD CONSTRAINT FK_DPHPROTO_DEPNO_DPHRANK
  FOREIGN KEY (DEPNO,DPHRANK) REFERENCES DPHOSTRX (DEPNO,RANK)
  ON UPDATE CASCADE
  ON DELETE CASCADE;

ALTER TABLE DPHSTRAT ADD CONSTRAINT FK_DPHSTRAT_DEPNO_DPHRANK
  FOREIGN KEY (DEPNO,DPHRANK) REFERENCES DPHOSTRX (DEPNO,RANK)
  ON UPDATE CASCADE
  ON DELETE CASCADE;

ALTER TABLE DPHSTRUC ADD CONSTRAINT FK_DPHSTRUC_DEPNO_DPHRANK
  FOREIGN KEY (DEPNO,DPHRANK) REFERENCES DPHOSTRX (DEPNO,RANK)
  ON UPDATE CASCADE
  ON DELETE CASCADE;

ALTER TABLE DPIGNRX ADD CONSTRAINT FK_DPIGNRX_DEPNO
  FOREIGN KEY (DEPNO) REFERENCES DPGEOL (DEPNO)
  ON UPDATE CASCADE
  ON DELETE CASCADE;

ALTER TABLE DPMETMIN ADD CONSTRAINT FK_DPMETMIN_DEPNO_METSIGRK
  FOREIGN KEY (DEPNO,METSIGRK) REFERENCES DPMETSIG (DEPNO,RANK)
  ON UPDATE CASCADE
  ON DELETE CASCADE;

ALTER TABLE DPMETMIN ADD CONSTRAINT FK_DPMETMIN_DEPNO_MINSTLRK
  FOREIGN KEY (DEPNO,MINSTLRK) REFERENCES DPMINSTL (DEPNO,RANK)
  ON UPDATE CASCADE
  ON DELETE CASCADE;

ALTER TABLE DPMETSIG ADD CONSTRAINT FK_DPMETSIG_DEPNO
  FOREIGN KEY (DEPNO) REFERENCES DPGEOL (DEPNO)
  ON UPDATE CASCADE
  ON DELETE CASCADE;

ALTER TABLE DPMINE ADD CONSTRAINT FK_DPMINE_DEPNO
  FOREIGN KEY (DEPNO) REFERENCES DPGEOL (DEPNO)
  ON UPDATE CASCADE
  ON DELETE CASCADE;

ALTER TABLE DPMINE ADD CONSTRAINT FK_DPMINE_MINENO
  FOREIGN KEY (MINENO) REFERENCES MINE (MINENO)
  ON UPDATE CASCADE
  ON DELETE CASCADE;

ALTER TABLE DPMINSTL ADD CONSTRAINT FK_DPMINSTL_DEPNO
  FOREIGN KEY (DEPNO) REFERENCES DPGEOL (DEPNO)
  ON UPDATE CASCADE
  ON DELETE CASCADE;

ALTER TABLE DPMNRLGY ADD CONSTRAINT FK_DPMNRLGY_DEPNO
  FOREIGN KEY (DEPNO) REFERENCES DPGEOL (DEPNO)
  ON UPDATE CASCADE
  ON DELETE CASCADE;

ALTER TABLE DPNAME ADD CONSTRAINT FK_DPNAME_DEPNO
  FOREIGN KEY (DEPNO) REFERENCES DPGEOL (DEPNO)
  ON UPDATE CASCADE
  ON DELETE CASCADE;

ALTER TABLE DPNTS ADD CONSTRAINT FK_DPNTS_DEPNO
  FOREIGN KEY (DEPNO) REFERENCES DPGEOL (DEPNO)
  ON UPDATE CASCADE
  ON DELETE CASCADE;

ALTER TABLE DPPROGRESS ADD CONSTRAINT FK_DPPROGRESS_DEPNO
  FOREIGN KEY (DEPNO) REFERENCES DPGEOL (DEPNO)
  ON UPDATE CASCADE
  ON DELETE CASCADE;

ALTER TABLE DPRADAGE ADD CONSTRAINT FK_DPRADAGE_DEPNO
  FOREIGN KEY (DEPNO) REFERENCES DPGEOL (DEPNO)
  ON UPDATE CASCADE
  ON DELETE CASCADE;

ALTER TABLE DPRADAGE ADD CONSTRAINT FK_DPRADAGE_REFNO
  FOREIGN KEY (REFNO) REFERENCES REFMAIN (REFNO)
  ON UPDATE CASCADE;

ALTER TABLE DPREF ADD CONSTRAINT FK_DPREF_DEPNO
  FOREIGN KEY (DEPNO) REFERENCES DPGEOL (DEPNO)
  ON UPDATE CASCADE
  ON DELETE CASCADE;

ALTER TABLE DPREF ADD CONSTRAINT FK_DPREF_REFNO
  FOREIGN KEY (REFNO) REFERENCES REFMAIN (REFNO)
  ON UPDATE CASCADE;

ALTER TABLE DPREFX ADD CONSTRAINT FK_DPREFX_DEPNO_REFNO
  FOREIGN KEY (DEPNO,REFNO) REFERENCES DPREF (DEPNO,REFNO)
  ON UPDATE CASCADE
  ON DELETE CASCADE;

ALTER TABLE DPRFORM ADD CONSTRAINT FK_DPRFORM_DEPNO_DPRRANK
  FOREIGN KEY (DEPNO,DPRRANK) REFERENCES DPIGNRX (DEPNO,RANK)
  ON UPDATE CASCADE
  ON DELETE CASCADE;

ALTER TABLE DPRLITH ADD CONSTRAINT FK_DPRLITH_DEPNO_DPRRANK
  FOREIGN KEY (DEPNO,DPRRANK) REFERENCES DPIGNRX (DEPNO,RANK)
  ON UPDATE CASCADE
  ON DELETE CASCADE;

ALTER TABLE DPSAMPLE ADD CONSTRAINT FK_DPSAMPLE_DEPNO
  FOREIGN KEY (DEPNO) REFERENCES DPGEOL (DEPNO)
  ON UPDATE CASCADE
  ON DELETE CASCADE;

ALTER TABLE DPSAMPLE ADD CONSTRAINT FK_DPSAMPLE_REFNO
  FOREIGN KEY (REFNO) REFERENCES REFMAIN (REFNO)
  ON UPDATE CASCADE;

ALTER TABLE DPSDIM ADD CONSTRAINT FK_DPSDIM_DEPNO_DPSRANK
  FOREIGN KEY (DEPNO,DPSRANK) REFERENCES DPSHAPE (DEPNO,RANK)
  ON UPDATE CASCADE
  ON DELETE CASCADE;

ALTER TABLE DPSHAPE ADD CONSTRAINT FK_DPSHAPE_DEPNO
  FOREIGN KEY (DEPNO) REFERENCES DPGEOL (DEPNO)
  ON UPDATE CASCADE
  ON DELETE CASCADE;

ALTER TABLE DPSMPGRADE ADD CONSTRAINT FK_DPSMPGRADE_DEPNO_DPSRANK
  FOREIGN KEY (DEPNO,DPSRANK) REFERENCES DPSAMPLE (DEPNO,RANK)
  ON UPDATE CASCADE
  ON DELETE CASCADE;

ALTER TABLE DPSMPWGT ADD CONSTRAINT FK_DPSMPWGT_DEPNO_DPSRANK
  FOREIGN KEY (DEPNO,DPSRANK) REFERENCES DPSAMPLE (DEPNO,RANK)
  ON UPDATE CASCADE
  ON DELETE CASCADE;

ALTER TABLE DPSTATUS ADD CONSTRAINT FK_DPSTATUS_DEPNO
  FOREIGN KEY (DEPNO) REFERENCES DPGEOL (DEPNO)
  ON UPDATE CASCADE
  ON DELETE CASCADE;

ALTER TABLE DPTECSET ADD CONSTRAINT FK_DPTECSET_DEPNO
  FOREIGN KEY (DEPNO) REFERENCES DPGEOL (DEPNO)
  ON UPDATE CASCADE
  ON DELETE CASCADE;

ALTER TABLE DPTSTRUC ADD CONSTRAINT FK_DPTSTRUC_DEPNO
  FOREIGN KEY (DEPNO) REFERENCES DPGEOL (DEPNO)
  ON UPDATE CASCADE
  ON DELETE CASCADE;

ALTER TABLE DPXLINK ADD CONSTRAINT FK_DPXLINK_DEPNO
  FOREIGN KEY (DEPNO) REFERENCES DPGEOL (DEPNO)
  ON UPDATE CASCADE
  ON DELETE CASCADE;

ALTER TABLE FILSRC ADD CONSTRAINT FK_FILSRC_REFNO
  FOREIGN KEY (REFNO) REFERENCES REFMAIN (REFNO)
  ON UPDATE CASCADE
  ON DELETE CASCADE;

ALTER TABLE LOOKUP ADD CONSTRAINT FK_LOOKUP_TABLENAME
  FOREIGN KEY (TABLENAME) REFERENCES TABLEDOC (TABLENAME)
  ON UPDATE CASCADE
  ON DELETE CASCADE;

ALTER TABLE MAPSRC ADD CONSTRAINT FK_MAPSRC_REFNO
  FOREIGN KEY (REFNO) REFERENCES REFMAIN (REFNO)
  ON UPDATE CASCADE
  ON DELETE CASCADE;

ALTER TABLE MINE ADD CONSTRAINT FK_MINE_REFNO
  FOREIGN KEY (REFNO) REFERENCES REFMAIN (REFNO)
  ON UPDATE CASCADE;

ALTER TABLE MINEOPER ADD CONSTRAINT FK_MINEOPER_MINENO
  FOREIGN KEY (MINENO) REFERENCES MINE (MINENO)
  ON UPDATE CASCADE
  ON DELETE CASCADE;

ALTER TABLE MINEOWNER ADD CONSTRAINT FK_MINEOWNER_MINENO
  FOREIGN KEY (MINENO) REFERENCES MINE (MINENO)
  ON UPDATE CASCADE
  ON DELETE CASCADE;

ALTER TABLE MINEREFX ADD CONSTRAINT FK_MINEREFX_MINENO
  FOREIGN KEY (MINENO) REFERENCES MINE (MINENO)
  ON UPDATE CASCADE
  ON DELETE CASCADE;

ALTER TABLE MINEREFX ADD CONSTRAINT FK_MINEREFX_REFNO
  FOREIGN KEY (REFNO) REFERENCES REFMAIN (REFNO)
  ON UPDATE CASCADE;

ALTER TABLE NEWSRC ADD CONSTRAINT FK_NEWSRC_REFNO
  FOREIGN KEY (REFNO) REFERENCES REFMAIN (REFNO)
  ON UPDATE CASCADE
  ON DELETE CASCADE;

ALTER TABLE PAPSRC ADD CONSTRAINT FK_PAPSRC_REFNO
  FOREIGN KEY (REFNO) REFERENCES REFMAIN (REFNO)
  ON UPDATE CASCADE
  ON DELETE CASCADE;

ALTER TABLE PRODDG ADD CONSTRAINT FK_PRODDG_DGNO
  FOREIGN KEY (DGNO) REFERENCES DGGEOL (DGNO)
  ON UPDATE CASCADE
  ON DELETE CASCADE;

ALTER TABLE PRODDG ADD CONSTRAINT FK_PRODDG_PRODNO
  FOREIGN KEY (PRODNO) REFERENCES PRODMAIN (PRODNO)
  ON UPDATE CASCADE
  ON DELETE CASCADE;

ALTER TABLE PRODDP ADD CONSTRAINT FK_PRODDP_DEPNO
  FOREIGN KEY (DEPNO) REFERENCES DPGEOL (DEPNO)
  ON UPDATE CASCADE
  ON DELETE CASCADE;

ALTER TABLE PRODDP ADD CONSTRAINT FK_PRODDP_PRODNO
  FOREIGN KEY (PRODNO) REFERENCES PRODMAIN (PRODNO)
  ON UPDATE CASCADE
  ON DELETE CASCADE;

ALTER TABLE PRODGRAD ADD CONSTRAINT FK_PRODGRAD_PRODNO
  FOREIGN KEY (PRODNO) REFERENCES PRODMAIN (PRODNO)
  ON UPDATE CASCADE
  ON DELETE CASCADE;

ALTER TABLE PRODMAIN ADD CONSTRAINT FK_PRODMAIN_REFNO
  FOREIGN KEY (REFNO) REFERENCES REFMAIN (REFNO)
  ON UPDATE CASCADE;

ALTER TABLE PRODMINE ADD CONSTRAINT FK_PRODMINE_MINENO
  FOREIGN KEY (MINENO) REFERENCES MINE (MINENO)
  ON UPDATE CASCADE
  ON DELETE CASCADE;

ALTER TABLE PRODMINE ADD CONSTRAINT FK_PRODMINE_PRODNO
  FOREIGN KEY (PRODNO) REFERENCES PRODMAIN (PRODNO)
  ON UPDATE CASCADE
  ON DELETE CASCADE;

ALTER TABLE PRODREFX ADD CONSTRAINT FK_PRODREFX_PRODNO
  FOREIGN KEY (PRODNO) REFERENCES PRODMAIN (PRODNO)
  ON UPDATE CASCADE
  ON DELETE CASCADE;

ALTER TABLE PRODREFX ADD CONSTRAINT FK_PRODREFX_REFNO
  FOREIGN KEY (REFNO) REFERENCES REFMAIN (REFNO)
  ON UPDATE CASCADE;

ALTER TABLE PRODWGT ADD CONSTRAINT FK_PRODWGT_PRODNO
  FOREIGN KEY (PRODNO) REFERENCES PRODMAIN (PRODNO)
  ON UPDATE CASCADE
  ON DELETE CASCADE;

ALTER TABLE REFX ADD CONSTRAINT FK_REFX_REFNO
  FOREIGN KEY (REFNO) REFERENCES REFMAIN (REFNO)
  ON UPDATE CASCADE
  ON DELETE CASCADE;

ALTER TABLE REPSRC ADD CONSTRAINT FK_REPSRC_REFNO
  FOREIGN KEY (REFNO) REFERENCES REFMAIN (REFNO)
  ON UPDATE CASCADE
  ON DELETE CASCADE;

ALTER TABLE RESADDED2 ADD CONSTRAINT FK_RESADDED2_RESNO
  FOREIGN KEY (RESNO) REFERENCES RESMAIN (RESNO)
  ON UPDATE CASCADE
  ON DELETE CASCADE;

ALTER TABLE RESADDED2 ADD CONSTRAINT FK_RESADDED2_RESNOMAIN
  FOREIGN KEY (RESNOMAIN) REFERENCES RESMAIN (RESNO)
  ON UPDATE CASCADE
  ON DELETE CASCADE;

ALTER TABLE RESCUT ADD CONSTRAINT FK_RESCUT_RESNO
  FOREIGN KEY (RESNO) REFERENCES RESMAIN (RESNO)
  ON UPDATE CASCADE
  ON DELETE CASCADE;

ALTER TABLE RESDG ADD CONSTRAINT FK_RESDG_DGNO
  FOREIGN KEY (DGNO) REFERENCES DGGEOL (DGNO)
  ON UPDATE CASCADE
  ON DELETE CASCADE;

ALTER TABLE RESDG ADD CONSTRAINT FK_RESDG_RESNO
  FOREIGN KEY (RESNO) REFERENCES RESMAIN (RESNO)
  ON UPDATE CASCADE
  ON DELETE CASCADE;

ALTER TABLE RESDP ADD CONSTRAINT FK_RESDP_DEPNO
  FOREIGN KEY (DEPNO) REFERENCES DPGEOL (DEPNO)
  ON UPDATE CASCADE
  ON DELETE CASCADE;

ALTER TABLE RESDP ADD CONSTRAINT FK_RESDP_RESNO
  FOREIGN KEY (RESNO) REFERENCES RESMAIN (RESNO)
  ON UPDATE CASCADE
  ON DELETE CASCADE;

ALTER TABLE RESGRADE ADD CONSTRAINT FK_RESGRADE_RESNO
  FOREIGN KEY (RESNO) REFERENCES RESMAIN (RESNO)
  ON UPDATE CASCADE
  ON DELETE CASCADE;

ALTER TABLE RESINRES ADD CONSTRAINT FK_RESINRES_LGRESNO
  FOREIGN KEY (LGRESNO) REFERENCES RESMAIN (RESNO)
  ON UPDATE CASCADE
  ON DELETE CASCADE;

ALTER TABLE RESINRES ADD CONSTRAINT FK_RESINRES_RESNO
  FOREIGN KEY (RESNO) REFERENCES RESMAIN (RESNO)
  ON UPDATE CASCADE
  ON DELETE CASCADE;

ALTER TABLE RESMAIN ADD CONSTRAINT FK_RESMAIN_REFNO
  FOREIGN KEY (REFNO) REFERENCES REFMAIN (REFNO)
  ON UPDATE CASCADE;

ALTER TABLE RESMINE ADD CONSTRAINT FK_RESMINE_MINENO
  FOREIGN KEY (MINENO) REFERENCES MINE (MINENO)
  ON UPDATE CASCADE
  ON DELETE CASCADE;

ALTER TABLE RESMINE ADD CONSTRAINT FK_RESMINE_RESNO
  FOREIGN KEY (RESNO) REFERENCES RESMAIN (RESNO)
  ON UPDATE CASCADE
  ON DELETE CASCADE;

ALTER TABLE RESREFX ADD CONSTRAINT FK_RESREFX_REFNO
  FOREIGN KEY (REFNO) REFERENCES REFMAIN (REFNO)
  ON UPDATE CASCADE;

ALTER TABLE RESREFX ADD CONSTRAINT FK_RESREFX_RESNO
  FOREIGN KEY (RESNO) REFERENCES RESMAIN (RESNO)
  ON UPDATE CASCADE
  ON DELETE CASCADE;

ALTER TABLE RESWGT ADD CONSTRAINT FK_RESWGT_RESNO
  FOREIGN KEY (RESNO) REFERENCES RESMAIN (RESNO)
  ON UPDATE CASCADE
  ON DELETE CASCADE;

ALTER TABLE SVOLSRC ADD CONSTRAINT FK_SVOLSRC_REFNO
  FOREIGN KEY (REFNO) REFERENCES REFMAIN (REFNO)
  ON UPDATE CASCADE
  ON DELETE CASCADE;

ALTER TABLE SYMSRC ADD CONSTRAINT FK_SYMSRC_REFNO
  FOREIGN KEY (REFNO) REFERENCES REFMAIN (REFNO)
  ON UPDATE CASCADE
  ON DELETE CASCADE;

ALTER TABLE SYMSRC ADD CONSTRAINT FK_SYMSRC_SYMPREFNO
  FOREIGN KEY (SYMPREFNO) REFERENCES SVOLSRC (REFNO)
  ON UPDATE CASCADE
  ON DELETE CASCADE;

ALTER TABLE VOLSRC ADD CONSTRAINT FK_VOLSRC_REFNO
  FOREIGN KEY (REFNO) REFERENCES REFMAIN (REFNO)
  ON UPDATE CASCADE
  ON DELETE CASCADE;

/* Permissions */

CREATE ROLE GSC;
GRANT SELECT ON DBVERSION TO GSC;
GRANT SELECT ON ENTITIES TO GSC;
GRANT SELECT ON TABLEDOC TO GSC;
GRANT SELECT ON COLUMNDOC TO GSC;
GRANT SELECT ON LOOKUP TO GSC;
GRANT SELECT ON TABPAGES TO GSC;
GRANT SELECT ON UNITCVSN TO GSC;
GRANT SELECT ON LINKS TO GSC;
GRANT SELECT ON ACTIVITY TO GSC;
GRANT SELECT ON AGETSMA TO GSC;
GRANT SELECT ON ALTCAT TO GSC;
GRANT SELECT ON ANMETHOD TO GSC;
GRANT SELECT ON APPLIESTO TO GSC;
GRANT SELECT ON CATEGORY TO GSC;
GRANT SELECT ON CFEAT TO GSC;
GRANT SELECT ON COMMODITY TO GSC;
GRANT SELECT ON COMPONENT TO GSC;
GRANT SELECT ON COMPSTAGE TO GSC;
GRANT SELECT ON CONCENTRAT TO GSC;
GRANT SELECT ON CONTCTRY TO GSC;
GRANT SELECT ON CTRYHOST TO GSC;
GRANT SELECT ON CTRYROCK TO GSC;
GRANT SELECT ON DATATYPE TO GSC;
GRANT SELECT ON DATUM TO GSC;
GRANT SELECT ON DBCODE TO GSC;
GRANT SELECT ON DEPCLAN TO GSC;
GRANT SELECT ON DEPSTAT TO GSC;
GRANT SELECT ON DEPTYPE TO GSC;
GRANT SELECT ON DFREGIME TO GSC;
GRANT SELECT ON DGSTAT TO GSC;
GRANT SELECT ON DIMCAT TO GSC;
GRANT SELECT ON DIMUNITS TO GSC;
GRANT SELECT ON DSHAPE TO GSC;
GRANT SELECT ON EPSG_CANADA TO GSC;
GRANT SELECT ON ESTSIZE TO GSC;
GRANT SELECT ON FARUNITS TO GSC;
GRANT SELECT ON FORMATOS TO GSC;
GRANT SELECT ON FORMATSW TO GSC;
GRANT SELECT ON GENLITH TO GSC;
GRANT SELECT ON GRDUNITS TO GSC;
GRANT SELECT ON HDEPSET TO GSC;
GRANT SELECT ON HFORM TO GSC;
GRANT SELECT ON HOSTROCK TO GSC;
GRANT SELECT ON HOWLOC TO GSC;
GRANT SELECT ON HSERIES TO GSC;
GRANT SELECT ON HSTRUC TO GSC;
GRANT SELECT ON JOURNAL TO GSC;
GRANT SELECT ON LITHCOMP TO GSC;
GRANT SELECT ON MDEPSET TO GSC;
GRANT SELECT ON MEDIUM TO GSC;
GRANT SELECT ON METGRADE TO GSC;
GRANT SELECT ON METHOD TO GSC;
GRANT SELECT ON METSIG TO GSC;
GRANT SELECT ON MINERAL TO GSC;
GRANT SELECT ON MINSTYL TO GSC;
GRANT SELECT ON MSERIES TO GSC;
GRANT SELECT ON NAMETYPE TO GSC;
GRANT SELECT ON NEWSNAME TO GSC;
GRANT SELECT ON NTSMAPS TO GSC;
GRANT SELECT ON OBJDATED TO GSC;
GRANT SELECT ON OBJLOC TO GSC;
GRANT SELECT ON PRODUCT TO GSC;
GRANT SELECT ON PROGLEVEL TO GSC;
GRANT SELECT ON PROTOLTH TO GSC;
GRANT SELECT ON PROVSTATE TO GSC;
GRANT SELECT ON REALM TO GSC;
GRANT SELECT ON RESCAT TO GSC;
GRANT SELECT ON RESPONSE TO GSC;
GRANT SELECT ON RFORM TO GSC;
GRANT SELECT ON RIGNEOUS TO GSC;
GRANT SELECT ON SAMPTYPE TO GSC;
GRANT SELECT ON SETTINGOF TO GSC;
GRANT SELECT ON SIGTYPE TO GSC;
GRANT SELECT ON SOURCEROCK TO GSC;
GRANT SELECT ON SRCTP TO GSC;
GRANT SELECT ON STRATLEVEL TO GSC;
GRANT SELECT ON TECQUAL TO GSC;
GRANT SELECT ON TECTOBJ TO GSC;
GRANT SELECT ON TONUNITS TO GSC;
GRANT SELECT ON TSTRUC TO GSC;
GRANT SELECT ON WGTUNITS TO GSC;
GRANT SELECT ON WHATDATED TO GSC;
GRANT SELECT ON WHO TO GSC;
GRANT SELECT ON YEARSUM TO GSC;
GRANT SELECT ON REFMAIN TO GSC;
GRANT SELECT ON AUTHORS TO GSC;
GRANT SELECT ON REFX TO GSC;
GRANT SELECT ON FILSRC TO GSC;
GRANT SELECT ON MAPSRC TO GSC;
GRANT SELECT ON NEWSRC TO GSC;
GRANT SELECT ON PAPSRC TO GSC;
GRANT SELECT ON REPSRC TO GSC;
GRANT SELECT ON SVOLSRC TO GSC;
GRANT SELECT ON SYMSRC TO GSC;
GRANT SELECT ON VOLSRC TO GSC;
GRANT SELECT ON DGGEOL TO GSC;
GRANT SELECT ON DGNAME TO GSC;
GRANT SELECT ON DGCTRY TO GSC;
GRANT SELECT ON DGCOM TO GSC;
GRANT SELECT ON DGMNRLGY TO GSC;
GRANT SELECT ON DGCTRYRX TO GSC;
GRANT SELECT ON DGHOSTRX TO GSC;
GRANT SELECT ON DGAGETS TO GSC;
GRANT SELECT ON DGREF TO GSC;
GRANT SELECT ON DGMETSIG TO GSC;
GRANT SELECT ON DGMINSTL TO GSC;
GRANT SELECT ON DGCFEAT TO GSC;
GRANT SELECT ON DGALTSIG TO GSC;
GRANT SELECT ON DGIGNRX TO GSC;
GRANT SELECT ON DGTSTRUC TO GSC;
GRANT SELECT ON DGHOSTNM TO GSC;
GRANT SELECT ON DGRADAGE TO GSC;
GRANT SELECT ON DGDEPTYP TO GSC;
GRANT SELECT ON DGSTATUS TO GSC;
GRANT SELECT ON DGTECSET TO GSC;
GRANT SELECT ON DGSHAPE TO GSC;
GRANT SELECT ON DGCOMMENT TO GSC;
GRANT SELECT ON DGXLINK TO GSC;
GRANT SELECT ON DGNTS TO GSC;
GRANT SELECT ON DGDIGITIZED TO GSC;
GRANT SELECT ON DGGEOSIG TO GSC;
GRANT SELECT ON DGPROGRESS TO GSC;
GRANT SELECT ON DGSAMPLE TO GSC;
GRANT SELECT ON DGREFX TO GSC;
GRANT SELECT ON DGCPROTO TO GSC;
GRANT SELECT ON DGCLITH TO GSC;
GRANT SELECT ON DGHPROTO TO GSC;
GRANT SELECT ON DGHFORM TO GSC;
GRANT SELECT ON DGHSTRUC TO GSC;
GRANT SELECT ON DGHLITH TO GSC;
GRANT SELECT ON DGHSTRAT TO GSC;
GRANT SELECT ON DGRLITH TO GSC;
GRANT SELECT ON DGRFORM TO GSC;
GRANT SELECT ON DGSDIM TO GSC;
GRANT SELECT ON DGSMPWGT TO GSC;
GRANT SELECT ON DGSMPGRADE TO GSC;
GRANT SELECT ON DGALTMIN TO GSC;
GRANT SELECT ON DGCFTMIN TO GSC;
GRANT SELECT ON DGMETMIN TO GSC;
GRANT SELECT ON DPGEOL TO GSC;
GRANT SELECT ON DPNAME TO GSC;
GRANT SELECT ON DPCTRY TO GSC;
GRANT SELECT ON DPCOM TO GSC;
GRANT SELECT ON DPMNRLGY TO GSC;
GRANT SELECT ON DPCTRYRX TO GSC;
GRANT SELECT ON DPHOSTRX TO GSC;
GRANT SELECT ON DPAGETS TO GSC;
GRANT SELECT ON DPREF TO GSC;
GRANT SELECT ON DPMETSIG TO GSC;
GRANT SELECT ON DPMINSTL TO GSC;
GRANT SELECT ON DPCFEAT TO GSC;
GRANT SELECT ON DPALTSIG TO GSC;
GRANT SELECT ON DPIGNRX TO GSC;
GRANT SELECT ON DPTSTRUC TO GSC;
GRANT SELECT ON DPRADAGE TO GSC;
GRANT SELECT ON DPDEPTYP TO GSC;
GRANT SELECT ON DPSTATUS TO GSC;
GRANT SELECT ON DPTECSET TO GSC;
GRANT SELECT ON DPSHAPE TO GSC;
GRANT SELECT ON DPCOMMENT TO GSC;
GRANT SELECT ON DPXLINK TO GSC;
GRANT SELECT ON DPNTS TO GSC;
GRANT SELECT ON DPDIGITIZED TO GSC;
GRANT SELECT ON DPGEOSIG TO GSC;
GRANT SELECT ON DPPROGRESS TO GSC;
GRANT SELECT ON DPSAMPLE TO GSC;
GRANT SELECT ON DPREFX TO GSC;
GRANT SELECT ON DPCPROTO TO GSC;
GRANT SELECT ON DPCLITH TO GSC;
GRANT SELECT ON DPHPROTO TO GSC;
GRANT SELECT ON DPHFORM TO GSC;
GRANT SELECT ON DPHSTRUC TO GSC;
GRANT SELECT ON DPHLITH TO GSC;
GRANT SELECT ON DPRLITH TO GSC;
GRANT SELECT ON DPSDIM TO GSC;
GRANT SELECT ON DPSMPGRADE TO GSC;
GRANT SELECT ON DPSMPWGT TO GSC;
GRANT SELECT ON DPRFORM TO GSC;
GRANT SELECT ON DPHSTRAT TO GSC;
GRANT SELECT ON DPALTMIN TO GSC;
GRANT SELECT ON DPCFTMIN TO GSC;
GRANT SELECT ON DPMETMIN TO GSC;
GRANT SELECT ON MINE TO GSC;
GRANT SELECT ON MINEOWNER TO GSC;
GRANT SELECT ON MINEOPER TO GSC;
GRANT SELECT ON MINEREFX TO GSC;
GRANT SELECT ON PRODMAIN TO GSC;
GRANT SELECT ON PRODGRAD TO GSC;
GRANT SELECT ON PRODWGT TO GSC;
GRANT SELECT ON PRODREFX TO GSC;
GRANT SELECT ON RESMAIN TO GSC;
GRANT SELECT ON RESGRADE TO GSC;
GRANT SELECT ON RESCUT TO GSC;
GRANT SELECT ON RESWGT TO GSC;
GRANT SELECT ON RESREFX TO GSC;
GRANT SELECT ON DPDG TO GSC;
GRANT SELECT ON DPMINE TO GSC;
GRANT SELECT ON PRODDG TO GSC;
GRANT SELECT ON PRODDP TO GSC;
GRANT SELECT ON PRODMINE TO GSC;
GRANT SELECT ON RESDG TO GSC;
GRANT SELECT ON RESDP TO GSC;
GRANT SELECT ON RESMINE TO GSC;
GRANT SELECT ON RESINRES TO GSC;
GRANT SELECT ON RESADDED2 TO GSC;
GRANT SELECT ON GQ_RECORDCOUNT TO GSC;
GRANT SELECT ON DG_SUMMARY TO GSC;
GRANT SELECT ON DP_SUMMARY TO GSC;

/*-----------------------------------------------*
 |  GlobalDB System, Database schema version 21  |
 *-----------------------------------------------*/
